/**
 * @file   BasicFunctionals.h
 *
 * @date   Sep 3, 2020
 * @author Jan P. Unsleber
 *
 * IMPORTANT:\n
 * This file was automatically generated, please do not alter it.
 * Any required changes should be made to the generating Python script
 * which should be located close by.
 *
 * @copyright \n
 *  This file is part of the program Serenity.\n\n
 *  Serenity is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as
 *  published by the Free Software Foundation, either version 3 of
 *  the License, or (at your option) any later version.\n\n
 *  Serenity is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.\n\n
 *  You should have received a copy of the GNU Lesser General
 *  Public License along with Serenity.
 *  If not, see <http://www.gnu.org/licenses/>.\n
 */
#ifndef BASICFUNCTIONALS_H_
#define BASICFUNCTIONALS_H_

/* Include Std and External Headers */
#include <array>

namespace Serenity {
namespace BasicFunctionals {

enum class PURPOSES { KINETIC, EXCHANGE, CORRELATION, EXCHANGE_CORRELATION, NONE };
enum class CLASSES { NONE, LDA, GGA, META_GGA, MODELL };
enum class IMPLEMENTATIONS { XCFUN, LIBXC, BOTH };

enum class BASIC_FUNCTIONALS {
  NONE = 0,
  XC_SAOP = 1,
  X_SLATER = 2,
  X_EXPONENTIAL_1D = 3,
  X_SOFT_1D = 4,
  X_LDA_2D = 5,
  X_LDA_ERF = 6,
  X_RAE = 7,
  X_REL = 8,
  X_SLOC = 9,
  C_PMGB06 = 10,
  C_CSC_1D = 11,
  C_LOOS_1D = 12,
  C_AMGB_2D = 13,
  C_PRM_2D = 14,
  C_BR78 = 15,
  C_CHACHIYO = 16,
  C_CHACHIYO_MOD = 17,
  C_LDA_ERF = 18,
  C_LDA_ERF_JT = 19,
  C_GK72 = 20,
  C_GL = 21,
  C_GOMBAS = 22,
  C_HL = 23,
  C_KARASIEV = 24,
  C_KARASIEV_MOD = 25,
  C_LP96 = 26,
  C_MCWEENY = 27,
  C_ML1 = 28,
  C_ML2 = 29,
  C_OB_PW = 30,
  C_OB_PZ = 31,
  C_OW = 32,
  C_OW_LYP = 33,
  C_PK09 = 34,
  C_PW = 35,
  C_PW_MOD = 36,
  C_PW_RPA = 37,
  C_PZ = 38,
  C_PZ_MOD = 39,
  C_RC04 = 40,
  C_RPA = 41,
  C_RPW92 = 42,
  C_UPW92 = 43,
  C_VBH = 44,
  C_VWN = 45,
  C_VWN_1 = 46,
  C_VWN_2 = 47,
  C_VWN_3 = 48,
  C_VWN_4 = 49,
  C_VWN_RPA = 50,
  C_WIGNER = 51,
  C_XALPHA = 52,
  XC_EHWLRG_1D_1 = 53,
  XC_EHWLRG_1D_2 = 54,
  XC_EHWLRG_1D_3 = 55,
  XC_BN05 = 56,
  XC_GDSMFB = 57,
  XC_KSDT = 58,
  XC_LP_A = 59,
  XC_LP_B = 60,
  XC_TETER93 = 61,
  XC_TIH = 62,
  XC_ZLP = 63,
  K_LP = 64,
  K_LP96_K = 65,
  K_TF = 66,
  K_ZLP_K = 67,
  C_MGGAC = 68,
  X_B86_2D = 69,
  X_B86_MGC_2D = 70,
  X_B88_2D = 71,
  X_PBE_2D = 72,
  X_AIRY = 73,
  X_AK13 = 74,
  X_AM05 = 75,
  X_APBE = 76,
  X_B86 = 77,
  X_B86_MGC = 78,
  X_B86_R = 79,
  X_B88 = 80,
  X_B88_CORR = 81,
  X_B88_CAM = 82,
  X_B88_SR = 83,
  X_B88_6311G = 84,
  X_B88M = 85,
  X_BAYESIAN = 86,
  X_BCGP = 87,
  X_BEEFVDW = 88,
  X_BPCCAC = 89,
  X_C09X = 90,
  X_CAP = 91,
  X_CHACHIYO = 92,
  X_DK87_R1 = 93,
  X_DK87_R2 = 94,
  X_EB88 = 95,
  X_ECMV92 = 96,
  X_EV93 = 97,
  X_FD_LB94 = 98,
  X_FD_REVLB94 = 99,
  X_FT97_A = 100,
  X_FT97_B = 101,
  X_G96 = 102,
  X_GAM = 103,
  X_GG99 = 104,
  X_HCTH_A = 105,
  X_HJS_B88 = 106,
  X_HJS_B88_V2 = 107,
  X_HJS_B97X = 108,
  X_HJS_PBE = 109,
  X_HJS_PBE_SOL = 110,
  X_HTBS = 111,
  X_ITYH = 112,
  X_KGG99 = 113,
  X_KT1 = 114,
  X_LAG = 115,
  X_LAMBDA_CH_N = 116,
  X_LAMBDA_LO_N = 117,
  X_LAMBDA_OC2_N = 118,
  X_LB = 119,
  X_LBM = 120,
  X_LG93 = 121,
  X_LSPBE = 122,
  X_LSRPBE = 123,
  X_LV_RPW86 = 124,
  X_MB88 = 125,
  X_MPBE = 126,
  X_MPW91 = 127,
  X_N12 = 128,
  X_NCAP = 129,
  X_OL2 = 130,
  X_OPTB86B_VDW = 131,
  X_OPTB88_VDW = 132,
  X_OPTPBE_VDW = 133,
  X_OPTX = 134,
  X_PBE = 135,
  X_PBE_JSJR = 136,
  X_PBE_MOL = 137,
  X_PBE_R = 138,
  X_PBE_SOL = 139,
  X_PBE_TCA = 140,
  X_PBEA = 141,
  X_PBEFE = 142,
  X_PBEINT = 143,
  X_PBEK1_VDW = 144,
  X_PBEPOW = 145,
  X_PBETRANS = 146,
  X_PW86 = 147,
  X_PW91 = 148,
  X_Q2D = 149,
  X_REVPBEX = 150,
  X_RGE2 = 151,
  X_RPBE = 152,
  X_RPW86 = 153,
  X_S12G = 154,
  X_SFAT = 155,
  X_SFAT_PBE = 156,
  X_SG4 = 157,
  X_SOGGA = 158,
  X_SOGGA11 = 159,
  X_SSB = 160,
  X_SSB_D = 161,
  X_SSB_SW = 162,
  X_VMT84_GE = 163,
  X_VMT84_PBE = 164,
  X_VMT_GE = 165,
  X_VMT_PBE = 166,
  X_WC = 167,
  X_WPBEH = 168,
  X_XPBE = 169,
  C_ACGGA = 170,
  C_ACGGAP = 171,
  C_AM05 = 172,
  C_APBE = 173,
  C_BMK = 174,
  C_CHACHIYO_GGA = 175,
  C_CS1 = 176,
  C_FT97 = 177,
  C_GAM = 178,
  C_GAPC = 179,
  C_GAPLOC = 180,
  C_HCTH_A = 181,
  C_HYB_TAU_HCTH = 182,
  C_LM = 183,
  C_LYP = 184,
  C_N12 = 185,
  C_N12_SX = 186,
  C_OP_B88 = 187,
  C_OP_G96 = 188,
  C_OP_PBE = 189,
  C_OP_PW91 = 190,
  C_OP_XALPHA = 191,
  C_OPTC = 192,
  C_P86 = 193,
  C_P86CORRC = 194,
  C_PZ81C = 195,
  C_VWN_PBEC = 196,
  C_PBE = 197,
  C_PBE_JRGX = 198,
  C_PBE_MOL = 199,
  C_PBE_SOL = 200,
  C_PBE_VWN = 201,
  C_PBEFE = 202,
  C_PBEINT = 203,
  C_PBELOC = 204,
  C_PW91 = 205,
  C_Q2D = 206,
  C_REGTPSS = 207,
  C_REVTCA = 208,
  C_RGE2 = 209,
  C_SCAN_E0 = 210,
  C_SG4 = 211,
  C_SOGGA11 = 212,
  C_SOGGA11_X = 213,
  C_SPBE = 214,
  C_TAU_HCTH = 215,
  C_TCA = 216,
  C_TM_LYP = 217,
  C_TM_PBE = 218,
  C_W94 = 219,
  C_WI = 220,
  C_WI0 = 221,
  C_WL = 222,
  C_XPBE = 223,
  C_ZPBEINT = 224,
  C_ZPBESOL = 225,
  C_ZVPBEINT = 226,
  C_ZVPBELOC = 227,
  C_ZVPBESOL = 228,
  XC_B97_D = 229,
  XC_B97_GGA1 = 230,
  XC_BEEFVDW = 231,
  XC_EDF1 = 232,
  XC_HCTH_120 = 233,
  XC_HCTH_147 = 234,
  XC_HCTH_407 = 235,
  XC_HCTH_407P = 236,
  XC_HCTH_93 = 237,
  XC_HCTH_P14 = 238,
  XC_HCTH_P76 = 239,
  XC_HLE16 = 240,
  XC_KT1 = 241,
  XC_KT2 = 242,
  XC_KT3 = 243,
  XC_LB07 = 244,
  XC_MOHLYP = 245,
  XC_MOHLYP2 = 246,
  XC_MPWLYP1W = 247,
  XC_NCAP = 248,
  XC_OBLYP_D = 249,
  XC_OPBE_D = 250,
  XC_OPWLYP_D = 251,
  XC_PBE1W = 252,
  XC_PBELYP1W = 253,
  XC_TH1 = 254,
  XC_TH2 = 255,
  XC_TH3 = 256,
  XC_TH4 = 257,
  XC_TH_FC = 258,
  XC_TH_FCFO = 259,
  XC_TH_FCO = 260,
  XC_TH_FL = 261,
  XC_VV10 = 262,
  XC_XLYP = 263,
  K_ABSP1 = 264,
  K_ABSP2 = 265,
  K_ABSP3 = 266,
  K_ABSP4 = 267,
  K_APBE = 268,
  K_APBEINT = 269,
  K_BALTIN = 270,
  K_DK = 271,
  K_ERNZERHOF = 272,
  K_EXP4 = 273,
  K_FR_B88 = 274,
  K_FR_PW86 = 275,
  K_GDS08 = 276,
  K_GE2 = 277,
  K_GHDS10 = 278,
  K_GHDS10R = 279,
  K_GOLDEN = 280,
  K_GP85 = 281,
  K_GR = 282,
  K_PW91 = 283,
  K_LIEB = 284,
  K_LUDENA = 285,
  K_LLP = 286,
  K_LLPS = 287,
  K_MEYER = 288,
  K_OL1 = 289,
  K_OL2 = 290,
  K_PBE2 = 291,
  K_PBE2S = 292,
  K_PBE3 = 293,
  K_PBE4 = 294,
  K_PEARSON = 295,
  K_PERDEW = 296,
  K_REVAPBE = 297,
  K_REVAPBEINT = 298,
  K_TFVW = 299,
  K_THAKKAR = 300,
  K_TKVLN = 301,
  K_TW1 = 302,
  K_TW2 = 303,
  K_TW3 = 304,
  K_TW4 = 305,
  K_VJKS = 306,
  K_VSK = 307,
  K_VW = 308,
  K_YT65 = 309,
  C_B97 = 310,
  C_B97_1 = 311,
  C_B97_2 = 312,
  X_B97 = 313,
  X_B97_1 = 314,
  X_B97_2 = 315,
  X_N12_SX = 316,
  X_S12H = 317,
  X_SOGGA11_X = 318,
  XC_APBE0 = 319,
  XC_APF = 320,
  XC_B1LYP = 321,
  XC_B1PW91 = 322,
  XC_B1WC = 323,
  XC_B3LYP = 324,
  XC_B3LYP3 = 325,
  XC_B3LYP5 = 326,
  XC_B3LYP_MCM1 = 327,
  XC_B3LYP_MCM2 = 328,
  XC_B3LYPS = 329,
  XC_B3P86 = 330,
  XC_B3PW91 = 331,
  XC_B5050LYP = 332,
  XC_B97 = 333,
  XC_B97_1 = 334,
  XC_B97_1P = 335,
  XC_B97_2 = 336,
  XC_B97_3 = 337,
  XC_B97_K = 338,
  XC_BHANDH = 339,
  XC_BHANDHLYP = 340,
  XC_BLYP35 = 341,
  XC_CAM_B3LYP = 342,
  XC_CAM_PBEH = 343,
  XC_CAM_QTP_00 = 344,
  XC_CAM_QTP_01 = 345,
  XC_CAM_QTP_02 = 346,
  XC_CAMY_B3LYP = 347,
  XC_CAMY_BLYP = 348,
  XC_CAMY_PBEH = 349,
  XC_CAP0 = 350,
  XC_EDF2 = 351,
  XC_HAPBE = 352,
  XC_HJS_B88 = 353,
  XC_HJS_B97X = 354,
  XC_HJS_PBE = 355,
  XC_HJS_PBE_SOL = 356,
  XC_HPBEINT = 357,
  XC_HSE03 = 358,
  XC_HSE06 = 359,
  XC_HSE12 = 360,
  XC_HSE12S = 361,
  XC_HSE_SOL = 362,
  XC_KMLYP = 363,
  XC_LC_BLYP = 364,
  XC_LC_QTP = 365,
  XC_LC_VV10 = 366,
  XC_LC_WPBE = 367,
  XC_LC_WPBE08_WHS = 368,
  XC_LC_WPBE_WHS = 369,
  XC_LC_WPBEH_WHS = 370,
  XC_LC_WPBESOL_WHS = 371,
  XC_LCY_BLYP = 372,
  XC_LCY_PBE = 373,
  XC_LRC_WPBE = 374,
  XC_LRC_WPBEH = 375,
  XC_MB3LYP_RC04 = 376,
  XC_MPW1K = 377,
  XC_MPW1LYP = 378,
  XC_MPW1PBE = 379,
  XC_MPW1PW = 380,
  XC_MPW3LYP = 381,
  XC_MPW3PW = 382,
  XC_MPWLYP1M = 383,
  XC_O3LYP = 384,
  XC_PBE0_13 = 385,
  XC_PBE50 = 386,
  XC_PBE_MOL0 = 387,
  XC_PBE_MOLB0 = 388,
  XC_PBE_SOL0 = 389,
  XC_PBEB0 = 390,
  XC_PBEH = 391,
  XC_QTP17 = 392,
  XC_RCAM_B3LYP = 393,
  XC_REVB3LYP = 394,
  XC_SB98_1A = 395,
  XC_SB98_1B = 396,
  XC_SB98_1C = 397,
  XC_SB98_2A = 398,
  XC_SB98_2B = 399,
  XC_SB98_2C = 400,
  XC_TUNED_CAM_B3LYP = 401,
  XC_WB97 = 402,
  XC_WB97X = 403,
  XC_WB97X_D = 404,
  XC_WB97X_V = 405,
  XC_WC04 = 406,
  XC_WP04 = 407,
  XC_X3LYP = 408,
  X_JS17_2D = 409,
  X_PRHG07_2D = 410,
  X_PRHG07_PRP10_2D = 411,
  X_B00 = 412,
  X_BJ06 = 413,
  X_BLOC = 414,
  X_BR89 = 415,
  X_BR89_1 = 416,
  X_BR89_EXPLICIT = 417,
  X_BR89_EXPLICIT_1 = 418,
  X_EDMGGA = 419,
  X_GDME_0 = 420,
  X_GDME_KOS = 421,
  X_GDME_NV = 422,
  X_GDME_VT = 423,
  X_GVT4 = 424,
  X_GX = 425,
  X_LTA = 426,
  X_M06_L = 427,
  X_M11_L = 428,
  X_MBEEF = 429,
  X_MBEEFVDW = 430,
  X_MBRXC_BG = 431,
  X_MBRXH_BG = 432,
  X_MGGAC = 433,
  X_MK00 = 434,
  X_MK00B = 435,
  X_MN12_L = 436,
  X_MN15_L = 437,
  X_MODTPSS = 438,
  X_MS0 = 439,
  X_MS1 = 440,
  X_MS2 = 441,
  X_MS2B = 442,
  X_MS2BS = 443,
  X_MVS = 444,
  X_MVSB = 445,
  X_MVSBS = 446,
  X_PBE_GX = 447,
  X_PKZB = 448,
  X_REGTPSS = 449,
  X_REVM06_L = 450,
  X_REVSCAN = 451,
  X_REVSCANL = 452,
  X_REVTM = 453,
  X_REVTPSS = 454,
  X_RLDA = 455,
  X_RPP09 = 456,
  X_RSCAN = 457,
  X_RTPSS = 458,
  X_SA_TPSS = 459,
  X_SCAN = 460,
  X_SCANL = 461,
  X_TASK = 462,
  X_TAU_HCTH_MGGA = 463,
  X_TB09 = 464,
  X_TLDA = 465,
  X_TM = 466,
  X_TPSS = 467,
  X_VT84 = 468,
  C_B88 = 469,
  C_BC95 = 470,
  C_CS = 471,
  C_DLDF = 472,
  C_KCIS = 473,
  C_M05 = 474,
  C_M05_2X = 475,
  C_M06 = 476,
  C_M06_2X = 477,
  C_M06_HF = 478,
  C_M06_L = 479,
  C_M08_HX = 480,
  C_M08_SO = 481,
  C_M11 = 482,
  C_M11_L = 483,
  C_MN12_L = 484,
  C_MN12_SX = 485,
  C_MN15 = 486,
  C_MN15_L = 487,
  C_PKZB = 488,
  C_REVM06 = 489,
  C_REVM06_L = 490,
  C_REVM11 = 491,
  C_REVSCAN = 492,
  C_REVSCAN_VV10 = 493,
  C_REVTM = 494,
  C_REVTPSS = 495,
  C_RSCAN = 496,
  C_SCAN = 497,
  C_SCAN_RVV10 = 498,
  C_SCAN_VV10 = 499,
  C_SCANL = 500,
  C_SCANL_RVV10 = 501,
  C_SCANL_VV10 = 502,
  C_TM = 503,
  C_TPSS = 504,
  C_TPSSLOC = 505,
  C_VSXC = 506,
  XC_B97M_V = 507,
  XC_CC06 = 508,
  XC_HLE17 = 509,
  XC_LP90 = 510,
  XC_OTPSS_D = 511,
  XC_TPSSLYP1W = 512,
  XC_ZLP_MGGA = 513,
  K_PC07 = 514,
  X_BMK = 515,
  X_DLDF = 516,
  X_JS18 = 517,
  X_M05 = 518,
  X_M05_2X = 519,
  X_M06 = 520,
  X_M06_2X = 521,
  X_M06_HF = 522,
  X_M08_HX = 523,
  X_M08_SO = 524,
  X_M11 = 525,
  X_MN12_SX = 526,
  X_MN15 = 527,
  X_MS2H = 528,
  X_MVSH = 529,
  X_PJS18 = 530,
  X_REVM06 = 531,
  X_REVM11 = 532,
  X_REVSCAN0 = 533,
  X_SCAN0 = 534,
  X_TAU_HCTH_HYB = 535,
  XC_B0KCIS = 536,
  XC_B86B95 = 537,
  XC_B88B95 = 538,
  XC_B98 = 539,
  XC_BB1K = 540,
  XC_EDMGGAH = 541,
  XC_MPW1B95 = 542,
  XC_MPW1KCIS = 543,
  XC_MPWB1K = 544,
  XC_MPWKCIS1K = 545,
  XC_PBE1KCIS = 546,
  XC_PW6B95 = 547,
  XC_PW86B95 = 548,
  XC_PWB6K = 549,
  XC_REVTPSSH = 550,
  XC_TPSS1KCIS = 551,
  XC_TPSSH = 552,
  XC_WB97M_V = 553,
  XC_X1B95 = 554,
  XC_XB1K = 555,
};
#ifdef SERENITY_USE_LIBXC
int getLibXCAlias(BASIC_FUNCTIONALS& functional);
#endif /* SERENITY_USE_LIBXC */

#ifdef SERENITY_USE_XCFUN
char* getXCFunAlias(BASIC_FUNCTIONALS& functional);
#endif /* SERENITY_USE_XCFUN */

constexpr std::array<PURPOSES, 556> getPurpose{
    PURPOSES::NONE /* 0 */,
    PURPOSES::EXCHANGE_CORRELATION /* 1 */,
    PURPOSES::EXCHANGE /* 2 */,
    PURPOSES::EXCHANGE /* 3 */,
    PURPOSES::EXCHANGE /* 4 */,
    PURPOSES::EXCHANGE /* 5 */,
    PURPOSES::EXCHANGE /* 6 */,
    PURPOSES::EXCHANGE /* 7 */,
    PURPOSES::EXCHANGE /* 8 */,
    PURPOSES::EXCHANGE /* 9 */,
    PURPOSES::CORRELATION /* 10 */,
    PURPOSES::CORRELATION /* 11 */,
    PURPOSES::CORRELATION /* 12 */,
    PURPOSES::CORRELATION /* 13 */,
    PURPOSES::CORRELATION /* 14 */,
    PURPOSES::CORRELATION /* 15 */,
    PURPOSES::CORRELATION /* 16 */,
    PURPOSES::CORRELATION /* 17 */,
    PURPOSES::CORRELATION /* 18 */,
    PURPOSES::CORRELATION /* 19 */,
    PURPOSES::CORRELATION /* 20 */,
    PURPOSES::CORRELATION /* 21 */,
    PURPOSES::CORRELATION /* 22 */,
    PURPOSES::CORRELATION /* 23 */,
    PURPOSES::CORRELATION /* 24 */,
    PURPOSES::CORRELATION /* 25 */,
    PURPOSES::CORRELATION /* 26 */,
    PURPOSES::CORRELATION /* 27 */,
    PURPOSES::CORRELATION /* 28 */,
    PURPOSES::CORRELATION /* 29 */,
    PURPOSES::CORRELATION /* 30 */,
    PURPOSES::CORRELATION /* 31 */,
    PURPOSES::CORRELATION /* 32 */,
    PURPOSES::CORRELATION /* 33 */,
    PURPOSES::CORRELATION /* 34 */,
    PURPOSES::CORRELATION /* 35 */,
    PURPOSES::CORRELATION /* 36 */,
    PURPOSES::CORRELATION /* 37 */,
    PURPOSES::CORRELATION /* 38 */,
    PURPOSES::CORRELATION /* 39 */,
    PURPOSES::CORRELATION /* 40 */,
    PURPOSES::CORRELATION /* 41 */,
    PURPOSES::CORRELATION /* 42 */,
    PURPOSES::CORRELATION /* 43 */,
    PURPOSES::CORRELATION /* 44 */,
    PURPOSES::CORRELATION /* 45 */,
    PURPOSES::CORRELATION /* 46 */,
    PURPOSES::CORRELATION /* 47 */,
    PURPOSES::CORRELATION /* 48 */,
    PURPOSES::CORRELATION /* 49 */,
    PURPOSES::CORRELATION /* 50 */,
    PURPOSES::CORRELATION /* 51 */,
    PURPOSES::CORRELATION /* 52 */,
    PURPOSES::EXCHANGE_CORRELATION /* 53 */,
    PURPOSES::EXCHANGE_CORRELATION /* 54 */,
    PURPOSES::EXCHANGE_CORRELATION /* 55 */,
    PURPOSES::EXCHANGE_CORRELATION /* 56 */,
    PURPOSES::EXCHANGE_CORRELATION /* 57 */,
    PURPOSES::EXCHANGE_CORRELATION /* 58 */,
    PURPOSES::EXCHANGE_CORRELATION /* 59 */,
    PURPOSES::EXCHANGE_CORRELATION /* 60 */,
    PURPOSES::EXCHANGE_CORRELATION /* 61 */,
    PURPOSES::EXCHANGE_CORRELATION /* 62 */,
    PURPOSES::EXCHANGE_CORRELATION /* 63 */,
    PURPOSES::KINETIC /* 64 */,
    PURPOSES::KINETIC /* 65 */,
    PURPOSES::KINETIC /* 66 */,
    PURPOSES::KINETIC /* 67 */,
    PURPOSES::CORRELATION /* 68 */,
    PURPOSES::EXCHANGE /* 69 */,
    PURPOSES::EXCHANGE /* 70 */,
    PURPOSES::EXCHANGE /* 71 */,
    PURPOSES::EXCHANGE /* 72 */,
    PURPOSES::EXCHANGE /* 73 */,
    PURPOSES::EXCHANGE /* 74 */,
    PURPOSES::EXCHANGE /* 75 */,
    PURPOSES::EXCHANGE /* 76 */,
    PURPOSES::EXCHANGE /* 77 */,
    PURPOSES::EXCHANGE /* 78 */,
    PURPOSES::EXCHANGE /* 79 */,
    PURPOSES::EXCHANGE /* 80 */,
    PURPOSES::EXCHANGE /* 81 */,
    PURPOSES::EXCHANGE /* 82 */,
    PURPOSES::EXCHANGE /* 83 */,
    PURPOSES::EXCHANGE /* 84 */,
    PURPOSES::EXCHANGE /* 85 */,
    PURPOSES::EXCHANGE /* 86 */,
    PURPOSES::EXCHANGE /* 87 */,
    PURPOSES::EXCHANGE /* 88 */,
    PURPOSES::EXCHANGE /* 89 */,
    PURPOSES::EXCHANGE /* 90 */,
    PURPOSES::EXCHANGE /* 91 */,
    PURPOSES::EXCHANGE /* 92 */,
    PURPOSES::EXCHANGE /* 93 */,
    PURPOSES::EXCHANGE /* 94 */,
    PURPOSES::EXCHANGE /* 95 */,
    PURPOSES::EXCHANGE /* 96 */,
    PURPOSES::EXCHANGE /* 97 */,
    PURPOSES::EXCHANGE /* 98 */,
    PURPOSES::EXCHANGE /* 99 */,
    PURPOSES::EXCHANGE /* 100 */,
    PURPOSES::EXCHANGE /* 101 */,
    PURPOSES::EXCHANGE /* 102 */,
    PURPOSES::EXCHANGE /* 103 */,
    PURPOSES::EXCHANGE /* 104 */,
    PURPOSES::EXCHANGE /* 105 */,
    PURPOSES::EXCHANGE /* 106 */,
    PURPOSES::EXCHANGE /* 107 */,
    PURPOSES::EXCHANGE /* 108 */,
    PURPOSES::EXCHANGE /* 109 */,
    PURPOSES::EXCHANGE /* 110 */,
    PURPOSES::EXCHANGE /* 111 */,
    PURPOSES::EXCHANGE /* 112 */,
    PURPOSES::EXCHANGE /* 113 */,
    PURPOSES::EXCHANGE /* 114 */,
    PURPOSES::EXCHANGE /* 115 */,
    PURPOSES::EXCHANGE /* 116 */,
    PURPOSES::EXCHANGE /* 117 */,
    PURPOSES::EXCHANGE /* 118 */,
    PURPOSES::EXCHANGE /* 119 */,
    PURPOSES::EXCHANGE /* 120 */,
    PURPOSES::EXCHANGE /* 121 */,
    PURPOSES::EXCHANGE /* 122 */,
    PURPOSES::EXCHANGE /* 123 */,
    PURPOSES::EXCHANGE /* 124 */,
    PURPOSES::EXCHANGE /* 125 */,
    PURPOSES::EXCHANGE /* 126 */,
    PURPOSES::EXCHANGE /* 127 */,
    PURPOSES::EXCHANGE /* 128 */,
    PURPOSES::EXCHANGE /* 129 */,
    PURPOSES::EXCHANGE /* 130 */,
    PURPOSES::EXCHANGE /* 131 */,
    PURPOSES::EXCHANGE /* 132 */,
    PURPOSES::EXCHANGE /* 133 */,
    PURPOSES::EXCHANGE /* 134 */,
    PURPOSES::EXCHANGE /* 135 */,
    PURPOSES::EXCHANGE /* 136 */,
    PURPOSES::EXCHANGE /* 137 */,
    PURPOSES::EXCHANGE /* 138 */,
    PURPOSES::EXCHANGE /* 139 */,
    PURPOSES::EXCHANGE /* 140 */,
    PURPOSES::EXCHANGE /* 141 */,
    PURPOSES::EXCHANGE /* 142 */,
    PURPOSES::EXCHANGE /* 143 */,
    PURPOSES::EXCHANGE /* 144 */,
    PURPOSES::EXCHANGE /* 145 */,
    PURPOSES::EXCHANGE /* 146 */,
    PURPOSES::EXCHANGE /* 147 */,
    PURPOSES::EXCHANGE /* 148 */,
    PURPOSES::EXCHANGE /* 149 */,
    PURPOSES::EXCHANGE /* 150 */,
    PURPOSES::EXCHANGE /* 151 */,
    PURPOSES::EXCHANGE /* 152 */,
    PURPOSES::EXCHANGE /* 153 */,
    PURPOSES::EXCHANGE /* 154 */,
    PURPOSES::EXCHANGE /* 155 */,
    PURPOSES::EXCHANGE /* 156 */,
    PURPOSES::EXCHANGE /* 157 */,
    PURPOSES::EXCHANGE /* 158 */,
    PURPOSES::EXCHANGE /* 159 */,
    PURPOSES::EXCHANGE /* 160 */,
    PURPOSES::EXCHANGE /* 161 */,
    PURPOSES::EXCHANGE /* 162 */,
    PURPOSES::EXCHANGE /* 163 */,
    PURPOSES::EXCHANGE /* 164 */,
    PURPOSES::EXCHANGE /* 165 */,
    PURPOSES::EXCHANGE /* 166 */,
    PURPOSES::EXCHANGE /* 167 */,
    PURPOSES::EXCHANGE /* 168 */,
    PURPOSES::EXCHANGE /* 169 */,
    PURPOSES::CORRELATION /* 170 */,
    PURPOSES::CORRELATION /* 171 */,
    PURPOSES::CORRELATION /* 172 */,
    PURPOSES::CORRELATION /* 173 */,
    PURPOSES::CORRELATION /* 174 */,
    PURPOSES::CORRELATION /* 175 */,
    PURPOSES::CORRELATION /* 176 */,
    PURPOSES::CORRELATION /* 177 */,
    PURPOSES::CORRELATION /* 178 */,
    PURPOSES::CORRELATION /* 179 */,
    PURPOSES::CORRELATION /* 180 */,
    PURPOSES::CORRELATION /* 181 */,
    PURPOSES::CORRELATION /* 182 */,
    PURPOSES::CORRELATION /* 183 */,
    PURPOSES::CORRELATION /* 184 */,
    PURPOSES::CORRELATION /* 185 */,
    PURPOSES::CORRELATION /* 186 */,
    PURPOSES::CORRELATION /* 187 */,
    PURPOSES::CORRELATION /* 188 */,
    PURPOSES::CORRELATION /* 189 */,
    PURPOSES::CORRELATION /* 190 */,
    PURPOSES::CORRELATION /* 191 */,
    PURPOSES::CORRELATION /* 192 */,
    PURPOSES::CORRELATION /* 193 */,
    PURPOSES::CORRELATION /* 194 */,
    PURPOSES::CORRELATION /* 195 */,
    PURPOSES::CORRELATION /* 196 */,
    PURPOSES::CORRELATION /* 197 */,
    PURPOSES::CORRELATION /* 198 */,
    PURPOSES::CORRELATION /* 199 */,
    PURPOSES::CORRELATION /* 200 */,
    PURPOSES::CORRELATION /* 201 */,
    PURPOSES::CORRELATION /* 202 */,
    PURPOSES::CORRELATION /* 203 */,
    PURPOSES::CORRELATION /* 204 */,
    PURPOSES::CORRELATION /* 205 */,
    PURPOSES::CORRELATION /* 206 */,
    PURPOSES::CORRELATION /* 207 */,
    PURPOSES::CORRELATION /* 208 */,
    PURPOSES::CORRELATION /* 209 */,
    PURPOSES::CORRELATION /* 210 */,
    PURPOSES::CORRELATION /* 211 */,
    PURPOSES::CORRELATION /* 212 */,
    PURPOSES::CORRELATION /* 213 */,
    PURPOSES::CORRELATION /* 214 */,
    PURPOSES::CORRELATION /* 215 */,
    PURPOSES::CORRELATION /* 216 */,
    PURPOSES::CORRELATION /* 217 */,
    PURPOSES::CORRELATION /* 218 */,
    PURPOSES::CORRELATION /* 219 */,
    PURPOSES::CORRELATION /* 220 */,
    PURPOSES::CORRELATION /* 221 */,
    PURPOSES::CORRELATION /* 222 */,
    PURPOSES::CORRELATION /* 223 */,
    PURPOSES::CORRELATION /* 224 */,
    PURPOSES::CORRELATION /* 225 */,
    PURPOSES::CORRELATION /* 226 */,
    PURPOSES::CORRELATION /* 227 */,
    PURPOSES::CORRELATION /* 228 */,
    PURPOSES::EXCHANGE_CORRELATION /* 229 */,
    PURPOSES::EXCHANGE_CORRELATION /* 230 */,
    PURPOSES::EXCHANGE_CORRELATION /* 231 */,
    PURPOSES::EXCHANGE_CORRELATION /* 232 */,
    PURPOSES::EXCHANGE_CORRELATION /* 233 */,
    PURPOSES::EXCHANGE_CORRELATION /* 234 */,
    PURPOSES::EXCHANGE_CORRELATION /* 235 */,
    PURPOSES::EXCHANGE_CORRELATION /* 236 */,
    PURPOSES::EXCHANGE_CORRELATION /* 237 */,
    PURPOSES::EXCHANGE_CORRELATION /* 238 */,
    PURPOSES::EXCHANGE_CORRELATION /* 239 */,
    PURPOSES::EXCHANGE_CORRELATION /* 240 */,
    PURPOSES::EXCHANGE_CORRELATION /* 241 */,
    PURPOSES::EXCHANGE_CORRELATION /* 242 */,
    PURPOSES::EXCHANGE_CORRELATION /* 243 */,
    PURPOSES::EXCHANGE_CORRELATION /* 244 */,
    PURPOSES::EXCHANGE_CORRELATION /* 245 */,
    PURPOSES::EXCHANGE_CORRELATION /* 246 */,
    PURPOSES::EXCHANGE_CORRELATION /* 247 */,
    PURPOSES::EXCHANGE_CORRELATION /* 248 */,
    PURPOSES::EXCHANGE_CORRELATION /* 249 */,
    PURPOSES::EXCHANGE_CORRELATION /* 250 */,
    PURPOSES::EXCHANGE_CORRELATION /* 251 */,
    PURPOSES::EXCHANGE_CORRELATION /* 252 */,
    PURPOSES::EXCHANGE_CORRELATION /* 253 */,
    PURPOSES::EXCHANGE_CORRELATION /* 254 */,
    PURPOSES::EXCHANGE_CORRELATION /* 255 */,
    PURPOSES::EXCHANGE_CORRELATION /* 256 */,
    PURPOSES::EXCHANGE_CORRELATION /* 257 */,
    PURPOSES::EXCHANGE_CORRELATION /* 258 */,
    PURPOSES::EXCHANGE_CORRELATION /* 259 */,
    PURPOSES::EXCHANGE_CORRELATION /* 260 */,
    PURPOSES::EXCHANGE_CORRELATION /* 261 */,
    PURPOSES::EXCHANGE_CORRELATION /* 262 */,
    PURPOSES::EXCHANGE_CORRELATION /* 263 */,
    PURPOSES::KINETIC /* 264 */,
    PURPOSES::KINETIC /* 265 */,
    PURPOSES::KINETIC /* 266 */,
    PURPOSES::KINETIC /* 267 */,
    PURPOSES::KINETIC /* 268 */,
    PURPOSES::KINETIC /* 269 */,
    PURPOSES::KINETIC /* 270 */,
    PURPOSES::KINETIC /* 271 */,
    PURPOSES::KINETIC /* 272 */,
    PURPOSES::KINETIC /* 273 */,
    PURPOSES::KINETIC /* 274 */,
    PURPOSES::KINETIC /* 275 */,
    PURPOSES::KINETIC /* 276 */,
    PURPOSES::KINETIC /* 277 */,
    PURPOSES::KINETIC /* 278 */,
    PURPOSES::KINETIC /* 279 */,
    PURPOSES::KINETIC /* 280 */,
    PURPOSES::KINETIC /* 281 */,
    PURPOSES::KINETIC /* 282 */,
    PURPOSES::KINETIC /* 283 */,
    PURPOSES::KINETIC /* 284 */,
    PURPOSES::KINETIC /* 285 */,
    PURPOSES::KINETIC /* 286 */,
    PURPOSES::KINETIC /* 287 */,
    PURPOSES::KINETIC /* 288 */,
    PURPOSES::KINETIC /* 289 */,
    PURPOSES::KINETIC /* 290 */,
    PURPOSES::KINETIC /* 291 */,
    PURPOSES::KINETIC /* 292 */,
    PURPOSES::KINETIC /* 293 */,
    PURPOSES::KINETIC /* 294 */,
    PURPOSES::KINETIC /* 295 */,
    PURPOSES::KINETIC /* 296 */,
    PURPOSES::KINETIC /* 297 */,
    PURPOSES::KINETIC /* 298 */,
    PURPOSES::KINETIC /* 299 */,
    PURPOSES::KINETIC /* 300 */,
    PURPOSES::KINETIC /* 301 */,
    PURPOSES::KINETIC /* 302 */,
    PURPOSES::KINETIC /* 303 */,
    PURPOSES::KINETIC /* 304 */,
    PURPOSES::KINETIC /* 305 */,
    PURPOSES::KINETIC /* 306 */,
    PURPOSES::KINETIC /* 307 */,
    PURPOSES::KINETIC /* 308 */,
    PURPOSES::KINETIC /* 309 */,
    PURPOSES::CORRELATION /* 310 */,
    PURPOSES::CORRELATION /* 311 */,
    PURPOSES::CORRELATION /* 312 */,
    PURPOSES::EXCHANGE /* 313 */,
    PURPOSES::EXCHANGE /* 314 */,
    PURPOSES::EXCHANGE /* 315 */,
    PURPOSES::EXCHANGE /* 316 */,
    PURPOSES::EXCHANGE /* 317 */,
    PURPOSES::EXCHANGE /* 318 */,
    PURPOSES::EXCHANGE_CORRELATION /* 319 */,
    PURPOSES::EXCHANGE_CORRELATION /* 320 */,
    PURPOSES::EXCHANGE_CORRELATION /* 321 */,
    PURPOSES::EXCHANGE_CORRELATION /* 322 */,
    PURPOSES::EXCHANGE_CORRELATION /* 323 */,
    PURPOSES::EXCHANGE_CORRELATION /* 324 */,
    PURPOSES::EXCHANGE_CORRELATION /* 325 */,
    PURPOSES::EXCHANGE_CORRELATION /* 326 */,
    PURPOSES::EXCHANGE_CORRELATION /* 327 */,
    PURPOSES::EXCHANGE_CORRELATION /* 328 */,
    PURPOSES::EXCHANGE_CORRELATION /* 329 */,
    PURPOSES::EXCHANGE_CORRELATION /* 330 */,
    PURPOSES::EXCHANGE_CORRELATION /* 331 */,
    PURPOSES::EXCHANGE_CORRELATION /* 332 */,
    PURPOSES::EXCHANGE_CORRELATION /* 333 */,
    PURPOSES::EXCHANGE_CORRELATION /* 334 */,
    PURPOSES::EXCHANGE_CORRELATION /* 335 */,
    PURPOSES::EXCHANGE_CORRELATION /* 336 */,
    PURPOSES::EXCHANGE_CORRELATION /* 337 */,
    PURPOSES::EXCHANGE_CORRELATION /* 338 */,
    PURPOSES::EXCHANGE_CORRELATION /* 339 */,
    PURPOSES::EXCHANGE_CORRELATION /* 340 */,
    PURPOSES::EXCHANGE_CORRELATION /* 341 */,
    PURPOSES::EXCHANGE_CORRELATION /* 342 */,
    PURPOSES::EXCHANGE_CORRELATION /* 343 */,
    PURPOSES::EXCHANGE_CORRELATION /* 344 */,
    PURPOSES::EXCHANGE_CORRELATION /* 345 */,
    PURPOSES::EXCHANGE_CORRELATION /* 346 */,
    PURPOSES::EXCHANGE_CORRELATION /* 347 */,
    PURPOSES::EXCHANGE_CORRELATION /* 348 */,
    PURPOSES::EXCHANGE_CORRELATION /* 349 */,
    PURPOSES::EXCHANGE_CORRELATION /* 350 */,
    PURPOSES::EXCHANGE_CORRELATION /* 351 */,
    PURPOSES::EXCHANGE_CORRELATION /* 352 */,
    PURPOSES::EXCHANGE_CORRELATION /* 353 */,
    PURPOSES::EXCHANGE_CORRELATION /* 354 */,
    PURPOSES::EXCHANGE_CORRELATION /* 355 */,
    PURPOSES::EXCHANGE_CORRELATION /* 356 */,
    PURPOSES::EXCHANGE_CORRELATION /* 357 */,
    PURPOSES::EXCHANGE_CORRELATION /* 358 */,
    PURPOSES::EXCHANGE_CORRELATION /* 359 */,
    PURPOSES::EXCHANGE_CORRELATION /* 360 */,
    PURPOSES::EXCHANGE_CORRELATION /* 361 */,
    PURPOSES::EXCHANGE_CORRELATION /* 362 */,
    PURPOSES::EXCHANGE_CORRELATION /* 363 */,
    PURPOSES::EXCHANGE_CORRELATION /* 364 */,
    PURPOSES::EXCHANGE_CORRELATION /* 365 */,
    PURPOSES::EXCHANGE_CORRELATION /* 366 */,
    PURPOSES::EXCHANGE_CORRELATION /* 367 */,
    PURPOSES::EXCHANGE_CORRELATION /* 368 */,
    PURPOSES::EXCHANGE_CORRELATION /* 369 */,
    PURPOSES::EXCHANGE_CORRELATION /* 370 */,
    PURPOSES::EXCHANGE_CORRELATION /* 371 */,
    PURPOSES::EXCHANGE_CORRELATION /* 372 */,
    PURPOSES::EXCHANGE_CORRELATION /* 373 */,
    PURPOSES::EXCHANGE_CORRELATION /* 374 */,
    PURPOSES::EXCHANGE_CORRELATION /* 375 */,
    PURPOSES::EXCHANGE_CORRELATION /* 376 */,
    PURPOSES::EXCHANGE_CORRELATION /* 377 */,
    PURPOSES::EXCHANGE_CORRELATION /* 378 */,
    PURPOSES::EXCHANGE_CORRELATION /* 379 */,
    PURPOSES::EXCHANGE_CORRELATION /* 380 */,
    PURPOSES::EXCHANGE_CORRELATION /* 381 */,
    PURPOSES::EXCHANGE_CORRELATION /* 382 */,
    PURPOSES::EXCHANGE_CORRELATION /* 383 */,
    PURPOSES::EXCHANGE_CORRELATION /* 384 */,
    PURPOSES::EXCHANGE_CORRELATION /* 385 */,
    PURPOSES::EXCHANGE_CORRELATION /* 386 */,
    PURPOSES::EXCHANGE_CORRELATION /* 387 */,
    PURPOSES::EXCHANGE_CORRELATION /* 388 */,
    PURPOSES::EXCHANGE_CORRELATION /* 389 */,
    PURPOSES::EXCHANGE_CORRELATION /* 390 */,
    PURPOSES::EXCHANGE_CORRELATION /* 391 */,
    PURPOSES::EXCHANGE_CORRELATION /* 392 */,
    PURPOSES::EXCHANGE_CORRELATION /* 393 */,
    PURPOSES::EXCHANGE_CORRELATION /* 394 */,
    PURPOSES::EXCHANGE_CORRELATION /* 395 */,
    PURPOSES::EXCHANGE_CORRELATION /* 396 */,
    PURPOSES::EXCHANGE_CORRELATION /* 397 */,
    PURPOSES::EXCHANGE_CORRELATION /* 398 */,
    PURPOSES::EXCHANGE_CORRELATION /* 399 */,
    PURPOSES::EXCHANGE_CORRELATION /* 400 */,
    PURPOSES::EXCHANGE_CORRELATION /* 401 */,
    PURPOSES::EXCHANGE_CORRELATION /* 402 */,
    PURPOSES::EXCHANGE_CORRELATION /* 403 */,
    PURPOSES::EXCHANGE_CORRELATION /* 404 */,
    PURPOSES::EXCHANGE_CORRELATION /* 405 */,
    PURPOSES::EXCHANGE_CORRELATION /* 406 */,
    PURPOSES::EXCHANGE_CORRELATION /* 407 */,
    PURPOSES::EXCHANGE_CORRELATION /* 408 */,
    PURPOSES::EXCHANGE /* 409 */,
    PURPOSES::EXCHANGE /* 410 */,
    PURPOSES::EXCHANGE /* 411 */,
    PURPOSES::EXCHANGE /* 412 */,
    PURPOSES::EXCHANGE /* 413 */,
    PURPOSES::EXCHANGE /* 414 */,
    PURPOSES::EXCHANGE /* 415 */,
    PURPOSES::EXCHANGE /* 416 */,
    PURPOSES::EXCHANGE /* 417 */,
    PURPOSES::EXCHANGE /* 418 */,
    PURPOSES::EXCHANGE /* 419 */,
    PURPOSES::EXCHANGE /* 420 */,
    PURPOSES::EXCHANGE /* 421 */,
    PURPOSES::EXCHANGE /* 422 */,
    PURPOSES::EXCHANGE /* 423 */,
    PURPOSES::EXCHANGE /* 424 */,
    PURPOSES::EXCHANGE /* 425 */,
    PURPOSES::EXCHANGE /* 426 */,
    PURPOSES::EXCHANGE /* 427 */,
    PURPOSES::EXCHANGE /* 428 */,
    PURPOSES::EXCHANGE /* 429 */,
    PURPOSES::EXCHANGE /* 430 */,
    PURPOSES::EXCHANGE /* 431 */,
    PURPOSES::EXCHANGE /* 432 */,
    PURPOSES::EXCHANGE /* 433 */,
    PURPOSES::EXCHANGE /* 434 */,
    PURPOSES::EXCHANGE /* 435 */,
    PURPOSES::EXCHANGE /* 436 */,
    PURPOSES::EXCHANGE /* 437 */,
    PURPOSES::EXCHANGE /* 438 */,
    PURPOSES::EXCHANGE /* 439 */,
    PURPOSES::EXCHANGE /* 440 */,
    PURPOSES::EXCHANGE /* 441 */,
    PURPOSES::EXCHANGE /* 442 */,
    PURPOSES::EXCHANGE /* 443 */,
    PURPOSES::EXCHANGE /* 444 */,
    PURPOSES::EXCHANGE /* 445 */,
    PURPOSES::EXCHANGE /* 446 */,
    PURPOSES::EXCHANGE /* 447 */,
    PURPOSES::EXCHANGE /* 448 */,
    PURPOSES::EXCHANGE /* 449 */,
    PURPOSES::EXCHANGE /* 450 */,
    PURPOSES::EXCHANGE /* 451 */,
    PURPOSES::EXCHANGE /* 452 */,
    PURPOSES::EXCHANGE /* 453 */,
    PURPOSES::EXCHANGE /* 454 */,
    PURPOSES::EXCHANGE /* 455 */,
    PURPOSES::EXCHANGE /* 456 */,
    PURPOSES::EXCHANGE /* 457 */,
    PURPOSES::EXCHANGE /* 458 */,
    PURPOSES::EXCHANGE /* 459 */,
    PURPOSES::EXCHANGE /* 460 */,
    PURPOSES::EXCHANGE /* 461 */,
    PURPOSES::EXCHANGE /* 462 */,
    PURPOSES::EXCHANGE /* 463 */,
    PURPOSES::EXCHANGE /* 464 */,
    PURPOSES::EXCHANGE /* 465 */,
    PURPOSES::EXCHANGE /* 466 */,
    PURPOSES::EXCHANGE /* 467 */,
    PURPOSES::EXCHANGE /* 468 */,
    PURPOSES::CORRELATION /* 469 */,
    PURPOSES::CORRELATION /* 470 */,
    PURPOSES::CORRELATION /* 471 */,
    PURPOSES::CORRELATION /* 472 */,
    PURPOSES::CORRELATION /* 473 */,
    PURPOSES::CORRELATION /* 474 */,
    PURPOSES::CORRELATION /* 475 */,
    PURPOSES::CORRELATION /* 476 */,
    PURPOSES::CORRELATION /* 477 */,
    PURPOSES::CORRELATION /* 478 */,
    PURPOSES::CORRELATION /* 479 */,
    PURPOSES::CORRELATION /* 480 */,
    PURPOSES::CORRELATION /* 481 */,
    PURPOSES::CORRELATION /* 482 */,
    PURPOSES::CORRELATION /* 483 */,
    PURPOSES::CORRELATION /* 484 */,
    PURPOSES::CORRELATION /* 485 */,
    PURPOSES::CORRELATION /* 486 */,
    PURPOSES::CORRELATION /* 487 */,
    PURPOSES::CORRELATION /* 488 */,
    PURPOSES::CORRELATION /* 489 */,
    PURPOSES::CORRELATION /* 490 */,
    PURPOSES::CORRELATION /* 491 */,
    PURPOSES::CORRELATION /* 492 */,
    PURPOSES::CORRELATION /* 493 */,
    PURPOSES::CORRELATION /* 494 */,
    PURPOSES::CORRELATION /* 495 */,
    PURPOSES::CORRELATION /* 496 */,
    PURPOSES::CORRELATION /* 497 */,
    PURPOSES::CORRELATION /* 498 */,
    PURPOSES::CORRELATION /* 499 */,
    PURPOSES::CORRELATION /* 500 */,
    PURPOSES::CORRELATION /* 501 */,
    PURPOSES::CORRELATION /* 502 */,
    PURPOSES::CORRELATION /* 503 */,
    PURPOSES::CORRELATION /* 504 */,
    PURPOSES::CORRELATION /* 505 */,
    PURPOSES::CORRELATION /* 506 */,
    PURPOSES::EXCHANGE_CORRELATION /* 507 */,
    PURPOSES::EXCHANGE_CORRELATION /* 508 */,
    PURPOSES::EXCHANGE_CORRELATION /* 509 */,
    PURPOSES::EXCHANGE_CORRELATION /* 510 */,
    PURPOSES::EXCHANGE_CORRELATION /* 511 */,
    PURPOSES::EXCHANGE_CORRELATION /* 512 */,
    PURPOSES::EXCHANGE_CORRELATION /* 513 */,
    PURPOSES::KINETIC /* 514 */,
    PURPOSES::EXCHANGE /* 515 */,
    PURPOSES::EXCHANGE /* 516 */,
    PURPOSES::EXCHANGE /* 517 */,
    PURPOSES::EXCHANGE /* 518 */,
    PURPOSES::EXCHANGE /* 519 */,
    PURPOSES::EXCHANGE /* 520 */,
    PURPOSES::EXCHANGE /* 521 */,
    PURPOSES::EXCHANGE /* 522 */,
    PURPOSES::EXCHANGE /* 523 */,
    PURPOSES::EXCHANGE /* 524 */,
    PURPOSES::EXCHANGE /* 525 */,
    PURPOSES::EXCHANGE /* 526 */,
    PURPOSES::EXCHANGE /* 527 */,
    PURPOSES::EXCHANGE /* 528 */,
    PURPOSES::EXCHANGE /* 529 */,
    PURPOSES::EXCHANGE /* 530 */,
    PURPOSES::EXCHANGE /* 531 */,
    PURPOSES::EXCHANGE /* 532 */,
    PURPOSES::EXCHANGE /* 533 */,
    PURPOSES::EXCHANGE /* 534 */,
    PURPOSES::EXCHANGE /* 535 */,
    PURPOSES::EXCHANGE_CORRELATION /* 536 */,
    PURPOSES::EXCHANGE_CORRELATION /* 537 */,
    PURPOSES::EXCHANGE_CORRELATION /* 538 */,
    PURPOSES::EXCHANGE_CORRELATION /* 539 */,
    PURPOSES::EXCHANGE_CORRELATION /* 540 */,
    PURPOSES::EXCHANGE_CORRELATION /* 541 */,
    PURPOSES::EXCHANGE_CORRELATION /* 542 */,
    PURPOSES::EXCHANGE_CORRELATION /* 543 */,
    PURPOSES::EXCHANGE_CORRELATION /* 544 */,
    PURPOSES::EXCHANGE_CORRELATION /* 545 */,
    PURPOSES::EXCHANGE_CORRELATION /* 546 */,
    PURPOSES::EXCHANGE_CORRELATION /* 547 */,
    PURPOSES::EXCHANGE_CORRELATION /* 548 */,
    PURPOSES::EXCHANGE_CORRELATION /* 549 */,
    PURPOSES::EXCHANGE_CORRELATION /* 550 */,
    PURPOSES::EXCHANGE_CORRELATION /* 551 */,
    PURPOSES::EXCHANGE_CORRELATION /* 552 */,
    PURPOSES::EXCHANGE_CORRELATION /* 553 */,
    PURPOSES::EXCHANGE_CORRELATION /* 554 */,
    PURPOSES::EXCHANGE_CORRELATION /* 555 */,
};

constexpr std::array<CLASSES, 556> getClass{
    CLASSES::NONE /* 0 */,       CLASSES::MODELL /* 1 */,     CLASSES::LDA /* 2 */,        CLASSES::LDA /* 3 */,
    CLASSES::LDA /* 4 */,        CLASSES::LDA /* 5 */,        CLASSES::LDA /* 6 */,        CLASSES::LDA /* 7 */,
    CLASSES::LDA /* 8 */,        CLASSES::LDA /* 9 */,        CLASSES::LDA /* 10 */,       CLASSES::LDA /* 11 */,
    CLASSES::LDA /* 12 */,       CLASSES::LDA /* 13 */,       CLASSES::LDA /* 14 */,       CLASSES::LDA /* 15 */,
    CLASSES::LDA /* 16 */,       CLASSES::LDA /* 17 */,       CLASSES::LDA /* 18 */,       CLASSES::LDA /* 19 */,
    CLASSES::LDA /* 20 */,       CLASSES::LDA /* 21 */,       CLASSES::LDA /* 22 */,       CLASSES::LDA /* 23 */,
    CLASSES::LDA /* 24 */,       CLASSES::LDA /* 25 */,       CLASSES::LDA /* 26 */,       CLASSES::LDA /* 27 */,
    CLASSES::LDA /* 28 */,       CLASSES::LDA /* 29 */,       CLASSES::LDA /* 30 */,       CLASSES::LDA /* 31 */,
    CLASSES::LDA /* 32 */,       CLASSES::LDA /* 33 */,       CLASSES::LDA /* 34 */,       CLASSES::LDA /* 35 */,
    CLASSES::LDA /* 36 */,       CLASSES::LDA /* 37 */,       CLASSES::LDA /* 38 */,       CLASSES::LDA /* 39 */,
    CLASSES::LDA /* 40 */,       CLASSES::LDA /* 41 */,       CLASSES::LDA /* 42 */,       CLASSES::LDA /* 43 */,
    CLASSES::LDA /* 44 */,       CLASSES::LDA /* 45 */,       CLASSES::LDA /* 46 */,       CLASSES::LDA /* 47 */,
    CLASSES::LDA /* 48 */,       CLASSES::LDA /* 49 */,       CLASSES::LDA /* 50 */,       CLASSES::LDA /* 51 */,
    CLASSES::LDA /* 52 */,       CLASSES::LDA /* 53 */,       CLASSES::LDA /* 54 */,       CLASSES::LDA /* 55 */,
    CLASSES::LDA /* 56 */,       CLASSES::LDA /* 57 */,       CLASSES::LDA /* 58 */,       CLASSES::LDA /* 59 */,
    CLASSES::LDA /* 60 */,       CLASSES::LDA /* 61 */,       CLASSES::LDA /* 62 */,       CLASSES::LDA /* 63 */,
    CLASSES::LDA /* 64 */,       CLASSES::LDA /* 65 */,       CLASSES::LDA /* 66 */,       CLASSES::LDA /* 67 */,
    CLASSES::GGA /* 68 */,       CLASSES::GGA /* 69 */,       CLASSES::GGA /* 70 */,       CLASSES::GGA /* 71 */,
    CLASSES::GGA /* 72 */,       CLASSES::GGA /* 73 */,       CLASSES::GGA /* 74 */,       CLASSES::GGA /* 75 */,
    CLASSES::GGA /* 76 */,       CLASSES::GGA /* 77 */,       CLASSES::GGA /* 78 */,       CLASSES::GGA /* 79 */,
    CLASSES::GGA /* 80 */,       CLASSES::GGA /* 81 */,       CLASSES::GGA /* 82 */,       CLASSES::GGA /* 83 */,
    CLASSES::GGA /* 84 */,       CLASSES::GGA /* 85 */,       CLASSES::GGA /* 86 */,       CLASSES::GGA /* 87 */,
    CLASSES::GGA /* 88 */,       CLASSES::GGA /* 89 */,       CLASSES::GGA /* 90 */,       CLASSES::GGA /* 91 */,
    CLASSES::GGA /* 92 */,       CLASSES::GGA /* 93 */,       CLASSES::GGA /* 94 */,       CLASSES::GGA /* 95 */,
    CLASSES::GGA /* 96 */,       CLASSES::GGA /* 97 */,       CLASSES::GGA /* 98 */,       CLASSES::GGA /* 99 */,
    CLASSES::GGA /* 100 */,      CLASSES::GGA /* 101 */,      CLASSES::GGA /* 102 */,      CLASSES::GGA /* 103 */,
    CLASSES::GGA /* 104 */,      CLASSES::GGA /* 105 */,      CLASSES::GGA /* 106 */,      CLASSES::GGA /* 107 */,
    CLASSES::GGA /* 108 */,      CLASSES::GGA /* 109 */,      CLASSES::GGA /* 110 */,      CLASSES::GGA /* 111 */,
    CLASSES::GGA /* 112 */,      CLASSES::GGA /* 113 */,      CLASSES::GGA /* 114 */,      CLASSES::GGA /* 115 */,
    CLASSES::GGA /* 116 */,      CLASSES::GGA /* 117 */,      CLASSES::GGA /* 118 */,      CLASSES::GGA /* 119 */,
    CLASSES::GGA /* 120 */,      CLASSES::GGA /* 121 */,      CLASSES::GGA /* 122 */,      CLASSES::GGA /* 123 */,
    CLASSES::GGA /* 124 */,      CLASSES::GGA /* 125 */,      CLASSES::GGA /* 126 */,      CLASSES::GGA /* 127 */,
    CLASSES::GGA /* 128 */,      CLASSES::GGA /* 129 */,      CLASSES::GGA /* 130 */,      CLASSES::GGA /* 131 */,
    CLASSES::GGA /* 132 */,      CLASSES::GGA /* 133 */,      CLASSES::GGA /* 134 */,      CLASSES::GGA /* 135 */,
    CLASSES::GGA /* 136 */,      CLASSES::GGA /* 137 */,      CLASSES::GGA /* 138 */,      CLASSES::GGA /* 139 */,
    CLASSES::GGA /* 140 */,      CLASSES::GGA /* 141 */,      CLASSES::GGA /* 142 */,      CLASSES::GGA /* 143 */,
    CLASSES::GGA /* 144 */,      CLASSES::GGA /* 145 */,      CLASSES::GGA /* 146 */,      CLASSES::GGA /* 147 */,
    CLASSES::GGA /* 148 */,      CLASSES::GGA /* 149 */,      CLASSES::GGA /* 150 */,      CLASSES::GGA /* 151 */,
    CLASSES::GGA /* 152 */,      CLASSES::GGA /* 153 */,      CLASSES::GGA /* 154 */,      CLASSES::GGA /* 155 */,
    CLASSES::GGA /* 156 */,      CLASSES::GGA /* 157 */,      CLASSES::GGA /* 158 */,      CLASSES::GGA /* 159 */,
    CLASSES::GGA /* 160 */,      CLASSES::GGA /* 161 */,      CLASSES::GGA /* 162 */,      CLASSES::GGA /* 163 */,
    CLASSES::GGA /* 164 */,      CLASSES::GGA /* 165 */,      CLASSES::GGA /* 166 */,      CLASSES::GGA /* 167 */,
    CLASSES::GGA /* 168 */,      CLASSES::GGA /* 169 */,      CLASSES::GGA /* 170 */,      CLASSES::GGA /* 171 */,
    CLASSES::GGA /* 172 */,      CLASSES::GGA /* 173 */,      CLASSES::GGA /* 174 */,      CLASSES::GGA /* 175 */,
    CLASSES::GGA /* 176 */,      CLASSES::GGA /* 177 */,      CLASSES::GGA /* 178 */,      CLASSES::GGA /* 179 */,
    CLASSES::GGA /* 180 */,      CLASSES::GGA /* 181 */,      CLASSES::GGA /* 182 */,      CLASSES::GGA /* 183 */,
    CLASSES::GGA /* 184 */,      CLASSES::GGA /* 185 */,      CLASSES::GGA /* 186 */,      CLASSES::GGA /* 187 */,
    CLASSES::GGA /* 188 */,      CLASSES::GGA /* 189 */,      CLASSES::GGA /* 190 */,      CLASSES::GGA /* 191 */,
    CLASSES::GGA /* 192 */,      CLASSES::GGA /* 193 */,      CLASSES::GGA /* 194 */,      CLASSES::GGA /* 195 */,
    CLASSES::GGA /* 196 */,      CLASSES::GGA /* 197 */,      CLASSES::GGA /* 198 */,      CLASSES::GGA /* 199 */,
    CLASSES::GGA /* 200 */,      CLASSES::GGA /* 201 */,      CLASSES::GGA /* 202 */,      CLASSES::GGA /* 203 */,
    CLASSES::GGA /* 204 */,      CLASSES::GGA /* 205 */,      CLASSES::GGA /* 206 */,      CLASSES::GGA /* 207 */,
    CLASSES::GGA /* 208 */,      CLASSES::GGA /* 209 */,      CLASSES::GGA /* 210 */,      CLASSES::GGA /* 211 */,
    CLASSES::GGA /* 212 */,      CLASSES::GGA /* 213 */,      CLASSES::GGA /* 214 */,      CLASSES::GGA /* 215 */,
    CLASSES::GGA /* 216 */,      CLASSES::GGA /* 217 */,      CLASSES::GGA /* 218 */,      CLASSES::GGA /* 219 */,
    CLASSES::GGA /* 220 */,      CLASSES::GGA /* 221 */,      CLASSES::GGA /* 222 */,      CLASSES::GGA /* 223 */,
    CLASSES::GGA /* 224 */,      CLASSES::GGA /* 225 */,      CLASSES::GGA /* 226 */,      CLASSES::GGA /* 227 */,
    CLASSES::GGA /* 228 */,      CLASSES::GGA /* 229 */,      CLASSES::GGA /* 230 */,      CLASSES::GGA /* 231 */,
    CLASSES::GGA /* 232 */,      CLASSES::GGA /* 233 */,      CLASSES::GGA /* 234 */,      CLASSES::GGA /* 235 */,
    CLASSES::GGA /* 236 */,      CLASSES::GGA /* 237 */,      CLASSES::GGA /* 238 */,      CLASSES::GGA /* 239 */,
    CLASSES::GGA /* 240 */,      CLASSES::GGA /* 241 */,      CLASSES::GGA /* 242 */,      CLASSES::GGA /* 243 */,
    CLASSES::GGA /* 244 */,      CLASSES::GGA /* 245 */,      CLASSES::GGA /* 246 */,      CLASSES::GGA /* 247 */,
    CLASSES::GGA /* 248 */,      CLASSES::GGA /* 249 */,      CLASSES::GGA /* 250 */,      CLASSES::GGA /* 251 */,
    CLASSES::GGA /* 252 */,      CLASSES::GGA /* 253 */,      CLASSES::GGA /* 254 */,      CLASSES::GGA /* 255 */,
    CLASSES::GGA /* 256 */,      CLASSES::GGA /* 257 */,      CLASSES::GGA /* 258 */,      CLASSES::GGA /* 259 */,
    CLASSES::GGA /* 260 */,      CLASSES::GGA /* 261 */,      CLASSES::GGA /* 262 */,      CLASSES::GGA /* 263 */,
    CLASSES::GGA /* 264 */,      CLASSES::GGA /* 265 */,      CLASSES::GGA /* 266 */,      CLASSES::GGA /* 267 */,
    CLASSES::GGA /* 268 */,      CLASSES::GGA /* 269 */,      CLASSES::GGA /* 270 */,      CLASSES::GGA /* 271 */,
    CLASSES::GGA /* 272 */,      CLASSES::GGA /* 273 */,      CLASSES::GGA /* 274 */,      CLASSES::GGA /* 275 */,
    CLASSES::GGA /* 276 */,      CLASSES::GGA /* 277 */,      CLASSES::GGA /* 278 */,      CLASSES::GGA /* 279 */,
    CLASSES::GGA /* 280 */,      CLASSES::GGA /* 281 */,      CLASSES::GGA /* 282 */,      CLASSES::GGA /* 283 */,
    CLASSES::GGA /* 284 */,      CLASSES::GGA /* 285 */,      CLASSES::GGA /* 286 */,      CLASSES::GGA /* 287 */,
    CLASSES::GGA /* 288 */,      CLASSES::GGA /* 289 */,      CLASSES::GGA /* 290 */,      CLASSES::GGA /* 291 */,
    CLASSES::GGA /* 292 */,      CLASSES::GGA /* 293 */,      CLASSES::GGA /* 294 */,      CLASSES::GGA /* 295 */,
    CLASSES::GGA /* 296 */,      CLASSES::GGA /* 297 */,      CLASSES::GGA /* 298 */,      CLASSES::GGA /* 299 */,
    CLASSES::GGA /* 300 */,      CLASSES::GGA /* 301 */,      CLASSES::GGA /* 302 */,      CLASSES::GGA /* 303 */,
    CLASSES::GGA /* 304 */,      CLASSES::GGA /* 305 */,      CLASSES::GGA /* 306 */,      CLASSES::GGA /* 307 */,
    CLASSES::GGA /* 308 */,      CLASSES::GGA /* 309 */,      CLASSES::GGA /* 310 */,      CLASSES::GGA /* 311 */,
    CLASSES::GGA /* 312 */,      CLASSES::GGA /* 313 */,      CLASSES::GGA /* 314 */,      CLASSES::GGA /* 315 */,
    CLASSES::GGA /* 316 */,      CLASSES::GGA /* 317 */,      CLASSES::GGA /* 318 */,      CLASSES::GGA /* 319 */,
    CLASSES::GGA /* 320 */,      CLASSES::GGA /* 321 */,      CLASSES::GGA /* 322 */,      CLASSES::GGA /* 323 */,
    CLASSES::GGA /* 324 */,      CLASSES::GGA /* 325 */,      CLASSES::GGA /* 326 */,      CLASSES::GGA /* 327 */,
    CLASSES::GGA /* 328 */,      CLASSES::GGA /* 329 */,      CLASSES::GGA /* 330 */,      CLASSES::GGA /* 331 */,
    CLASSES::GGA /* 332 */,      CLASSES::GGA /* 333 */,      CLASSES::GGA /* 334 */,      CLASSES::GGA /* 335 */,
    CLASSES::GGA /* 336 */,      CLASSES::GGA /* 337 */,      CLASSES::GGA /* 338 */,      CLASSES::GGA /* 339 */,
    CLASSES::GGA /* 340 */,      CLASSES::GGA /* 341 */,      CLASSES::GGA /* 342 */,      CLASSES::GGA /* 343 */,
    CLASSES::GGA /* 344 */,      CLASSES::GGA /* 345 */,      CLASSES::GGA /* 346 */,      CLASSES::GGA /* 347 */,
    CLASSES::GGA /* 348 */,      CLASSES::GGA /* 349 */,      CLASSES::GGA /* 350 */,      CLASSES::GGA /* 351 */,
    CLASSES::GGA /* 352 */,      CLASSES::GGA /* 353 */,      CLASSES::GGA /* 354 */,      CLASSES::GGA /* 355 */,
    CLASSES::GGA /* 356 */,      CLASSES::GGA /* 357 */,      CLASSES::GGA /* 358 */,      CLASSES::GGA /* 359 */,
    CLASSES::GGA /* 360 */,      CLASSES::GGA /* 361 */,      CLASSES::GGA /* 362 */,      CLASSES::GGA /* 363 */,
    CLASSES::GGA /* 364 */,      CLASSES::GGA /* 365 */,      CLASSES::GGA /* 366 */,      CLASSES::GGA /* 367 */,
    CLASSES::GGA /* 368 */,      CLASSES::GGA /* 369 */,      CLASSES::GGA /* 370 */,      CLASSES::GGA /* 371 */,
    CLASSES::GGA /* 372 */,      CLASSES::GGA /* 373 */,      CLASSES::GGA /* 374 */,      CLASSES::GGA /* 375 */,
    CLASSES::GGA /* 376 */,      CLASSES::GGA /* 377 */,      CLASSES::GGA /* 378 */,      CLASSES::GGA /* 379 */,
    CLASSES::GGA /* 380 */,      CLASSES::GGA /* 381 */,      CLASSES::GGA /* 382 */,      CLASSES::GGA /* 383 */,
    CLASSES::GGA /* 384 */,      CLASSES::GGA /* 385 */,      CLASSES::GGA /* 386 */,      CLASSES::GGA /* 387 */,
    CLASSES::GGA /* 388 */,      CLASSES::GGA /* 389 */,      CLASSES::GGA /* 390 */,      CLASSES::GGA /* 391 */,
    CLASSES::GGA /* 392 */,      CLASSES::GGA /* 393 */,      CLASSES::GGA /* 394 */,      CLASSES::GGA /* 395 */,
    CLASSES::GGA /* 396 */,      CLASSES::GGA /* 397 */,      CLASSES::GGA /* 398 */,      CLASSES::GGA /* 399 */,
    CLASSES::GGA /* 400 */,      CLASSES::GGA /* 401 */,      CLASSES::GGA /* 402 */,      CLASSES::GGA /* 403 */,
    CLASSES::GGA /* 404 */,      CLASSES::GGA /* 405 */,      CLASSES::GGA /* 406 */,      CLASSES::GGA /* 407 */,
    CLASSES::GGA /* 408 */,      CLASSES::META_GGA /* 409 */, CLASSES::META_GGA /* 410 */, CLASSES::META_GGA /* 411 */,
    CLASSES::META_GGA /* 412 */, CLASSES::META_GGA /* 413 */, CLASSES::META_GGA /* 414 */, CLASSES::META_GGA /* 415 */,
    CLASSES::META_GGA /* 416 */, CLASSES::META_GGA /* 417 */, CLASSES::META_GGA /* 418 */, CLASSES::META_GGA /* 419 */,
    CLASSES::META_GGA /* 420 */, CLASSES::META_GGA /* 421 */, CLASSES::META_GGA /* 422 */, CLASSES::META_GGA /* 423 */,
    CLASSES::META_GGA /* 424 */, CLASSES::META_GGA /* 425 */, CLASSES::META_GGA /* 426 */, CLASSES::META_GGA /* 427 */,
    CLASSES::META_GGA /* 428 */, CLASSES::META_GGA /* 429 */, CLASSES::META_GGA /* 430 */, CLASSES::META_GGA /* 431 */,
    CLASSES::META_GGA /* 432 */, CLASSES::META_GGA /* 433 */, CLASSES::META_GGA /* 434 */, CLASSES::META_GGA /* 435 */,
    CLASSES::META_GGA /* 436 */, CLASSES::META_GGA /* 437 */, CLASSES::META_GGA /* 438 */, CLASSES::META_GGA /* 439 */,
    CLASSES::META_GGA /* 440 */, CLASSES::META_GGA /* 441 */, CLASSES::META_GGA /* 442 */, CLASSES::META_GGA /* 443 */,
    CLASSES::META_GGA /* 444 */, CLASSES::META_GGA /* 445 */, CLASSES::META_GGA /* 446 */, CLASSES::META_GGA /* 447 */,
    CLASSES::META_GGA /* 448 */, CLASSES::META_GGA /* 449 */, CLASSES::META_GGA /* 450 */, CLASSES::META_GGA /* 451 */,
    CLASSES::META_GGA /* 452 */, CLASSES::META_GGA /* 453 */, CLASSES::META_GGA /* 454 */, CLASSES::META_GGA /* 455 */,
    CLASSES::META_GGA /* 456 */, CLASSES::META_GGA /* 457 */, CLASSES::META_GGA /* 458 */, CLASSES::META_GGA /* 459 */,
    CLASSES::META_GGA /* 460 */, CLASSES::META_GGA /* 461 */, CLASSES::META_GGA /* 462 */, CLASSES::META_GGA /* 463 */,
    CLASSES::META_GGA /* 464 */, CLASSES::META_GGA /* 465 */, CLASSES::META_GGA /* 466 */, CLASSES::META_GGA /* 467 */,
    CLASSES::META_GGA /* 468 */, CLASSES::META_GGA /* 469 */, CLASSES::META_GGA /* 470 */, CLASSES::META_GGA /* 471 */,
    CLASSES::META_GGA /* 472 */, CLASSES::META_GGA /* 473 */, CLASSES::META_GGA /* 474 */, CLASSES::META_GGA /* 475 */,
    CLASSES::META_GGA /* 476 */, CLASSES::META_GGA /* 477 */, CLASSES::META_GGA /* 478 */, CLASSES::META_GGA /* 479 */,
    CLASSES::META_GGA /* 480 */, CLASSES::META_GGA /* 481 */, CLASSES::META_GGA /* 482 */, CLASSES::META_GGA /* 483 */,
    CLASSES::META_GGA /* 484 */, CLASSES::META_GGA /* 485 */, CLASSES::META_GGA /* 486 */, CLASSES::META_GGA /* 487 */,
    CLASSES::META_GGA /* 488 */, CLASSES::META_GGA /* 489 */, CLASSES::META_GGA /* 490 */, CLASSES::META_GGA /* 491 */,
    CLASSES::META_GGA /* 492 */, CLASSES::META_GGA /* 493 */, CLASSES::META_GGA /* 494 */, CLASSES::META_GGA /* 495 */,
    CLASSES::META_GGA /* 496 */, CLASSES::META_GGA /* 497 */, CLASSES::META_GGA /* 498 */, CLASSES::META_GGA /* 499 */,
    CLASSES::META_GGA /* 500 */, CLASSES::META_GGA /* 501 */, CLASSES::META_GGA /* 502 */, CLASSES::META_GGA /* 503 */,
    CLASSES::META_GGA /* 504 */, CLASSES::META_GGA /* 505 */, CLASSES::META_GGA /* 506 */, CLASSES::META_GGA /* 507 */,
    CLASSES::META_GGA /* 508 */, CLASSES::META_GGA /* 509 */, CLASSES::META_GGA /* 510 */, CLASSES::META_GGA /* 511 */,
    CLASSES::META_GGA /* 512 */, CLASSES::META_GGA /* 513 */, CLASSES::META_GGA /* 514 */, CLASSES::META_GGA /* 515 */,
    CLASSES::META_GGA /* 516 */, CLASSES::META_GGA /* 517 */, CLASSES::META_GGA /* 518 */, CLASSES::META_GGA /* 519 */,
    CLASSES::META_GGA /* 520 */, CLASSES::META_GGA /* 521 */, CLASSES::META_GGA /* 522 */, CLASSES::META_GGA /* 523 */,
    CLASSES::META_GGA /* 524 */, CLASSES::META_GGA /* 525 */, CLASSES::META_GGA /* 526 */, CLASSES::META_GGA /* 527 */,
    CLASSES::META_GGA /* 528 */, CLASSES::META_GGA /* 529 */, CLASSES::META_GGA /* 530 */, CLASSES::META_GGA /* 531 */,
    CLASSES::META_GGA /* 532 */, CLASSES::META_GGA /* 533 */, CLASSES::META_GGA /* 534 */, CLASSES::META_GGA /* 535 */,
    CLASSES::META_GGA /* 536 */, CLASSES::META_GGA /* 537 */, CLASSES::META_GGA /* 538 */, CLASSES::META_GGA /* 539 */,
    CLASSES::META_GGA /* 540 */, CLASSES::META_GGA /* 541 */, CLASSES::META_GGA /* 542 */, CLASSES::META_GGA /* 543 */,
    CLASSES::META_GGA /* 544 */, CLASSES::META_GGA /* 545 */, CLASSES::META_GGA /* 546 */, CLASSES::META_GGA /* 547 */,
    CLASSES::META_GGA /* 548 */, CLASSES::META_GGA /* 549 */, CLASSES::META_GGA /* 550 */, CLASSES::META_GGA /* 551 */,
    CLASSES::META_GGA /* 552 */, CLASSES::META_GGA /* 553 */, CLASSES::META_GGA /* 554 */, CLASSES::META_GGA /* 555 */,
};

constexpr std::array<IMPLEMENTATIONS, 556> getImplementation{
    IMPLEMENTATIONS::BOTH /* 0 */,    IMPLEMENTATIONS::BOTH /* 1 */,    IMPLEMENTATIONS::BOTH /* 2 */,
    IMPLEMENTATIONS::LIBXC /* 3 */,   IMPLEMENTATIONS::LIBXC /* 4 */,   IMPLEMENTATIONS::LIBXC /* 5 */,
    IMPLEMENTATIONS::BOTH /* 6 */,    IMPLEMENTATIONS::LIBXC /* 7 */,   IMPLEMENTATIONS::LIBXC /* 8 */,
    IMPLEMENTATIONS::LIBXC /* 9 */,   IMPLEMENTATIONS::LIBXC /* 10 */,  IMPLEMENTATIONS::LIBXC /* 11 */,
    IMPLEMENTATIONS::LIBXC /* 12 */,  IMPLEMENTATIONS::LIBXC /* 13 */,  IMPLEMENTATIONS::LIBXC /* 14 */,
    IMPLEMENTATIONS::LIBXC /* 15 */,  IMPLEMENTATIONS::LIBXC /* 16 */,  IMPLEMENTATIONS::LIBXC /* 17 */,
    IMPLEMENTATIONS::XCFUN /* 18 */,  IMPLEMENTATIONS::XCFUN /* 19 */,  IMPLEMENTATIONS::LIBXC /* 20 */,
    IMPLEMENTATIONS::LIBXC /* 21 */,  IMPLEMENTATIONS::LIBXC /* 22 */,  IMPLEMENTATIONS::LIBXC /* 23 */,
    IMPLEMENTATIONS::LIBXC /* 24 */,  IMPLEMENTATIONS::LIBXC /* 25 */,  IMPLEMENTATIONS::LIBXC /* 26 */,
    IMPLEMENTATIONS::LIBXC /* 27 */,  IMPLEMENTATIONS::LIBXC /* 28 */,  IMPLEMENTATIONS::LIBXC /* 29 */,
    IMPLEMENTATIONS::LIBXC /* 30 */,  IMPLEMENTATIONS::LIBXC /* 31 */,  IMPLEMENTATIONS::LIBXC /* 32 */,
    IMPLEMENTATIONS::LIBXC /* 33 */,  IMPLEMENTATIONS::LIBXC /* 34 */,  IMPLEMENTATIONS::LIBXC /* 35 */,
    IMPLEMENTATIONS::LIBXC /* 36 */,  IMPLEMENTATIONS::LIBXC /* 37 */,  IMPLEMENTATIONS::LIBXC /* 38 */,
    IMPLEMENTATIONS::LIBXC /* 39 */,  IMPLEMENTATIONS::LIBXC /* 40 */,  IMPLEMENTATIONS::LIBXC /* 41 */,
    IMPLEMENTATIONS::LIBXC /* 42 */,  IMPLEMENTATIONS::LIBXC /* 43 */,  IMPLEMENTATIONS::LIBXC /* 44 */,
    IMPLEMENTATIONS::BOTH /* 45 */,   IMPLEMENTATIONS::LIBXC /* 46 */,  IMPLEMENTATIONS::LIBXC /* 47 */,
    IMPLEMENTATIONS::BOTH /* 48 */,   IMPLEMENTATIONS::LIBXC /* 49 */,  IMPLEMENTATIONS::LIBXC /* 50 */,
    IMPLEMENTATIONS::LIBXC /* 51 */,  IMPLEMENTATIONS::LIBXC /* 52 */,  IMPLEMENTATIONS::LIBXC /* 53 */,
    IMPLEMENTATIONS::LIBXC /* 54 */,  IMPLEMENTATIONS::LIBXC /* 55 */,  IMPLEMENTATIONS::LIBXC /* 56 */,
    IMPLEMENTATIONS::LIBXC /* 57 */,  IMPLEMENTATIONS::LIBXC /* 58 */,  IMPLEMENTATIONS::LIBXC /* 59 */,
    IMPLEMENTATIONS::LIBXC /* 60 */,  IMPLEMENTATIONS::LIBXC /* 61 */,  IMPLEMENTATIONS::LIBXC /* 62 */,
    IMPLEMENTATIONS::LIBXC /* 63 */,  IMPLEMENTATIONS::LIBXC /* 64 */,  IMPLEMENTATIONS::LIBXC /* 65 */,
    IMPLEMENTATIONS::BOTH /* 66 */,   IMPLEMENTATIONS::LIBXC /* 67 */,  IMPLEMENTATIONS::LIBXC /* 68 */,
    IMPLEMENTATIONS::LIBXC /* 69 */,  IMPLEMENTATIONS::LIBXC /* 70 */,  IMPLEMENTATIONS::LIBXC /* 71 */,
    IMPLEMENTATIONS::LIBXC /* 72 */,  IMPLEMENTATIONS::LIBXC /* 73 */,  IMPLEMENTATIONS::LIBXC /* 74 */,
    IMPLEMENTATIONS::LIBXC /* 75 */,  IMPLEMENTATIONS::BOTH /* 76 */,   IMPLEMENTATIONS::LIBXC /* 77 */,
    IMPLEMENTATIONS::LIBXC /* 78 */,  IMPLEMENTATIONS::LIBXC /* 79 */,  IMPLEMENTATIONS::BOTH /* 80 */,
    IMPLEMENTATIONS::XCFUN /* 81 */,  IMPLEMENTATIONS::XCFUN /* 82 */,  IMPLEMENTATIONS::XCFUN /* 83 */,
    IMPLEMENTATIONS::LIBXC /* 84 */,  IMPLEMENTATIONS::LIBXC /* 85 */,  IMPLEMENTATIONS::LIBXC /* 86 */,
    IMPLEMENTATIONS::LIBXC /* 87 */,  IMPLEMENTATIONS::LIBXC /* 88 */,  IMPLEMENTATIONS::LIBXC /* 89 */,
    IMPLEMENTATIONS::LIBXC /* 90 */,  IMPLEMENTATIONS::LIBXC /* 91 */,  IMPLEMENTATIONS::LIBXC /* 92 */,
    IMPLEMENTATIONS::LIBXC /* 93 */,  IMPLEMENTATIONS::LIBXC /* 94 */,  IMPLEMENTATIONS::LIBXC /* 95 */,
    IMPLEMENTATIONS::LIBXC /* 96 */,  IMPLEMENTATIONS::LIBXC /* 97 */,  IMPLEMENTATIONS::LIBXC /* 98 */,
    IMPLEMENTATIONS::LIBXC /* 99 */,  IMPLEMENTATIONS::LIBXC /* 100 */, IMPLEMENTATIONS::LIBXC /* 101 */,
    IMPLEMENTATIONS::LIBXC /* 102 */, IMPLEMENTATIONS::LIBXC /* 103 */, IMPLEMENTATIONS::LIBXC /* 104 */,
    IMPLEMENTATIONS::LIBXC /* 105 */, IMPLEMENTATIONS::LIBXC /* 106 */, IMPLEMENTATIONS::LIBXC /* 107 */,
    IMPLEMENTATIONS::LIBXC /* 108 */, IMPLEMENTATIONS::LIBXC /* 109 */, IMPLEMENTATIONS::LIBXC /* 110 */,
    IMPLEMENTATIONS::LIBXC /* 111 */, IMPLEMENTATIONS::LIBXC /* 112 */, IMPLEMENTATIONS::LIBXC /* 113 */,
    IMPLEMENTATIONS::BOTH /* 114 */,  IMPLEMENTATIONS::LIBXC /* 115 */, IMPLEMENTATIONS::LIBXC /* 116 */,
    IMPLEMENTATIONS::LIBXC /* 117 */, IMPLEMENTATIONS::LIBXC /* 118 */, IMPLEMENTATIONS::LIBXC /* 119 */,
    IMPLEMENTATIONS::LIBXC /* 120 */, IMPLEMENTATIONS::LIBXC /* 121 */, IMPLEMENTATIONS::LIBXC /* 122 */,
    IMPLEMENTATIONS::LIBXC /* 123 */, IMPLEMENTATIONS::LIBXC /* 124 */, IMPLEMENTATIONS::LIBXC /* 125 */,
    IMPLEMENTATIONS::LIBXC /* 126 */, IMPLEMENTATIONS::LIBXC /* 127 */, IMPLEMENTATIONS::LIBXC /* 128 */,
    IMPLEMENTATIONS::LIBXC /* 129 */, IMPLEMENTATIONS::LIBXC /* 130 */, IMPLEMENTATIONS::LIBXC /* 131 */,
    IMPLEMENTATIONS::LIBXC /* 132 */, IMPLEMENTATIONS::LIBXC /* 133 */, IMPLEMENTATIONS::BOTH /* 134 */,
    IMPLEMENTATIONS::BOTH /* 135 */,  IMPLEMENTATIONS::LIBXC /* 136 */, IMPLEMENTATIONS::LIBXC /* 137 */,
    IMPLEMENTATIONS::LIBXC /* 138 */, IMPLEMENTATIONS::BOTH /* 139 */,  IMPLEMENTATIONS::LIBXC /* 140 */,
    IMPLEMENTATIONS::LIBXC /* 141 */, IMPLEMENTATIONS::LIBXC /* 142 */, IMPLEMENTATIONS::BOTH /* 143 */,
    IMPLEMENTATIONS::LIBXC /* 144 */, IMPLEMENTATIONS::LIBXC /* 145 */, IMPLEMENTATIONS::LIBXC /* 146 */,
    IMPLEMENTATIONS::BOTH /* 147 */,  IMPLEMENTATIONS::BOTH /* 148 */,  IMPLEMENTATIONS::LIBXC /* 149 */,
    IMPLEMENTATIONS::XCFUN /* 150 */, IMPLEMENTATIONS::LIBXC /* 151 */, IMPLEMENTATIONS::BOTH /* 152 */,
    IMPLEMENTATIONS::LIBXC /* 153 */, IMPLEMENTATIONS::LIBXC /* 154 */, IMPLEMENTATIONS::LIBXC /* 155 */,
    IMPLEMENTATIONS::LIBXC /* 156 */, IMPLEMENTATIONS::LIBXC /* 157 */, IMPLEMENTATIONS::LIBXC /* 158 */,
    IMPLEMENTATIONS::LIBXC /* 159 */, IMPLEMENTATIONS::LIBXC /* 160 */, IMPLEMENTATIONS::LIBXC /* 161 */,
    IMPLEMENTATIONS::LIBXC /* 162 */, IMPLEMENTATIONS::LIBXC /* 163 */, IMPLEMENTATIONS::LIBXC /* 164 */,
    IMPLEMENTATIONS::LIBXC /* 165 */, IMPLEMENTATIONS::LIBXC /* 166 */, IMPLEMENTATIONS::LIBXC /* 167 */,
    IMPLEMENTATIONS::LIBXC /* 168 */, IMPLEMENTATIONS::LIBXC /* 169 */, IMPLEMENTATIONS::LIBXC /* 170 */,
    IMPLEMENTATIONS::LIBXC /* 171 */, IMPLEMENTATIONS::LIBXC /* 172 */, IMPLEMENTATIONS::BOTH /* 173 */,
    IMPLEMENTATIONS::LIBXC /* 174 */, IMPLEMENTATIONS::LIBXC /* 175 */, IMPLEMENTATIONS::LIBXC /* 176 */,
    IMPLEMENTATIONS::LIBXC /* 177 */, IMPLEMENTATIONS::LIBXC /* 178 */, IMPLEMENTATIONS::LIBXC /* 179 */,
    IMPLEMENTATIONS::LIBXC /* 180 */, IMPLEMENTATIONS::LIBXC /* 181 */, IMPLEMENTATIONS::LIBXC /* 182 */,
    IMPLEMENTATIONS::LIBXC /* 183 */, IMPLEMENTATIONS::BOTH /* 184 */,  IMPLEMENTATIONS::LIBXC /* 185 */,
    IMPLEMENTATIONS::LIBXC /* 186 */, IMPLEMENTATIONS::LIBXC /* 187 */, IMPLEMENTATIONS::LIBXC /* 188 */,
    IMPLEMENTATIONS::LIBXC /* 189 */, IMPLEMENTATIONS::LIBXC /* 190 */, IMPLEMENTATIONS::LIBXC /* 191 */,
    IMPLEMENTATIONS::BOTH /* 192 */,  IMPLEMENTATIONS::BOTH /* 193 */,  IMPLEMENTATIONS::XCFUN /* 194 */,
    IMPLEMENTATIONS::XCFUN /* 195 */, IMPLEMENTATIONS::XCFUN /* 196 */, IMPLEMENTATIONS::BOTH /* 197 */,
    IMPLEMENTATIONS::LIBXC /* 198 */, IMPLEMENTATIONS::LIBXC /* 199 */, IMPLEMENTATIONS::LIBXC /* 200 */,
    IMPLEMENTATIONS::LIBXC /* 201 */, IMPLEMENTATIONS::LIBXC /* 202 */, IMPLEMENTATIONS::BOTH /* 203 */,
    IMPLEMENTATIONS::BOTH /* 204 */,  IMPLEMENTATIONS::BOTH /* 205 */,  IMPLEMENTATIONS::LIBXC /* 206 */,
    IMPLEMENTATIONS::LIBXC /* 207 */, IMPLEMENTATIONS::LIBXC /* 208 */, IMPLEMENTATIONS::LIBXC /* 209 */,
    IMPLEMENTATIONS::LIBXC /* 210 */, IMPLEMENTATIONS::LIBXC /* 211 */, IMPLEMENTATIONS::LIBXC /* 212 */,
    IMPLEMENTATIONS::LIBXC /* 213 */, IMPLEMENTATIONS::BOTH /* 214 */,  IMPLEMENTATIONS::LIBXC /* 215 */,
    IMPLEMENTATIONS::LIBXC /* 216 */, IMPLEMENTATIONS::LIBXC /* 217 */, IMPLEMENTATIONS::LIBXC /* 218 */,
    IMPLEMENTATIONS::LIBXC /* 219 */, IMPLEMENTATIONS::LIBXC /* 220 */, IMPLEMENTATIONS::LIBXC /* 221 */,
    IMPLEMENTATIONS::LIBXC /* 222 */, IMPLEMENTATIONS::LIBXC /* 223 */, IMPLEMENTATIONS::LIBXC /* 224 */,
    IMPLEMENTATIONS::LIBXC /* 225 */, IMPLEMENTATIONS::LIBXC /* 226 */, IMPLEMENTATIONS::LIBXC /* 227 */,
    IMPLEMENTATIONS::LIBXC /* 228 */, IMPLEMENTATIONS::LIBXC /* 229 */, IMPLEMENTATIONS::LIBXC /* 230 */,
    IMPLEMENTATIONS::LIBXC /* 231 */, IMPLEMENTATIONS::LIBXC /* 232 */, IMPLEMENTATIONS::LIBXC /* 233 */,
    IMPLEMENTATIONS::LIBXC /* 234 */, IMPLEMENTATIONS::LIBXC /* 235 */, IMPLEMENTATIONS::LIBXC /* 236 */,
    IMPLEMENTATIONS::LIBXC /* 237 */, IMPLEMENTATIONS::LIBXC /* 238 */, IMPLEMENTATIONS::LIBXC /* 239 */,
    IMPLEMENTATIONS::LIBXC /* 240 */, IMPLEMENTATIONS::LIBXC /* 241 */, IMPLEMENTATIONS::LIBXC /* 242 */,
    IMPLEMENTATIONS::LIBXC /* 243 */, IMPLEMENTATIONS::LIBXC /* 244 */, IMPLEMENTATIONS::LIBXC /* 245 */,
    IMPLEMENTATIONS::LIBXC /* 246 */, IMPLEMENTATIONS::LIBXC /* 247 */, IMPLEMENTATIONS::LIBXC /* 248 */,
    IMPLEMENTATIONS::LIBXC /* 249 */, IMPLEMENTATIONS::LIBXC /* 250 */, IMPLEMENTATIONS::LIBXC /* 251 */,
    IMPLEMENTATIONS::LIBXC /* 252 */, IMPLEMENTATIONS::LIBXC /* 253 */, IMPLEMENTATIONS::LIBXC /* 254 */,
    IMPLEMENTATIONS::LIBXC /* 255 */, IMPLEMENTATIONS::LIBXC /* 256 */, IMPLEMENTATIONS::LIBXC /* 257 */,
    IMPLEMENTATIONS::LIBXC /* 258 */, IMPLEMENTATIONS::LIBXC /* 259 */, IMPLEMENTATIONS::LIBXC /* 260 */,
    IMPLEMENTATIONS::LIBXC /* 261 */, IMPLEMENTATIONS::LIBXC /* 262 */, IMPLEMENTATIONS::LIBXC /* 263 */,
    IMPLEMENTATIONS::LIBXC /* 264 */, IMPLEMENTATIONS::LIBXC /* 265 */, IMPLEMENTATIONS::LIBXC /* 266 */,
    IMPLEMENTATIONS::LIBXC /* 267 */, IMPLEMENTATIONS::LIBXC /* 268 */, IMPLEMENTATIONS::LIBXC /* 269 */,
    IMPLEMENTATIONS::LIBXC /* 270 */, IMPLEMENTATIONS::LIBXC /* 271 */, IMPLEMENTATIONS::BOTH /* 272 */,
    IMPLEMENTATIONS::LIBXC /* 273 */, IMPLEMENTATIONS::LIBXC /* 274 */, IMPLEMENTATIONS::LIBXC /* 275 */,
    IMPLEMENTATIONS::LIBXC /* 276 */, IMPLEMENTATIONS::LIBXC /* 277 */, IMPLEMENTATIONS::LIBXC /* 278 */,
    IMPLEMENTATIONS::LIBXC /* 279 */, IMPLEMENTATIONS::LIBXC /* 280 */, IMPLEMENTATIONS::LIBXC /* 281 */,
    IMPLEMENTATIONS::LIBXC /* 282 */, IMPLEMENTATIONS::BOTH /* 283 */,  IMPLEMENTATIONS::LIBXC /* 284 */,
    IMPLEMENTATIONS::LIBXC /* 285 */, IMPLEMENTATIONS::BOTH /* 286 */,  IMPLEMENTATIONS::XCFUN /* 287 */,
    IMPLEMENTATIONS::LIBXC /* 288 */, IMPLEMENTATIONS::LIBXC /* 289 */, IMPLEMENTATIONS::LIBXC /* 290 */,
    IMPLEMENTATIONS::XCFUN /* 291 */, IMPLEMENTATIONS::XCFUN /* 292 */, IMPLEMENTATIONS::BOTH /* 293 */,
    IMPLEMENTATIONS::BOTH /* 294 */,  IMPLEMENTATIONS::LIBXC /* 295 */, IMPLEMENTATIONS::LIBXC /* 296 */,
    IMPLEMENTATIONS::LIBXC /* 297 */, IMPLEMENTATIONS::LIBXC /* 298 */, IMPLEMENTATIONS::LIBXC /* 299 */,
    IMPLEMENTATIONS::LIBXC /* 300 */, IMPLEMENTATIONS::LIBXC /* 301 */, IMPLEMENTATIONS::LIBXC /* 302 */,
    IMPLEMENTATIONS::LIBXC /* 303 */, IMPLEMENTATIONS::LIBXC /* 304 */, IMPLEMENTATIONS::LIBXC /* 305 */,
    IMPLEMENTATIONS::LIBXC /* 306 */, IMPLEMENTATIONS::LIBXC /* 307 */, IMPLEMENTATIONS::LIBXC /* 308 */,
    IMPLEMENTATIONS::LIBXC /* 309 */, IMPLEMENTATIONS::XCFUN /* 310 */, IMPLEMENTATIONS::XCFUN /* 311 */,
    IMPLEMENTATIONS::XCFUN /* 312 */, IMPLEMENTATIONS::XCFUN /* 313 */, IMPLEMENTATIONS::XCFUN /* 314 */,
    IMPLEMENTATIONS::XCFUN /* 315 */, IMPLEMENTATIONS::LIBXC /* 316 */, IMPLEMENTATIONS::LIBXC /* 317 */,
    IMPLEMENTATIONS::LIBXC /* 318 */, IMPLEMENTATIONS::LIBXC /* 319 */, IMPLEMENTATIONS::LIBXC /* 320 */,
    IMPLEMENTATIONS::LIBXC /* 321 */, IMPLEMENTATIONS::LIBXC /* 322 */, IMPLEMENTATIONS::LIBXC /* 323 */,
    IMPLEMENTATIONS::LIBXC /* 324 */, IMPLEMENTATIONS::LIBXC /* 325 */, IMPLEMENTATIONS::LIBXC /* 326 */,
    IMPLEMENTATIONS::LIBXC /* 327 */, IMPLEMENTATIONS::LIBXC /* 328 */, IMPLEMENTATIONS::LIBXC /* 329 */,
    IMPLEMENTATIONS::LIBXC /* 330 */, IMPLEMENTATIONS::LIBXC /* 331 */, IMPLEMENTATIONS::LIBXC /* 332 */,
    IMPLEMENTATIONS::LIBXC /* 333 */, IMPLEMENTATIONS::LIBXC /* 334 */, IMPLEMENTATIONS::LIBXC /* 335 */,
    IMPLEMENTATIONS::LIBXC /* 336 */, IMPLEMENTATIONS::LIBXC /* 337 */, IMPLEMENTATIONS::LIBXC /* 338 */,
    IMPLEMENTATIONS::LIBXC /* 339 */, IMPLEMENTATIONS::LIBXC /* 340 */, IMPLEMENTATIONS::LIBXC /* 341 */,
    IMPLEMENTATIONS::LIBXC /* 342 */, IMPLEMENTATIONS::LIBXC /* 343 */, IMPLEMENTATIONS::LIBXC /* 344 */,
    IMPLEMENTATIONS::LIBXC /* 345 */, IMPLEMENTATIONS::LIBXC /* 346 */, IMPLEMENTATIONS::LIBXC /* 347 */,
    IMPLEMENTATIONS::LIBXC /* 348 */, IMPLEMENTATIONS::LIBXC /* 349 */, IMPLEMENTATIONS::LIBXC /* 350 */,
    IMPLEMENTATIONS::LIBXC /* 351 */, IMPLEMENTATIONS::LIBXC /* 352 */, IMPLEMENTATIONS::LIBXC /* 353 */,
    IMPLEMENTATIONS::LIBXC /* 354 */, IMPLEMENTATIONS::LIBXC /* 355 */, IMPLEMENTATIONS::LIBXC /* 356 */,
    IMPLEMENTATIONS::LIBXC /* 357 */, IMPLEMENTATIONS::LIBXC /* 358 */, IMPLEMENTATIONS::LIBXC /* 359 */,
    IMPLEMENTATIONS::LIBXC /* 360 */, IMPLEMENTATIONS::LIBXC /* 361 */, IMPLEMENTATIONS::LIBXC /* 362 */,
    IMPLEMENTATIONS::LIBXC /* 363 */, IMPLEMENTATIONS::LIBXC /* 364 */, IMPLEMENTATIONS::LIBXC /* 365 */,
    IMPLEMENTATIONS::LIBXC /* 366 */, IMPLEMENTATIONS::LIBXC /* 367 */, IMPLEMENTATIONS::LIBXC /* 368 */,
    IMPLEMENTATIONS::LIBXC /* 369 */, IMPLEMENTATIONS::LIBXC /* 370 */, IMPLEMENTATIONS::LIBXC /* 371 */,
    IMPLEMENTATIONS::LIBXC /* 372 */, IMPLEMENTATIONS::LIBXC /* 373 */, IMPLEMENTATIONS::LIBXC /* 374 */,
    IMPLEMENTATIONS::LIBXC /* 375 */, IMPLEMENTATIONS::LIBXC /* 376 */, IMPLEMENTATIONS::LIBXC /* 377 */,
    IMPLEMENTATIONS::LIBXC /* 378 */, IMPLEMENTATIONS::LIBXC /* 379 */, IMPLEMENTATIONS::LIBXC /* 380 */,
    IMPLEMENTATIONS::LIBXC /* 381 */, IMPLEMENTATIONS::LIBXC /* 382 */, IMPLEMENTATIONS::LIBXC /* 383 */,
    IMPLEMENTATIONS::LIBXC /* 384 */, IMPLEMENTATIONS::LIBXC /* 385 */, IMPLEMENTATIONS::LIBXC /* 386 */,
    IMPLEMENTATIONS::LIBXC /* 387 */, IMPLEMENTATIONS::LIBXC /* 388 */, IMPLEMENTATIONS::LIBXC /* 389 */,
    IMPLEMENTATIONS::LIBXC /* 390 */, IMPLEMENTATIONS::LIBXC /* 391 */, IMPLEMENTATIONS::LIBXC /* 392 */,
    IMPLEMENTATIONS::LIBXC /* 393 */, IMPLEMENTATIONS::LIBXC /* 394 */, IMPLEMENTATIONS::LIBXC /* 395 */,
    IMPLEMENTATIONS::LIBXC /* 396 */, IMPLEMENTATIONS::LIBXC /* 397 */, IMPLEMENTATIONS::LIBXC /* 398 */,
    IMPLEMENTATIONS::LIBXC /* 399 */, IMPLEMENTATIONS::LIBXC /* 400 */, IMPLEMENTATIONS::LIBXC /* 401 */,
    IMPLEMENTATIONS::LIBXC /* 402 */, IMPLEMENTATIONS::LIBXC /* 403 */, IMPLEMENTATIONS::LIBXC /* 404 */,
    IMPLEMENTATIONS::LIBXC /* 405 */, IMPLEMENTATIONS::LIBXC /* 406 */, IMPLEMENTATIONS::LIBXC /* 407 */,
    IMPLEMENTATIONS::LIBXC /* 408 */, IMPLEMENTATIONS::LIBXC /* 409 */, IMPLEMENTATIONS::LIBXC /* 410 */,
    IMPLEMENTATIONS::LIBXC /* 411 */, IMPLEMENTATIONS::LIBXC /* 412 */, IMPLEMENTATIONS::LIBXC /* 413 */,
    IMPLEMENTATIONS::BOTH /* 414 */,  IMPLEMENTATIONS::LIBXC /* 415 */, IMPLEMENTATIONS::LIBXC /* 416 */,
    IMPLEMENTATIONS::LIBXC /* 417 */, IMPLEMENTATIONS::LIBXC /* 418 */, IMPLEMENTATIONS::LIBXC /* 419 */,
    IMPLEMENTATIONS::LIBXC /* 420 */, IMPLEMENTATIONS::LIBXC /* 421 */, IMPLEMENTATIONS::LIBXC /* 422 */,
    IMPLEMENTATIONS::LIBXC /* 423 */, IMPLEMENTATIONS::LIBXC /* 424 */, IMPLEMENTATIONS::LIBXC /* 425 */,
    IMPLEMENTATIONS::LIBXC /* 426 */, IMPLEMENTATIONS::BOTH /* 427 */,  IMPLEMENTATIONS::LIBXC /* 428 */,
    IMPLEMENTATIONS::LIBXC /* 429 */, IMPLEMENTATIONS::LIBXC /* 430 */, IMPLEMENTATIONS::LIBXC /* 431 */,
    IMPLEMENTATIONS::LIBXC /* 432 */, IMPLEMENTATIONS::LIBXC /* 433 */, IMPLEMENTATIONS::LIBXC /* 434 */,
    IMPLEMENTATIONS::LIBXC /* 435 */, IMPLEMENTATIONS::LIBXC /* 436 */, IMPLEMENTATIONS::LIBXC /* 437 */,
    IMPLEMENTATIONS::LIBXC /* 438 */, IMPLEMENTATIONS::LIBXC /* 439 */, IMPLEMENTATIONS::LIBXC /* 440 */,
    IMPLEMENTATIONS::LIBXC /* 441 */, IMPLEMENTATIONS::LIBXC /* 442 */, IMPLEMENTATIONS::LIBXC /* 443 */,
    IMPLEMENTATIONS::LIBXC /* 444 */, IMPLEMENTATIONS::LIBXC /* 445 */, IMPLEMENTATIONS::LIBXC /* 446 */,
    IMPLEMENTATIONS::LIBXC /* 447 */, IMPLEMENTATIONS::LIBXC /* 448 */, IMPLEMENTATIONS::LIBXC /* 449 */,
    IMPLEMENTATIONS::LIBXC /* 450 */, IMPLEMENTATIONS::LIBXC /* 451 */, IMPLEMENTATIONS::LIBXC /* 452 */,
    IMPLEMENTATIONS::LIBXC /* 453 */, IMPLEMENTATIONS::BOTH /* 454 */,  IMPLEMENTATIONS::LIBXC /* 455 */,
    IMPLEMENTATIONS::LIBXC /* 456 */, IMPLEMENTATIONS::LIBXC /* 457 */, IMPLEMENTATIONS::LIBXC /* 458 */,
    IMPLEMENTATIONS::LIBXC /* 459 */, IMPLEMENTATIONS::LIBXC /* 460 */, IMPLEMENTATIONS::LIBXC /* 461 */,
    IMPLEMENTATIONS::LIBXC /* 462 */, IMPLEMENTATIONS::LIBXC /* 463 */, IMPLEMENTATIONS::LIBXC /* 464 */,
    IMPLEMENTATIONS::LIBXC /* 465 */, IMPLEMENTATIONS::LIBXC /* 466 */, IMPLEMENTATIONS::BOTH /* 467 */,
    IMPLEMENTATIONS::LIBXC /* 468 */, IMPLEMENTATIONS::LIBXC /* 469 */, IMPLEMENTATIONS::LIBXC /* 470 */,
    IMPLEMENTATIONS::LIBXC /* 471 */, IMPLEMENTATIONS::LIBXC /* 472 */, IMPLEMENTATIONS::LIBXC /* 473 */,
    IMPLEMENTATIONS::BOTH /* 474 */,  IMPLEMENTATIONS::BOTH /* 475 */,  IMPLEMENTATIONS::BOTH /* 476 */,
    IMPLEMENTATIONS::BOTH /* 477 */,  IMPLEMENTATIONS::BOTH /* 478 */,  IMPLEMENTATIONS::BOTH /* 479 */,
    IMPLEMENTATIONS::LIBXC /* 480 */, IMPLEMENTATIONS::LIBXC /* 481 */, IMPLEMENTATIONS::LIBXC /* 482 */,
    IMPLEMENTATIONS::LIBXC /* 483 */, IMPLEMENTATIONS::LIBXC /* 484 */, IMPLEMENTATIONS::LIBXC /* 485 */,
    IMPLEMENTATIONS::LIBXC /* 486 */, IMPLEMENTATIONS::LIBXC /* 487 */, IMPLEMENTATIONS::LIBXC /* 488 */,
    IMPLEMENTATIONS::LIBXC /* 489 */, IMPLEMENTATIONS::LIBXC /* 490 */, IMPLEMENTATIONS::LIBXC /* 491 */,
    IMPLEMENTATIONS::LIBXC /* 492 */, IMPLEMENTATIONS::LIBXC /* 493 */, IMPLEMENTATIONS::LIBXC /* 494 */,
    IMPLEMENTATIONS::BOTH /* 495 */,  IMPLEMENTATIONS::LIBXC /* 496 */, IMPLEMENTATIONS::LIBXC /* 497 */,
    IMPLEMENTATIONS::LIBXC /* 498 */, IMPLEMENTATIONS::LIBXC /* 499 */, IMPLEMENTATIONS::LIBXC /* 500 */,
    IMPLEMENTATIONS::LIBXC /* 501 */, IMPLEMENTATIONS::LIBXC /* 502 */, IMPLEMENTATIONS::LIBXC /* 503 */,
    IMPLEMENTATIONS::BOTH /* 504 */,  IMPLEMENTATIONS::BOTH /* 505 */,  IMPLEMENTATIONS::LIBXC /* 506 */,
    IMPLEMENTATIONS::LIBXC /* 507 */, IMPLEMENTATIONS::LIBXC /* 508 */, IMPLEMENTATIONS::LIBXC /* 509 */,
    IMPLEMENTATIONS::LIBXC /* 510 */, IMPLEMENTATIONS::LIBXC /* 511 */, IMPLEMENTATIONS::LIBXC /* 512 */,
    IMPLEMENTATIONS::LIBXC /* 513 */, IMPLEMENTATIONS::LIBXC /* 514 */, IMPLEMENTATIONS::LIBXC /* 515 */,
    IMPLEMENTATIONS::LIBXC /* 516 */, IMPLEMENTATIONS::LIBXC /* 517 */, IMPLEMENTATIONS::BOTH /* 518 */,
    IMPLEMENTATIONS::BOTH /* 519 */,  IMPLEMENTATIONS::BOTH /* 520 */,  IMPLEMENTATIONS::BOTH /* 521 */,
    IMPLEMENTATIONS::BOTH /* 522 */,  IMPLEMENTATIONS::LIBXC /* 523 */, IMPLEMENTATIONS::LIBXC /* 524 */,
    IMPLEMENTATIONS::LIBXC /* 525 */, IMPLEMENTATIONS::LIBXC /* 526 */, IMPLEMENTATIONS::LIBXC /* 527 */,
    IMPLEMENTATIONS::LIBXC /* 528 */, IMPLEMENTATIONS::LIBXC /* 529 */, IMPLEMENTATIONS::LIBXC /* 530 */,
    IMPLEMENTATIONS::LIBXC /* 531 */, IMPLEMENTATIONS::LIBXC /* 532 */, IMPLEMENTATIONS::LIBXC /* 533 */,
    IMPLEMENTATIONS::LIBXC /* 534 */, IMPLEMENTATIONS::LIBXC /* 535 */, IMPLEMENTATIONS::LIBXC /* 536 */,
    IMPLEMENTATIONS::LIBXC /* 537 */, IMPLEMENTATIONS::LIBXC /* 538 */, IMPLEMENTATIONS::LIBXC /* 539 */,
    IMPLEMENTATIONS::LIBXC /* 540 */, IMPLEMENTATIONS::LIBXC /* 541 */, IMPLEMENTATIONS::LIBXC /* 542 */,
    IMPLEMENTATIONS::LIBXC /* 543 */, IMPLEMENTATIONS::LIBXC /* 544 */, IMPLEMENTATIONS::LIBXC /* 545 */,
    IMPLEMENTATIONS::LIBXC /* 546 */, IMPLEMENTATIONS::LIBXC /* 547 */, IMPLEMENTATIONS::LIBXC /* 548 */,
    IMPLEMENTATIONS::LIBXC /* 549 */, IMPLEMENTATIONS::LIBXC /* 550 */, IMPLEMENTATIONS::LIBXC /* 551 */,
    IMPLEMENTATIONS::LIBXC /* 552 */, IMPLEMENTATIONS::LIBXC /* 553 */, IMPLEMENTATIONS::LIBXC /* 554 */,
    IMPLEMENTATIONS::LIBXC /* 555 */,
};

} /* namespace BasicFunctionals */
} /* namespace Serenity */

#endif /* BASICFUNCTIONALS_H_ */
