/**
 * @file   BasicFunctionals_python.cpp
 *
 * @date   Feb 18, 2025
 * @author Anton Rikus
 *
 * IMPORTANT:\n
 * This file was automatically generated, please do not alter it.
 * Any required changes should be made to the generating Python script
 * which should be located close by.
 *
 * @copyright \n
 *  This file is part of the program Serenity.\n\n
 *  Serenity is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as
 *  published by the Free Software Foundation, either version 3 of
 *  the License, or (at your option) any later version.\n\n
 *  Serenity is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.\n\n
 *  You should have received a copy of the GNU Lesser General
 *  Public License along with Serenity.
 *  If not, see <http://www.gnu.org/licenses/>.\n
 */
/* Include Serenity Internal Headers */
#include "dft/functionals/BasicFunctionals.h"
/* Include Std and External Headers */
#include <pybind11/pybind11.h>

using namespace Serenity;
namespace py = pybind11;

void export_BasicFunctionals(py::module& m) {
  py::enum_<BasicFunctionals::BASIC_FUNCTIONALS>(m, "BASIC_FUNCTIONALS")
      .value("NONE", BasicFunctionals::BASIC_FUNCTIONALS::NONE)
      .value("XC_SAOP", BasicFunctionals::BASIC_FUNCTIONALS::XC_SAOP)
      .value("X_SLATER", BasicFunctionals::BASIC_FUNCTIONALS::X_SLATER)
      .value("X_EXPONENTIAL_1D", BasicFunctionals::BASIC_FUNCTIONALS::X_EXPONENTIAL_1D)
      .value("X_SOFT_1D", BasicFunctionals::BASIC_FUNCTIONALS::X_SOFT_1D)
      .value("X_LDA_2D", BasicFunctionals::BASIC_FUNCTIONALS::X_LDA_2D)
      .value("X_LDA_ERF", BasicFunctionals::BASIC_FUNCTIONALS::X_LDA_ERF)
      .value("X_RAE", BasicFunctionals::BASIC_FUNCTIONALS::X_RAE)
      .value("X_REL", BasicFunctionals::BASIC_FUNCTIONALS::X_REL)
      .value("X_SLOC", BasicFunctionals::BASIC_FUNCTIONALS::X_SLOC)
      .value("C_PMGB06", BasicFunctionals::BASIC_FUNCTIONALS::C_PMGB06)
      .value("C_CSC_1D", BasicFunctionals::BASIC_FUNCTIONALS::C_CSC_1D)
      .value("C_LOOS_1D", BasicFunctionals::BASIC_FUNCTIONALS::C_LOOS_1D)
      .value("C_AMGB_2D", BasicFunctionals::BASIC_FUNCTIONALS::C_AMGB_2D)
      .value("C_PRM_2D", BasicFunctionals::BASIC_FUNCTIONALS::C_PRM_2D)
      .value("C_BR78", BasicFunctionals::BASIC_FUNCTIONALS::C_BR78)
      .value("C_CHACHIYO", BasicFunctionals::BASIC_FUNCTIONALS::C_CHACHIYO)
      .value("C_CHACHIYO_MOD", BasicFunctionals::BASIC_FUNCTIONALS::C_CHACHIYO_MOD)
      .value("C_LDA_ERF", BasicFunctionals::BASIC_FUNCTIONALS::C_LDA_ERF)
      .value("C_LDA_ERF_JT", BasicFunctionals::BASIC_FUNCTIONALS::C_LDA_ERF_JT)
      .value("C_GK72", BasicFunctionals::BASIC_FUNCTIONALS::C_GK72)
      .value("C_GL", BasicFunctionals::BASIC_FUNCTIONALS::C_GL)
      .value("C_GOMBAS", BasicFunctionals::BASIC_FUNCTIONALS::C_GOMBAS)
      .value("C_HL", BasicFunctionals::BASIC_FUNCTIONALS::C_HL)
      .value("C_KARASIEV", BasicFunctionals::BASIC_FUNCTIONALS::C_KARASIEV)
      .value("C_KARASIEV_MOD", BasicFunctionals::BASIC_FUNCTIONALS::C_KARASIEV_MOD)
      .value("C_LP96", BasicFunctionals::BASIC_FUNCTIONALS::C_LP96)
      .value("C_MCWEENY", BasicFunctionals::BASIC_FUNCTIONALS::C_MCWEENY)
      .value("C_ML1", BasicFunctionals::BASIC_FUNCTIONALS::C_ML1)
      .value("C_ML2", BasicFunctionals::BASIC_FUNCTIONALS::C_ML2)
      .value("C_OB_PW", BasicFunctionals::BASIC_FUNCTIONALS::C_OB_PW)
      .value("C_OB_PZ", BasicFunctionals::BASIC_FUNCTIONALS::C_OB_PZ)
      .value("C_OW", BasicFunctionals::BASIC_FUNCTIONALS::C_OW)
      .value("C_OW_LYP", BasicFunctionals::BASIC_FUNCTIONALS::C_OW_LYP)
      .value("C_PK09", BasicFunctionals::BASIC_FUNCTIONALS::C_PK09)
      .value("C_PW", BasicFunctionals::BASIC_FUNCTIONALS::C_PW)
      .value("C_PW_MOD", BasicFunctionals::BASIC_FUNCTIONALS::C_PW_MOD)
      .value("C_PW_RPA", BasicFunctionals::BASIC_FUNCTIONALS::C_PW_RPA)
      .value("C_PZ", BasicFunctionals::BASIC_FUNCTIONALS::C_PZ)
      .value("C_PZ_MOD", BasicFunctionals::BASIC_FUNCTIONALS::C_PZ_MOD)
      .value("C_RC04", BasicFunctionals::BASIC_FUNCTIONALS::C_RC04)
      .value("C_RPA", BasicFunctionals::BASIC_FUNCTIONALS::C_RPA)
      .value("C_RPW92", BasicFunctionals::BASIC_FUNCTIONALS::C_RPW92)
      .value("C_UPW92", BasicFunctionals::BASIC_FUNCTIONALS::C_UPW92)
      .value("C_VBH", BasicFunctionals::BASIC_FUNCTIONALS::C_VBH)
      .value("C_VWN", BasicFunctionals::BASIC_FUNCTIONALS::C_VWN)
      .value("C_VWN_1", BasicFunctionals::BASIC_FUNCTIONALS::C_VWN_1)
      .value("C_VWN_2", BasicFunctionals::BASIC_FUNCTIONALS::C_VWN_2)
      .value("C_VWN_3", BasicFunctionals::BASIC_FUNCTIONALS::C_VWN_3)
      .value("C_VWN_4", BasicFunctionals::BASIC_FUNCTIONALS::C_VWN_4)
      .value("C_VWN_RPA", BasicFunctionals::BASIC_FUNCTIONALS::C_VWN_RPA)
      .value("C_WIGNER", BasicFunctionals::BASIC_FUNCTIONALS::C_WIGNER)
      .value("C_XALPHA", BasicFunctionals::BASIC_FUNCTIONALS::C_XALPHA)
      .value("XC_EHWLRG_1D_1", BasicFunctionals::BASIC_FUNCTIONALS::XC_EHWLRG_1D_1)
      .value("XC_EHWLRG_1D_2", BasicFunctionals::BASIC_FUNCTIONALS::XC_EHWLRG_1D_2)
      .value("XC_EHWLRG_1D_3", BasicFunctionals::BASIC_FUNCTIONALS::XC_EHWLRG_1D_3)
      .value("XC_BN05", BasicFunctionals::BASIC_FUNCTIONALS::XC_BN05)
      .value("XC_GDSMFB", BasicFunctionals::BASIC_FUNCTIONALS::XC_GDSMFB)
      .value("XC_KSDT", BasicFunctionals::BASIC_FUNCTIONALS::XC_KSDT)
      .value("XC_LP_A", BasicFunctionals::BASIC_FUNCTIONALS::XC_LP_A)
      .value("XC_LP_B", BasicFunctionals::BASIC_FUNCTIONALS::XC_LP_B)
      .value("XC_TETER93", BasicFunctionals::BASIC_FUNCTIONALS::XC_TETER93)
      .value("XC_TIH", BasicFunctionals::BASIC_FUNCTIONALS::XC_TIH)
      .value("XC_ZLP", BasicFunctionals::BASIC_FUNCTIONALS::XC_ZLP)
      .value("K_LP", BasicFunctionals::BASIC_FUNCTIONALS::K_LP)
      .value("K_LP96_K", BasicFunctionals::BASIC_FUNCTIONALS::K_LP96_K)
      .value("K_TF", BasicFunctionals::BASIC_FUNCTIONALS::K_TF)
      .value("K_ZLP_K", BasicFunctionals::BASIC_FUNCTIONALS::K_ZLP_K)
      .value("C_MGGAC", BasicFunctionals::BASIC_FUNCTIONALS::C_MGGAC)
      .value("X_B86_2D", BasicFunctionals::BASIC_FUNCTIONALS::X_B86_2D)
      .value("X_B86_MGC_2D", BasicFunctionals::BASIC_FUNCTIONALS::X_B86_MGC_2D)
      .value("X_B88_2D", BasicFunctionals::BASIC_FUNCTIONALS::X_B88_2D)
      .value("X_PBE_2D", BasicFunctionals::BASIC_FUNCTIONALS::X_PBE_2D)
      .value("X_AIRY", BasicFunctionals::BASIC_FUNCTIONALS::X_AIRY)
      .value("X_AK13", BasicFunctionals::BASIC_FUNCTIONALS::X_AK13)
      .value("X_AM05", BasicFunctionals::BASIC_FUNCTIONALS::X_AM05)
      .value("X_APBE", BasicFunctionals::BASIC_FUNCTIONALS::X_APBE)
      .value("X_B86", BasicFunctionals::BASIC_FUNCTIONALS::X_B86)
      .value("X_B86_MGC", BasicFunctionals::BASIC_FUNCTIONALS::X_B86_MGC)
      .value("X_B86_R", BasicFunctionals::BASIC_FUNCTIONALS::X_B86_R)
      .value("X_B88", BasicFunctionals::BASIC_FUNCTIONALS::X_B88)
      .value("X_B88_CORR", BasicFunctionals::BASIC_FUNCTIONALS::X_B88_CORR)
      .value("X_B88_CAM", BasicFunctionals::BASIC_FUNCTIONALS::X_B88_CAM)
      .value("X_B88_SR", BasicFunctionals::BASIC_FUNCTIONALS::X_B88_SR)
      .value("X_B88_6311G", BasicFunctionals::BASIC_FUNCTIONALS::X_B88_6311G)
      .value("X_B88M", BasicFunctionals::BASIC_FUNCTIONALS::X_B88M)
      .value("X_BAYESIAN", BasicFunctionals::BASIC_FUNCTIONALS::X_BAYESIAN)
      .value("X_BCGP", BasicFunctionals::BASIC_FUNCTIONALS::X_BCGP)
      .value("X_BEEFVDW", BasicFunctionals::BASIC_FUNCTIONALS::X_BEEFVDW)
      .value("X_BPCCAC", BasicFunctionals::BASIC_FUNCTIONALS::X_BPCCAC)
      .value("X_C09X", BasicFunctionals::BASIC_FUNCTIONALS::X_C09X)
      .value("X_CAP", BasicFunctionals::BASIC_FUNCTIONALS::X_CAP)
      .value("X_CHACHIYO", BasicFunctionals::BASIC_FUNCTIONALS::X_CHACHIYO)
      .value("X_DK87_R1", BasicFunctionals::BASIC_FUNCTIONALS::X_DK87_R1)
      .value("X_DK87_R2", BasicFunctionals::BASIC_FUNCTIONALS::X_DK87_R2)
      .value("X_EB88", BasicFunctionals::BASIC_FUNCTIONALS::X_EB88)
      .value("X_ECMV92", BasicFunctionals::BASIC_FUNCTIONALS::X_ECMV92)
      .value("X_EV93", BasicFunctionals::BASIC_FUNCTIONALS::X_EV93)
      .value("X_FD_LB94", BasicFunctionals::BASIC_FUNCTIONALS::X_FD_LB94)
      .value("X_FD_REVLB94", BasicFunctionals::BASIC_FUNCTIONALS::X_FD_REVLB94)
      .value("X_FT97_A", BasicFunctionals::BASIC_FUNCTIONALS::X_FT97_A)
      .value("X_FT97_B", BasicFunctionals::BASIC_FUNCTIONALS::X_FT97_B)
      .value("X_G96", BasicFunctionals::BASIC_FUNCTIONALS::X_G96)
      .value("X_GAM", BasicFunctionals::BASIC_FUNCTIONALS::X_GAM)
      .value("X_GG99", BasicFunctionals::BASIC_FUNCTIONALS::X_GG99)
      .value("X_HCTH_A", BasicFunctionals::BASIC_FUNCTIONALS::X_HCTH_A)
      .value("X_HJS_B88", BasicFunctionals::BASIC_FUNCTIONALS::X_HJS_B88)
      .value("X_HJS_B88_V2", BasicFunctionals::BASIC_FUNCTIONALS::X_HJS_B88_V2)
      .value("X_HJS_B97X", BasicFunctionals::BASIC_FUNCTIONALS::X_HJS_B97X)
      .value("X_HJS_PBE", BasicFunctionals::BASIC_FUNCTIONALS::X_HJS_PBE)
      .value("X_HJS_PBE_SOL", BasicFunctionals::BASIC_FUNCTIONALS::X_HJS_PBE_SOL)
      .value("X_HTBS", BasicFunctionals::BASIC_FUNCTIONALS::X_HTBS)
      .value("X_ITYH", BasicFunctionals::BASIC_FUNCTIONALS::X_ITYH)
      .value("X_KGG99", BasicFunctionals::BASIC_FUNCTIONALS::X_KGG99)
      .value("X_KT1", BasicFunctionals::BASIC_FUNCTIONALS::X_KT1)
      .value("X_LAG", BasicFunctionals::BASIC_FUNCTIONALS::X_LAG)
      .value("X_LAMBDA_CH_N", BasicFunctionals::BASIC_FUNCTIONALS::X_LAMBDA_CH_N)
      .value("X_LAMBDA_LO_N", BasicFunctionals::BASIC_FUNCTIONALS::X_LAMBDA_LO_N)
      .value("X_LAMBDA_OC2_N", BasicFunctionals::BASIC_FUNCTIONALS::X_LAMBDA_OC2_N)
      .value("X_LB", BasicFunctionals::BASIC_FUNCTIONALS::X_LB)
      .value("X_LBM", BasicFunctionals::BASIC_FUNCTIONALS::X_LBM)
      .value("X_LG93", BasicFunctionals::BASIC_FUNCTIONALS::X_LG93)
      .value("X_LSPBE", BasicFunctionals::BASIC_FUNCTIONALS::X_LSPBE)
      .value("X_LSRPBE", BasicFunctionals::BASIC_FUNCTIONALS::X_LSRPBE)
      .value("X_LV_RPW86", BasicFunctionals::BASIC_FUNCTIONALS::X_LV_RPW86)
      .value("X_MB88", BasicFunctionals::BASIC_FUNCTIONALS::X_MB88)
      .value("X_MPBE", BasicFunctionals::BASIC_FUNCTIONALS::X_MPBE)
      .value("X_MPW91", BasicFunctionals::BASIC_FUNCTIONALS::X_MPW91)
      .value("X_N12", BasicFunctionals::BASIC_FUNCTIONALS::X_N12)
      .value("X_NCAP", BasicFunctionals::BASIC_FUNCTIONALS::X_NCAP)
      .value("X_OL2", BasicFunctionals::BASIC_FUNCTIONALS::X_OL2)
      .value("X_OPTB86B_VDW", BasicFunctionals::BASIC_FUNCTIONALS::X_OPTB86B_VDW)
      .value("X_OPTB88_VDW", BasicFunctionals::BASIC_FUNCTIONALS::X_OPTB88_VDW)
      .value("X_OPTPBE_VDW", BasicFunctionals::BASIC_FUNCTIONALS::X_OPTPBE_VDW)
      .value("X_OPTX", BasicFunctionals::BASIC_FUNCTIONALS::X_OPTX)
      .value("X_PBE", BasicFunctionals::BASIC_FUNCTIONALS::X_PBE)
      .value("X_PBE_JSJR", BasicFunctionals::BASIC_FUNCTIONALS::X_PBE_JSJR)
      .value("X_PBE_MOL", BasicFunctionals::BASIC_FUNCTIONALS::X_PBE_MOL)
      .value("X_PBE_R", BasicFunctionals::BASIC_FUNCTIONALS::X_PBE_R)
      .value("X_PBE_SOL", BasicFunctionals::BASIC_FUNCTIONALS::X_PBE_SOL)
      .value("X_PBE_TCA", BasicFunctionals::BASIC_FUNCTIONALS::X_PBE_TCA)
      .value("X_PBEA", BasicFunctionals::BASIC_FUNCTIONALS::X_PBEA)
      .value("X_PBEFE", BasicFunctionals::BASIC_FUNCTIONALS::X_PBEFE)
      .value("X_PBEINT", BasicFunctionals::BASIC_FUNCTIONALS::X_PBEINT)
      .value("X_PBEK1_VDW", BasicFunctionals::BASIC_FUNCTIONALS::X_PBEK1_VDW)
      .value("X_PBEPOW", BasicFunctionals::BASIC_FUNCTIONALS::X_PBEPOW)
      .value("X_PBETRANS", BasicFunctionals::BASIC_FUNCTIONALS::X_PBETRANS)
      .value("X_PW86", BasicFunctionals::BASIC_FUNCTIONALS::X_PW86)
      .value("X_PW91", BasicFunctionals::BASIC_FUNCTIONALS::X_PW91)
      .value("X_Q2D", BasicFunctionals::BASIC_FUNCTIONALS::X_Q2D)
      .value("X_REVPBEX", BasicFunctionals::BASIC_FUNCTIONALS::X_REVPBEX)
      .value("X_RGE2", BasicFunctionals::BASIC_FUNCTIONALS::X_RGE2)
      .value("X_RPBE", BasicFunctionals::BASIC_FUNCTIONALS::X_RPBE)
      .value("X_RPW86", BasicFunctionals::BASIC_FUNCTIONALS::X_RPW86)
      .value("X_S12G", BasicFunctionals::BASIC_FUNCTIONALS::X_S12G)
      .value("X_SFAT", BasicFunctionals::BASIC_FUNCTIONALS::X_SFAT)
      .value("X_SFAT_PBE", BasicFunctionals::BASIC_FUNCTIONALS::X_SFAT_PBE)
      .value("X_SG4", BasicFunctionals::BASIC_FUNCTIONALS::X_SG4)
      .value("X_SOGGA", BasicFunctionals::BASIC_FUNCTIONALS::X_SOGGA)
      .value("X_SOGGA11", BasicFunctionals::BASIC_FUNCTIONALS::X_SOGGA11)
      .value("X_SSB", BasicFunctionals::BASIC_FUNCTIONALS::X_SSB)
      .value("X_SSB_D", BasicFunctionals::BASIC_FUNCTIONALS::X_SSB_D)
      .value("X_SSB_SW", BasicFunctionals::BASIC_FUNCTIONALS::X_SSB_SW)
      .value("X_VMT84_GE", BasicFunctionals::BASIC_FUNCTIONALS::X_VMT84_GE)
      .value("X_VMT84_PBE", BasicFunctionals::BASIC_FUNCTIONALS::X_VMT84_PBE)
      .value("X_VMT_GE", BasicFunctionals::BASIC_FUNCTIONALS::X_VMT_GE)
      .value("X_VMT_PBE", BasicFunctionals::BASIC_FUNCTIONALS::X_VMT_PBE)
      .value("X_WC", BasicFunctionals::BASIC_FUNCTIONALS::X_WC)
      .value("X_WPBEH", BasicFunctionals::BASIC_FUNCTIONALS::X_WPBEH)
      .value("X_XPBE", BasicFunctionals::BASIC_FUNCTIONALS::X_XPBE)
      .value("C_ACGGA", BasicFunctionals::BASIC_FUNCTIONALS::C_ACGGA)
      .value("C_ACGGAP", BasicFunctionals::BASIC_FUNCTIONALS::C_ACGGAP)
      .value("C_AM05", BasicFunctionals::BASIC_FUNCTIONALS::C_AM05)
      .value("C_APBE", BasicFunctionals::BASIC_FUNCTIONALS::C_APBE)
      .value("C_BMK", BasicFunctionals::BASIC_FUNCTIONALS::C_BMK)
      .value("C_CHACHIYO_GGA", BasicFunctionals::BASIC_FUNCTIONALS::C_CHACHIYO_GGA)
      .value("C_CS1", BasicFunctionals::BASIC_FUNCTIONALS::C_CS1)
      .value("C_FT97", BasicFunctionals::BASIC_FUNCTIONALS::C_FT97)
      .value("C_GAM", BasicFunctionals::BASIC_FUNCTIONALS::C_GAM)
      .value("C_GAPC", BasicFunctionals::BASIC_FUNCTIONALS::C_GAPC)
      .value("C_GAPLOC", BasicFunctionals::BASIC_FUNCTIONALS::C_GAPLOC)
      .value("C_HCTH_A", BasicFunctionals::BASIC_FUNCTIONALS::C_HCTH_A)
      .value("C_HYB_TAU_HCTH", BasicFunctionals::BASIC_FUNCTIONALS::C_HYB_TAU_HCTH)
      .value("C_LM", BasicFunctionals::BASIC_FUNCTIONALS::C_LM)
      .value("C_LYP", BasicFunctionals::BASIC_FUNCTIONALS::C_LYP)
      .value("C_N12", BasicFunctionals::BASIC_FUNCTIONALS::C_N12)
      .value("C_N12_SX", BasicFunctionals::BASIC_FUNCTIONALS::C_N12_SX)
      .value("C_OP_B88", BasicFunctionals::BASIC_FUNCTIONALS::C_OP_B88)
      .value("C_OP_G96", BasicFunctionals::BASIC_FUNCTIONALS::C_OP_G96)
      .value("C_OP_PBE", BasicFunctionals::BASIC_FUNCTIONALS::C_OP_PBE)
      .value("C_OP_PW91", BasicFunctionals::BASIC_FUNCTIONALS::C_OP_PW91)
      .value("C_OP_XALPHA", BasicFunctionals::BASIC_FUNCTIONALS::C_OP_XALPHA)
      .value("C_OPTC", BasicFunctionals::BASIC_FUNCTIONALS::C_OPTC)
      .value("C_P86", BasicFunctionals::BASIC_FUNCTIONALS::C_P86)
      .value("C_P86CORRC", BasicFunctionals::BASIC_FUNCTIONALS::C_P86CORRC)
      .value("C_PZ81C", BasicFunctionals::BASIC_FUNCTIONALS::C_PZ81C)
      .value("C_VWN_PBEC", BasicFunctionals::BASIC_FUNCTIONALS::C_VWN_PBEC)
      .value("C_PBE", BasicFunctionals::BASIC_FUNCTIONALS::C_PBE)
      .value("C_PBE_JRGX", BasicFunctionals::BASIC_FUNCTIONALS::C_PBE_JRGX)
      .value("C_PBE_MOL", BasicFunctionals::BASIC_FUNCTIONALS::C_PBE_MOL)
      .value("C_PBE_SOL", BasicFunctionals::BASIC_FUNCTIONALS::C_PBE_SOL)
      .value("C_PBE_VWN", BasicFunctionals::BASIC_FUNCTIONALS::C_PBE_VWN)
      .value("C_PBEFE", BasicFunctionals::BASIC_FUNCTIONALS::C_PBEFE)
      .value("C_PBEINT", BasicFunctionals::BASIC_FUNCTIONALS::C_PBEINT)
      .value("C_PBELOC", BasicFunctionals::BASIC_FUNCTIONALS::C_PBELOC)
      .value("C_PW91", BasicFunctionals::BASIC_FUNCTIONALS::C_PW91)
      .value("C_Q2D", BasicFunctionals::BASIC_FUNCTIONALS::C_Q2D)
      .value("C_REGTPSS", BasicFunctionals::BASIC_FUNCTIONALS::C_REGTPSS)
      .value("C_REVTCA", BasicFunctionals::BASIC_FUNCTIONALS::C_REVTCA)
      .value("C_RGE2", BasicFunctionals::BASIC_FUNCTIONALS::C_RGE2)
      .value("C_SCAN_E0", BasicFunctionals::BASIC_FUNCTIONALS::C_SCAN_E0)
      .value("C_SG4", BasicFunctionals::BASIC_FUNCTIONALS::C_SG4)
      .value("C_SOGGA11", BasicFunctionals::BASIC_FUNCTIONALS::C_SOGGA11)
      .value("C_SOGGA11_X", BasicFunctionals::BASIC_FUNCTIONALS::C_SOGGA11_X)
      .value("C_SPBE", BasicFunctionals::BASIC_FUNCTIONALS::C_SPBE)
      .value("C_TAU_HCTH", BasicFunctionals::BASIC_FUNCTIONALS::C_TAU_HCTH)
      .value("C_TCA", BasicFunctionals::BASIC_FUNCTIONALS::C_TCA)
      .value("C_TM_LYP", BasicFunctionals::BASIC_FUNCTIONALS::C_TM_LYP)
      .value("C_TM_PBE", BasicFunctionals::BASIC_FUNCTIONALS::C_TM_PBE)
      .value("C_W94", BasicFunctionals::BASIC_FUNCTIONALS::C_W94)
      .value("C_WI", BasicFunctionals::BASIC_FUNCTIONALS::C_WI)
      .value("C_WI0", BasicFunctionals::BASIC_FUNCTIONALS::C_WI0)
      .value("C_WL", BasicFunctionals::BASIC_FUNCTIONALS::C_WL)
      .value("C_XPBE", BasicFunctionals::BASIC_FUNCTIONALS::C_XPBE)
      .value("C_ZPBEINT", BasicFunctionals::BASIC_FUNCTIONALS::C_ZPBEINT)
      .value("C_ZPBESOL", BasicFunctionals::BASIC_FUNCTIONALS::C_ZPBESOL)
      .value("C_ZVPBEINT", BasicFunctionals::BASIC_FUNCTIONALS::C_ZVPBEINT)
      .value("C_ZVPBELOC", BasicFunctionals::BASIC_FUNCTIONALS::C_ZVPBELOC)
      .value("C_ZVPBESOL", BasicFunctionals::BASIC_FUNCTIONALS::C_ZVPBESOL)
      .value("XC_B97_D", BasicFunctionals::BASIC_FUNCTIONALS::XC_B97_D)
      .value("XC_B97_GGA1", BasicFunctionals::BASIC_FUNCTIONALS::XC_B97_GGA1)
      .value("XC_BEEFVDW", BasicFunctionals::BASIC_FUNCTIONALS::XC_BEEFVDW)
      .value("XC_EDF1", BasicFunctionals::BASIC_FUNCTIONALS::XC_EDF1)
      .value("XC_HCTH_120", BasicFunctionals::BASIC_FUNCTIONALS::XC_HCTH_120)
      .value("XC_HCTH_147", BasicFunctionals::BASIC_FUNCTIONALS::XC_HCTH_147)
      .value("XC_HCTH_407", BasicFunctionals::BASIC_FUNCTIONALS::XC_HCTH_407)
      .value("XC_HCTH_407P", BasicFunctionals::BASIC_FUNCTIONALS::XC_HCTH_407P)
      .value("XC_HCTH_93", BasicFunctionals::BASIC_FUNCTIONALS::XC_HCTH_93)
      .value("XC_HCTH_P14", BasicFunctionals::BASIC_FUNCTIONALS::XC_HCTH_P14)
      .value("XC_HCTH_P76", BasicFunctionals::BASIC_FUNCTIONALS::XC_HCTH_P76)
      .value("XC_HLE16", BasicFunctionals::BASIC_FUNCTIONALS::XC_HLE16)
      .value("XC_KT1", BasicFunctionals::BASIC_FUNCTIONALS::XC_KT1)
      .value("XC_KT2", BasicFunctionals::BASIC_FUNCTIONALS::XC_KT2)
      .value("XC_KT3", BasicFunctionals::BASIC_FUNCTIONALS::XC_KT3)
      .value("XC_LB07", BasicFunctionals::BASIC_FUNCTIONALS::XC_LB07)
      .value("XC_MOHLYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_MOHLYP)
      .value("XC_MOHLYP2", BasicFunctionals::BASIC_FUNCTIONALS::XC_MOHLYP2)
      .value("XC_MPWLYP1W", BasicFunctionals::BASIC_FUNCTIONALS::XC_MPWLYP1W)
      .value("XC_NCAP", BasicFunctionals::BASIC_FUNCTIONALS::XC_NCAP)
      .value("XC_OBLYP_D", BasicFunctionals::BASIC_FUNCTIONALS::XC_OBLYP_D)
      .value("XC_OPBE_D", BasicFunctionals::BASIC_FUNCTIONALS::XC_OPBE_D)
      .value("XC_OPWLYP_D", BasicFunctionals::BASIC_FUNCTIONALS::XC_OPWLYP_D)
      .value("XC_PBE1W", BasicFunctionals::BASIC_FUNCTIONALS::XC_PBE1W)
      .value("XC_PBELYP1W", BasicFunctionals::BASIC_FUNCTIONALS::XC_PBELYP1W)
      .value("XC_TH1", BasicFunctionals::BASIC_FUNCTIONALS::XC_TH1)
      .value("XC_TH2", BasicFunctionals::BASIC_FUNCTIONALS::XC_TH2)
      .value("XC_TH3", BasicFunctionals::BASIC_FUNCTIONALS::XC_TH3)
      .value("XC_TH4", BasicFunctionals::BASIC_FUNCTIONALS::XC_TH4)
      .value("XC_TH_FC", BasicFunctionals::BASIC_FUNCTIONALS::XC_TH_FC)
      .value("XC_TH_FCFO", BasicFunctionals::BASIC_FUNCTIONALS::XC_TH_FCFO)
      .value("XC_TH_FCO", BasicFunctionals::BASIC_FUNCTIONALS::XC_TH_FCO)
      .value("XC_TH_FL", BasicFunctionals::BASIC_FUNCTIONALS::XC_TH_FL)
      .value("XC_VV10", BasicFunctionals::BASIC_FUNCTIONALS::XC_VV10)
      .value("XC_XLYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_XLYP)
      .value("K_ABSP1", BasicFunctionals::BASIC_FUNCTIONALS::K_ABSP1)
      .value("K_ABSP2", BasicFunctionals::BASIC_FUNCTIONALS::K_ABSP2)
      .value("K_ABSP3", BasicFunctionals::BASIC_FUNCTIONALS::K_ABSP3)
      .value("K_ABSP4", BasicFunctionals::BASIC_FUNCTIONALS::K_ABSP4)
      .value("K_APBE", BasicFunctionals::BASIC_FUNCTIONALS::K_APBE)
      .value("K_APBEINT", BasicFunctionals::BASIC_FUNCTIONALS::K_APBEINT)
      .value("K_BALTIN", BasicFunctionals::BASIC_FUNCTIONALS::K_BALTIN)
      .value("K_DK", BasicFunctionals::BASIC_FUNCTIONALS::K_DK)
      .value("K_ERNZERHOF", BasicFunctionals::BASIC_FUNCTIONALS::K_ERNZERHOF)
      .value("K_EXP4", BasicFunctionals::BASIC_FUNCTIONALS::K_EXP4)
      .value("K_FR_B88", BasicFunctionals::BASIC_FUNCTIONALS::K_FR_B88)
      .value("K_FR_PW86", BasicFunctionals::BASIC_FUNCTIONALS::K_FR_PW86)
      .value("K_GDS08", BasicFunctionals::BASIC_FUNCTIONALS::K_GDS08)
      .value("K_GE2", BasicFunctionals::BASIC_FUNCTIONALS::K_GE2)
      .value("K_GHDS10", BasicFunctionals::BASIC_FUNCTIONALS::K_GHDS10)
      .value("K_GHDS10R", BasicFunctionals::BASIC_FUNCTIONALS::K_GHDS10R)
      .value("K_GOLDEN", BasicFunctionals::BASIC_FUNCTIONALS::K_GOLDEN)
      .value("K_GP85", BasicFunctionals::BASIC_FUNCTIONALS::K_GP85)
      .value("K_GR", BasicFunctionals::BASIC_FUNCTIONALS::K_GR)
      .value("K_PW91", BasicFunctionals::BASIC_FUNCTIONALS::K_PW91)
      .value("K_LIEB", BasicFunctionals::BASIC_FUNCTIONALS::K_LIEB)
      .value("K_LUDENA", BasicFunctionals::BASIC_FUNCTIONALS::K_LUDENA)
      .value("K_LLP", BasicFunctionals::BASIC_FUNCTIONALS::K_LLP)
      .value("K_LLPS", BasicFunctionals::BASIC_FUNCTIONALS::K_LLPS)
      .value("K_MEYER", BasicFunctionals::BASIC_FUNCTIONALS::K_MEYER)
      .value("K_OL1", BasicFunctionals::BASIC_FUNCTIONALS::K_OL1)
      .value("K_OL2", BasicFunctionals::BASIC_FUNCTIONALS::K_OL2)
      .value("K_PBE2", BasicFunctionals::BASIC_FUNCTIONALS::K_PBE2)
      .value("K_PBE2S", BasicFunctionals::BASIC_FUNCTIONALS::K_PBE2S)
      .value("K_PBE3", BasicFunctionals::BASIC_FUNCTIONALS::K_PBE3)
      .value("K_PBE4", BasicFunctionals::BASIC_FUNCTIONALS::K_PBE4)
      .value("K_PEARSON", BasicFunctionals::BASIC_FUNCTIONALS::K_PEARSON)
      .value("K_PERDEW", BasicFunctionals::BASIC_FUNCTIONALS::K_PERDEW)
      .value("K_REVAPBE", BasicFunctionals::BASIC_FUNCTIONALS::K_REVAPBE)
      .value("K_REVAPBEINT", BasicFunctionals::BASIC_FUNCTIONALS::K_REVAPBEINT)
      .value("K_TFVW", BasicFunctionals::BASIC_FUNCTIONALS::K_TFVW)
      .value("K_THAKKAR", BasicFunctionals::BASIC_FUNCTIONALS::K_THAKKAR)
      .value("K_TKVLN", BasicFunctionals::BASIC_FUNCTIONALS::K_TKVLN)
      .value("K_TW1", BasicFunctionals::BASIC_FUNCTIONALS::K_TW1)
      .value("K_TW2", BasicFunctionals::BASIC_FUNCTIONALS::K_TW2)
      .value("K_TW3", BasicFunctionals::BASIC_FUNCTIONALS::K_TW3)
      .value("K_TW4", BasicFunctionals::BASIC_FUNCTIONALS::K_TW4)
      .value("K_VJKS", BasicFunctionals::BASIC_FUNCTIONALS::K_VJKS)
      .value("K_VSK", BasicFunctionals::BASIC_FUNCTIONALS::K_VSK)
      .value("K_VW", BasicFunctionals::BASIC_FUNCTIONALS::K_VW)
      .value("K_YT65", BasicFunctionals::BASIC_FUNCTIONALS::K_YT65)
      .value("C_B97", BasicFunctionals::BASIC_FUNCTIONALS::C_B97)
      .value("C_B97_1", BasicFunctionals::BASIC_FUNCTIONALS::C_B97_1)
      .value("C_B97_2", BasicFunctionals::BASIC_FUNCTIONALS::C_B97_2)
      .value("X_B97", BasicFunctionals::BASIC_FUNCTIONALS::X_B97)
      .value("X_B97_1", BasicFunctionals::BASIC_FUNCTIONALS::X_B97_1)
      .value("X_B97_2", BasicFunctionals::BASIC_FUNCTIONALS::X_B97_2)
      .value("X_N12_SX", BasicFunctionals::BASIC_FUNCTIONALS::X_N12_SX)
      .value("X_S12H", BasicFunctionals::BASIC_FUNCTIONALS::X_S12H)
      .value("X_SOGGA11_X", BasicFunctionals::BASIC_FUNCTIONALS::X_SOGGA11_X)
      .value("XC_APBE0", BasicFunctionals::BASIC_FUNCTIONALS::XC_APBE0)
      .value("XC_APF", BasicFunctionals::BASIC_FUNCTIONALS::XC_APF)
      .value("XC_B1LYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_B1LYP)
      .value("XC_B1PW91", BasicFunctionals::BASIC_FUNCTIONALS::XC_B1PW91)
      .value("XC_B1WC", BasicFunctionals::BASIC_FUNCTIONALS::XC_B1WC)
      .value("XC_B3LYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_B3LYP)
      .value("XC_B3LYP3", BasicFunctionals::BASIC_FUNCTIONALS::XC_B3LYP3)
      .value("XC_B3LYP5", BasicFunctionals::BASIC_FUNCTIONALS::XC_B3LYP5)
      .value("XC_B3LYP_MCM1", BasicFunctionals::BASIC_FUNCTIONALS::XC_B3LYP_MCM1)
      .value("XC_B3LYP_MCM2", BasicFunctionals::BASIC_FUNCTIONALS::XC_B3LYP_MCM2)
      .value("XC_B3LYPS", BasicFunctionals::BASIC_FUNCTIONALS::XC_B3LYPS)
      .value("XC_B3P86", BasicFunctionals::BASIC_FUNCTIONALS::XC_B3P86)
      .value("XC_B3PW91", BasicFunctionals::BASIC_FUNCTIONALS::XC_B3PW91)
      .value("XC_B5050LYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_B5050LYP)
      .value("XC_B97", BasicFunctionals::BASIC_FUNCTIONALS::XC_B97)
      .value("XC_B97_1", BasicFunctionals::BASIC_FUNCTIONALS::XC_B97_1)
      .value("XC_B97_1P", BasicFunctionals::BASIC_FUNCTIONALS::XC_B97_1P)
      .value("XC_B97_2", BasicFunctionals::BASIC_FUNCTIONALS::XC_B97_2)
      .value("XC_B97_3", BasicFunctionals::BASIC_FUNCTIONALS::XC_B97_3)
      .value("XC_B97_K", BasicFunctionals::BASIC_FUNCTIONALS::XC_B97_K)
      .value("XC_BHANDH", BasicFunctionals::BASIC_FUNCTIONALS::XC_BHANDH)
      .value("XC_BHANDHLYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_BHANDHLYP)
      .value("XC_BLYP35", BasicFunctionals::BASIC_FUNCTIONALS::XC_BLYP35)
      .value("XC_CAM_B3LYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_CAM_B3LYP)
      .value("XC_CAM_PBEH", BasicFunctionals::BASIC_FUNCTIONALS::XC_CAM_PBEH)
      .value("XC_CAM_QTP_00", BasicFunctionals::BASIC_FUNCTIONALS::XC_CAM_QTP_00)
      .value("XC_CAM_QTP_01", BasicFunctionals::BASIC_FUNCTIONALS::XC_CAM_QTP_01)
      .value("XC_CAM_QTP_02", BasicFunctionals::BASIC_FUNCTIONALS::XC_CAM_QTP_02)
      .value("XC_CAMY_B3LYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_CAMY_B3LYP)
      .value("XC_CAMY_BLYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_CAMY_BLYP)
      .value("XC_CAMY_PBEH", BasicFunctionals::BASIC_FUNCTIONALS::XC_CAMY_PBEH)
      .value("XC_CAP0", BasicFunctionals::BASIC_FUNCTIONALS::XC_CAP0)
      .value("XC_EDF2", BasicFunctionals::BASIC_FUNCTIONALS::XC_EDF2)
      .value("XC_HAPBE", BasicFunctionals::BASIC_FUNCTIONALS::XC_HAPBE)
      .value("XC_HJS_B88", BasicFunctionals::BASIC_FUNCTIONALS::XC_HJS_B88)
      .value("XC_HJS_B97X", BasicFunctionals::BASIC_FUNCTIONALS::XC_HJS_B97X)
      .value("XC_HJS_PBE", BasicFunctionals::BASIC_FUNCTIONALS::XC_HJS_PBE)
      .value("XC_HJS_PBE_SOL", BasicFunctionals::BASIC_FUNCTIONALS::XC_HJS_PBE_SOL)
      .value("XC_HPBEINT", BasicFunctionals::BASIC_FUNCTIONALS::XC_HPBEINT)
      .value("XC_HSE03", BasicFunctionals::BASIC_FUNCTIONALS::XC_HSE03)
      .value("XC_HSE06", BasicFunctionals::BASIC_FUNCTIONALS::XC_HSE06)
      .value("XC_HSE12", BasicFunctionals::BASIC_FUNCTIONALS::XC_HSE12)
      .value("XC_HSE12S", BasicFunctionals::BASIC_FUNCTIONALS::XC_HSE12S)
      .value("XC_HSE_SOL", BasicFunctionals::BASIC_FUNCTIONALS::XC_HSE_SOL)
      .value("XC_KMLYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_KMLYP)
      .value("XC_LC_BLYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_LC_BLYP)
      .value("XC_LC_QTP", BasicFunctionals::BASIC_FUNCTIONALS::XC_LC_QTP)
      .value("XC_LC_VV10", BasicFunctionals::BASIC_FUNCTIONALS::XC_LC_VV10)
      .value("XC_LC_WPBE", BasicFunctionals::BASIC_FUNCTIONALS::XC_LC_WPBE)
      .value("XC_LC_WPBE08_WHS", BasicFunctionals::BASIC_FUNCTIONALS::XC_LC_WPBE08_WHS)
      .value("XC_LC_WPBE_WHS", BasicFunctionals::BASIC_FUNCTIONALS::XC_LC_WPBE_WHS)
      .value("XC_LC_WPBEH_WHS", BasicFunctionals::BASIC_FUNCTIONALS::XC_LC_WPBEH_WHS)
      .value("XC_LC_WPBESOL_WHS", BasicFunctionals::BASIC_FUNCTIONALS::XC_LC_WPBESOL_WHS)
      .value("XC_LCY_BLYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_LCY_BLYP)
      .value("XC_LCY_PBE", BasicFunctionals::BASIC_FUNCTIONALS::XC_LCY_PBE)
      .value("XC_LRC_WPBE", BasicFunctionals::BASIC_FUNCTIONALS::XC_LRC_WPBE)
      .value("XC_LRC_WPBEH", BasicFunctionals::BASIC_FUNCTIONALS::XC_LRC_WPBEH)
      .value("XC_MB3LYP_RC04", BasicFunctionals::BASIC_FUNCTIONALS::XC_MB3LYP_RC04)
      .value("XC_MPW1K", BasicFunctionals::BASIC_FUNCTIONALS::XC_MPW1K)
      .value("XC_MPW1LYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_MPW1LYP)
      .value("XC_MPW1PBE", BasicFunctionals::BASIC_FUNCTIONALS::XC_MPW1PBE)
      .value("XC_MPW1PW", BasicFunctionals::BASIC_FUNCTIONALS::XC_MPW1PW)
      .value("XC_MPW3LYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_MPW3LYP)
      .value("XC_MPW3PW", BasicFunctionals::BASIC_FUNCTIONALS::XC_MPW3PW)
      .value("XC_MPWLYP1M", BasicFunctionals::BASIC_FUNCTIONALS::XC_MPWLYP1M)
      .value("XC_O3LYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_O3LYP)
      .value("XC_PBE0_13", BasicFunctionals::BASIC_FUNCTIONALS::XC_PBE0_13)
      .value("XC_PBE50", BasicFunctionals::BASIC_FUNCTIONALS::XC_PBE50)
      .value("XC_PBE_MOL0", BasicFunctionals::BASIC_FUNCTIONALS::XC_PBE_MOL0)
      .value("XC_PBE_MOLB0", BasicFunctionals::BASIC_FUNCTIONALS::XC_PBE_MOLB0)
      .value("XC_PBE_SOL0", BasicFunctionals::BASIC_FUNCTIONALS::XC_PBE_SOL0)
      .value("XC_PBEB0", BasicFunctionals::BASIC_FUNCTIONALS::XC_PBEB0)
      .value("XC_PBEH", BasicFunctionals::BASIC_FUNCTIONALS::XC_PBEH)
      .value("XC_QTP17", BasicFunctionals::BASIC_FUNCTIONALS::XC_QTP17)
      .value("XC_RCAM_B3LYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_RCAM_B3LYP)
      .value("XC_REVB3LYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_REVB3LYP)
      .value("XC_SB98_1A", BasicFunctionals::BASIC_FUNCTIONALS::XC_SB98_1A)
      .value("XC_SB98_1B", BasicFunctionals::BASIC_FUNCTIONALS::XC_SB98_1B)
      .value("XC_SB98_1C", BasicFunctionals::BASIC_FUNCTIONALS::XC_SB98_1C)
      .value("XC_SB98_2A", BasicFunctionals::BASIC_FUNCTIONALS::XC_SB98_2A)
      .value("XC_SB98_2B", BasicFunctionals::BASIC_FUNCTIONALS::XC_SB98_2B)
      .value("XC_SB98_2C", BasicFunctionals::BASIC_FUNCTIONALS::XC_SB98_2C)
      .value("XC_TUNED_CAM_B3LYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_TUNED_CAM_B3LYP)
      .value("XC_WB97", BasicFunctionals::BASIC_FUNCTIONALS::XC_WB97)
      .value("XC_WB97X", BasicFunctionals::BASIC_FUNCTIONALS::XC_WB97X)
      .value("XC_WB97X_D", BasicFunctionals::BASIC_FUNCTIONALS::XC_WB97X_D)
      .value("XC_WB97X_V", BasicFunctionals::BASIC_FUNCTIONALS::XC_WB97X_V)
      .value("XC_WC04", BasicFunctionals::BASIC_FUNCTIONALS::XC_WC04)
      .value("XC_WP04", BasicFunctionals::BASIC_FUNCTIONALS::XC_WP04)
      .value("XC_X3LYP", BasicFunctionals::BASIC_FUNCTIONALS::XC_X3LYP)
      .value("X_JS17_2D", BasicFunctionals::BASIC_FUNCTIONALS::X_JS17_2D)
      .value("X_PRHG07_2D", BasicFunctionals::BASIC_FUNCTIONALS::X_PRHG07_2D)
      .value("X_PRHG07_PRP10_2D", BasicFunctionals::BASIC_FUNCTIONALS::X_PRHG07_PRP10_2D)
      .value("X_B00", BasicFunctionals::BASIC_FUNCTIONALS::X_B00)
      .value("X_BJ06", BasicFunctionals::BASIC_FUNCTIONALS::X_BJ06)
      .value("X_BLOC", BasicFunctionals::BASIC_FUNCTIONALS::X_BLOC)
      .value("X_BR89", BasicFunctionals::BASIC_FUNCTIONALS::X_BR89)
      .value("X_BR89_1", BasicFunctionals::BASIC_FUNCTIONALS::X_BR89_1)
      .value("X_BR89_EXPLICIT", BasicFunctionals::BASIC_FUNCTIONALS::X_BR89_EXPLICIT)
      .value("X_BR89_EXPLICIT_1", BasicFunctionals::BASIC_FUNCTIONALS::X_BR89_EXPLICIT_1)
      .value("X_EDMGGA", BasicFunctionals::BASIC_FUNCTIONALS::X_EDMGGA)
      .value("X_GDME_0", BasicFunctionals::BASIC_FUNCTIONALS::X_GDME_0)
      .value("X_GDME_KOS", BasicFunctionals::BASIC_FUNCTIONALS::X_GDME_KOS)
      .value("X_GDME_NV", BasicFunctionals::BASIC_FUNCTIONALS::X_GDME_NV)
      .value("X_GDME_VT", BasicFunctionals::BASIC_FUNCTIONALS::X_GDME_VT)
      .value("X_GVT4", BasicFunctionals::BASIC_FUNCTIONALS::X_GVT4)
      .value("X_GX", BasicFunctionals::BASIC_FUNCTIONALS::X_GX)
      .value("X_LTA", BasicFunctionals::BASIC_FUNCTIONALS::X_LTA)
      .value("X_M06_L", BasicFunctionals::BASIC_FUNCTIONALS::X_M06_L)
      .value("X_M11_L", BasicFunctionals::BASIC_FUNCTIONALS::X_M11_L)
      .value("X_MBEEF", BasicFunctionals::BASIC_FUNCTIONALS::X_MBEEF)
      .value("X_MBEEFVDW", BasicFunctionals::BASIC_FUNCTIONALS::X_MBEEFVDW)
      .value("X_MBRXC_BG", BasicFunctionals::BASIC_FUNCTIONALS::X_MBRXC_BG)
      .value("X_MBRXH_BG", BasicFunctionals::BASIC_FUNCTIONALS::X_MBRXH_BG)
      .value("X_MGGAC", BasicFunctionals::BASIC_FUNCTIONALS::X_MGGAC)
      .value("X_MK00", BasicFunctionals::BASIC_FUNCTIONALS::X_MK00)
      .value("X_MK00B", BasicFunctionals::BASIC_FUNCTIONALS::X_MK00B)
      .value("X_MN12_L", BasicFunctionals::BASIC_FUNCTIONALS::X_MN12_L)
      .value("X_MN15_L", BasicFunctionals::BASIC_FUNCTIONALS::X_MN15_L)
      .value("X_MODTPSS", BasicFunctionals::BASIC_FUNCTIONALS::X_MODTPSS)
      .value("X_MS0", BasicFunctionals::BASIC_FUNCTIONALS::X_MS0)
      .value("X_MS1", BasicFunctionals::BASIC_FUNCTIONALS::X_MS1)
      .value("X_MS2", BasicFunctionals::BASIC_FUNCTIONALS::X_MS2)
      .value("X_MS2B", BasicFunctionals::BASIC_FUNCTIONALS::X_MS2B)
      .value("X_MS2BS", BasicFunctionals::BASIC_FUNCTIONALS::X_MS2BS)
      .value("X_MVS", BasicFunctionals::BASIC_FUNCTIONALS::X_MVS)
      .value("X_MVSB", BasicFunctionals::BASIC_FUNCTIONALS::X_MVSB)
      .value("X_MVSBS", BasicFunctionals::BASIC_FUNCTIONALS::X_MVSBS)
      .value("X_PBE_GX", BasicFunctionals::BASIC_FUNCTIONALS::X_PBE_GX)
      .value("X_PKZB", BasicFunctionals::BASIC_FUNCTIONALS::X_PKZB)
      .value("X_REGTPSS", BasicFunctionals::BASIC_FUNCTIONALS::X_REGTPSS)
      .value("X_REVM06_L", BasicFunctionals::BASIC_FUNCTIONALS::X_REVM06_L)
      .value("X_REVSCAN", BasicFunctionals::BASIC_FUNCTIONALS::X_REVSCAN)
      .value("X_REVSCANL", BasicFunctionals::BASIC_FUNCTIONALS::X_REVSCANL)
      .value("X_REVTM", BasicFunctionals::BASIC_FUNCTIONALS::X_REVTM)
      .value("X_REVTPSS", BasicFunctionals::BASIC_FUNCTIONALS::X_REVTPSS)
      .value("X_RLDA", BasicFunctionals::BASIC_FUNCTIONALS::X_RLDA)
      .value("X_RPP09", BasicFunctionals::BASIC_FUNCTIONALS::X_RPP09)
      .value("X_RSCAN", BasicFunctionals::BASIC_FUNCTIONALS::X_RSCAN)
      .value("X_RTPSS", BasicFunctionals::BASIC_FUNCTIONALS::X_RTPSS)
      .value("X_SA_TPSS", BasicFunctionals::BASIC_FUNCTIONALS::X_SA_TPSS)
      .value("X_SCAN", BasicFunctionals::BASIC_FUNCTIONALS::X_SCAN)
      .value("X_SCANL", BasicFunctionals::BASIC_FUNCTIONALS::X_SCANL)
      .value("X_TASK", BasicFunctionals::BASIC_FUNCTIONALS::X_TASK)
      .value("X_TAU_HCTH_MGGA", BasicFunctionals::BASIC_FUNCTIONALS::X_TAU_HCTH_MGGA)
      .value("X_TB09", BasicFunctionals::BASIC_FUNCTIONALS::X_TB09)
      .value("X_TLDA", BasicFunctionals::BASIC_FUNCTIONALS::X_TLDA)
      .value("X_TM", BasicFunctionals::BASIC_FUNCTIONALS::X_TM)
      .value("X_TPSS", BasicFunctionals::BASIC_FUNCTIONALS::X_TPSS)
      .value("X_VT84", BasicFunctionals::BASIC_FUNCTIONALS::X_VT84)
      .value("C_B88", BasicFunctionals::BASIC_FUNCTIONALS::C_B88)
      .value("C_BC95", BasicFunctionals::BASIC_FUNCTIONALS::C_BC95)
      .value("C_CS", BasicFunctionals::BASIC_FUNCTIONALS::C_CS)
      .value("C_DLDF", BasicFunctionals::BASIC_FUNCTIONALS::C_DLDF)
      .value("C_KCIS", BasicFunctionals::BASIC_FUNCTIONALS::C_KCIS)
      .value("C_M05", BasicFunctionals::BASIC_FUNCTIONALS::C_M05)
      .value("C_M05_2X", BasicFunctionals::BASIC_FUNCTIONALS::C_M05_2X)
      .value("C_M06", BasicFunctionals::BASIC_FUNCTIONALS::C_M06)
      .value("C_M06_2X", BasicFunctionals::BASIC_FUNCTIONALS::C_M06_2X)
      .value("C_M06_HF", BasicFunctionals::BASIC_FUNCTIONALS::C_M06_HF)
      .value("C_M06_L", BasicFunctionals::BASIC_FUNCTIONALS::C_M06_L)
      .value("C_M08_HX", BasicFunctionals::BASIC_FUNCTIONALS::C_M08_HX)
      .value("C_M08_SO", BasicFunctionals::BASIC_FUNCTIONALS::C_M08_SO)
      .value("C_M11", BasicFunctionals::BASIC_FUNCTIONALS::C_M11)
      .value("C_M11_L", BasicFunctionals::BASIC_FUNCTIONALS::C_M11_L)
      .value("C_MN12_L", BasicFunctionals::BASIC_FUNCTIONALS::C_MN12_L)
      .value("C_MN12_SX", BasicFunctionals::BASIC_FUNCTIONALS::C_MN12_SX)
      .value("C_MN15", BasicFunctionals::BASIC_FUNCTIONALS::C_MN15)
      .value("C_MN15_L", BasicFunctionals::BASIC_FUNCTIONALS::C_MN15_L)
      .value("C_PKZB", BasicFunctionals::BASIC_FUNCTIONALS::C_PKZB)
      .value("C_REVM06", BasicFunctionals::BASIC_FUNCTIONALS::C_REVM06)
      .value("C_REVM06_L", BasicFunctionals::BASIC_FUNCTIONALS::C_REVM06_L)
      .value("C_REVM11", BasicFunctionals::BASIC_FUNCTIONALS::C_REVM11)
      .value("C_REVSCAN", BasicFunctionals::BASIC_FUNCTIONALS::C_REVSCAN)
      .value("C_REVSCAN_VV10", BasicFunctionals::BASIC_FUNCTIONALS::C_REVSCAN_VV10)
      .value("C_REVTM", BasicFunctionals::BASIC_FUNCTIONALS::C_REVTM)
      .value("C_REVTPSS", BasicFunctionals::BASIC_FUNCTIONALS::C_REVTPSS)
      .value("C_RSCAN", BasicFunctionals::BASIC_FUNCTIONALS::C_RSCAN)
      .value("C_SCAN", BasicFunctionals::BASIC_FUNCTIONALS::C_SCAN)
      .value("C_SCAN_RVV10", BasicFunctionals::BASIC_FUNCTIONALS::C_SCAN_RVV10)
      .value("C_SCAN_VV10", BasicFunctionals::BASIC_FUNCTIONALS::C_SCAN_VV10)
      .value("C_SCANL", BasicFunctionals::BASIC_FUNCTIONALS::C_SCANL)
      .value("C_SCANL_RVV10", BasicFunctionals::BASIC_FUNCTIONALS::C_SCANL_RVV10)
      .value("C_SCANL_VV10", BasicFunctionals::BASIC_FUNCTIONALS::C_SCANL_VV10)
      .value("C_TM", BasicFunctionals::BASIC_FUNCTIONALS::C_TM)
      .value("C_TPSS", BasicFunctionals::BASIC_FUNCTIONALS::C_TPSS)
      .value("C_TPSSLOC", BasicFunctionals::BASIC_FUNCTIONALS::C_TPSSLOC)
      .value("C_VSXC", BasicFunctionals::BASIC_FUNCTIONALS::C_VSXC)
      .value("XC_B97M_V", BasicFunctionals::BASIC_FUNCTIONALS::XC_B97M_V)
      .value("XC_CC06", BasicFunctionals::BASIC_FUNCTIONALS::XC_CC06)
      .value("XC_HLE17", BasicFunctionals::BASIC_FUNCTIONALS::XC_HLE17)
      .value("XC_LP90", BasicFunctionals::BASIC_FUNCTIONALS::XC_LP90)
      .value("XC_OTPSS_D", BasicFunctionals::BASIC_FUNCTIONALS::XC_OTPSS_D)
      .value("XC_TPSSLYP1W", BasicFunctionals::BASIC_FUNCTIONALS::XC_TPSSLYP1W)
      .value("XC_ZLP_MGGA", BasicFunctionals::BASIC_FUNCTIONALS::XC_ZLP_MGGA)
      .value("K_PC07", BasicFunctionals::BASIC_FUNCTIONALS::K_PC07)
      .value("X_BMK", BasicFunctionals::BASIC_FUNCTIONALS::X_BMK)
      .value("X_DLDF", BasicFunctionals::BASIC_FUNCTIONALS::X_DLDF)
      .value("X_JS18", BasicFunctionals::BASIC_FUNCTIONALS::X_JS18)
      .value("X_M05", BasicFunctionals::BASIC_FUNCTIONALS::X_M05)
      .value("X_M05_2X", BasicFunctionals::BASIC_FUNCTIONALS::X_M05_2X)
      .value("X_M06", BasicFunctionals::BASIC_FUNCTIONALS::X_M06)
      .value("X_M06_2X", BasicFunctionals::BASIC_FUNCTIONALS::X_M06_2X)
      .value("X_M06_HF", BasicFunctionals::BASIC_FUNCTIONALS::X_M06_HF)
      .value("X_M08_HX", BasicFunctionals::BASIC_FUNCTIONALS::X_M08_HX)
      .value("X_M08_SO", BasicFunctionals::BASIC_FUNCTIONALS::X_M08_SO)
      .value("X_M11", BasicFunctionals::BASIC_FUNCTIONALS::X_M11)
      .value("X_MN12_SX", BasicFunctionals::BASIC_FUNCTIONALS::X_MN12_SX)
      .value("X_MN15", BasicFunctionals::BASIC_FUNCTIONALS::X_MN15)
      .value("X_MS2H", BasicFunctionals::BASIC_FUNCTIONALS::X_MS2H)
      .value("X_MVSH", BasicFunctionals::BASIC_FUNCTIONALS::X_MVSH)
      .value("X_PJS18", BasicFunctionals::BASIC_FUNCTIONALS::X_PJS18)
      .value("X_REVM06", BasicFunctionals::BASIC_FUNCTIONALS::X_REVM06)
      .value("X_REVM11", BasicFunctionals::BASIC_FUNCTIONALS::X_REVM11)
      .value("X_REVSCAN0", BasicFunctionals::BASIC_FUNCTIONALS::X_REVSCAN0)
      .value("X_SCAN0", BasicFunctionals::BASIC_FUNCTIONALS::X_SCAN0)
      .value("X_TAU_HCTH_HYB", BasicFunctionals::BASIC_FUNCTIONALS::X_TAU_HCTH_HYB)
      .value("XC_B0KCIS", BasicFunctionals::BASIC_FUNCTIONALS::XC_B0KCIS)
      .value("XC_B86B95", BasicFunctionals::BASIC_FUNCTIONALS::XC_B86B95)
      .value("XC_B88B95", BasicFunctionals::BASIC_FUNCTIONALS::XC_B88B95)
      .value("XC_B98", BasicFunctionals::BASIC_FUNCTIONALS::XC_B98)
      .value("XC_BB1K", BasicFunctionals::BASIC_FUNCTIONALS::XC_BB1K)
      .value("XC_EDMGGAH", BasicFunctionals::BASIC_FUNCTIONALS::XC_EDMGGAH)
      .value("XC_MPW1B95", BasicFunctionals::BASIC_FUNCTIONALS::XC_MPW1B95)
      .value("XC_MPW1KCIS", BasicFunctionals::BASIC_FUNCTIONALS::XC_MPW1KCIS)
      .value("XC_MPWB1K", BasicFunctionals::BASIC_FUNCTIONALS::XC_MPWB1K)
      .value("XC_MPWKCIS1K", BasicFunctionals::BASIC_FUNCTIONALS::XC_MPWKCIS1K)
      .value("XC_PBE1KCIS", BasicFunctionals::BASIC_FUNCTIONALS::XC_PBE1KCIS)
      .value("XC_PW6B95", BasicFunctionals::BASIC_FUNCTIONALS::XC_PW6B95)
      .value("XC_PW86B95", BasicFunctionals::BASIC_FUNCTIONALS::XC_PW86B95)
      .value("XC_PWB6K", BasicFunctionals::BASIC_FUNCTIONALS::XC_PWB6K)
      .value("XC_REVTPSSH", BasicFunctionals::BASIC_FUNCTIONALS::XC_REVTPSSH)
      .value("XC_TPSS1KCIS", BasicFunctionals::BASIC_FUNCTIONALS::XC_TPSS1KCIS)
      .value("XC_TPSSH", BasicFunctionals::BASIC_FUNCTIONALS::XC_TPSSH)
      .value("XC_WB97M_V", BasicFunctionals::BASIC_FUNCTIONALS::XC_WB97M_V)
      .value("XC_X1B95", BasicFunctionals::BASIC_FUNCTIONALS::XC_X1B95)
      .value("XC_XB1K", BasicFunctionals::BASIC_FUNCTIONALS::XC_XB1K)
      .export_values();
}
