/**
 * @file EnergyContributions_python.cpp
 *
 * @date Apr 28, 2016
 * @author: Jan Unsleber
 * @copyright \n
 *  This file is part of the program Serenity.\n\n
 *  Serenity is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as
 *  published by the Free Software Foundation, either version 3 of
 *  the License, or (at your option) any later version.\n\n
 *  Serenity is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.\n\n
 *  You should have received a copy of the GNU Lesser General
 *  Public License along with Serenity.
 *  If not, see <http://www.gnu.org/licenses/>.\n
 */

/* Include Serenity Internal Headers */
#include "energies/EnergyContributions.h"
/* Include Std and External Headers */
#include <pybind11/pybind11.h>

namespace py = pybind11;
using namespace Serenity;

void export_EnergyContributions(py::module& spy) {
  py::enum_<ENERGY_CONTRIBUTIONS>(spy, "ENERGY_CONTRIBUTIONS")
      .value("ELECTRON_KINETIC", ENERGY_CONTRIBUTIONS::ELECTRON_KINETIC)
      .value("ELECTRON_NUCLEUS_COULOMB", ENERGY_CONTRIBUTIONS::ELECTRON_NUCLEUS_COULOMB)
      .value("ELECTRON_ELECTRON_COULOMB", ENERGY_CONTRIBUTIONS::ELECTRON_ELECTRON_COULOMB)
      .value("ELECTRON_ELECTRON_CORRELATION", ENERGY_CONTRIBUTIONS::ELECTRON_ELECTRON_CORRELATION)
      .value("NUCLEUS_NUCLEUS_COULOMB", ENERGY_CONTRIBUTIONS::NUCLEUS_NUCLEUS_COULOMB)
      .value("ONE_ELECTRON_ENERGY", ENERGY_CONTRIBUTIONS::ONE_ELECTRON_ENERGY)
      .value("HF_ELECTRON_ELECTRON_EXCHANGE", ENERGY_CONTRIBUTIONS::HF_ELECTRON_ELECTRON_EXCHANGE)
      .value("HF_TWO_ELECTRON_ENERGY", ENERGY_CONTRIBUTIONS::HF_TWO_ELECTRON_ENERGY)
      .value("HF_ENERGY", ENERGY_CONTRIBUTIONS::HF_ENERGY)
      .value("KS_DFT_ELECTRON_ELECTRON_EXCHANGE", ENERGY_CONTRIBUTIONS::KS_DFT_ELECTRON_ELECTRON_EXCHANGE)
      .value("KS_DFT_EXCHANGE_CORRELATION_ENERGY", ENERGY_CONTRIBUTIONS::KS_DFT_EXCHANGE_CORRELATION_ENERGY)
      .value("KS_DFT_TWO_ELECTRON_ENERGY", ENERGY_CONTRIBUTIONS::KS_DFT_TWO_ELECTRON_ENERGY)
      .value("KS_DFT_DISPERSION_CORRECTION", ENERGY_CONTRIBUTIONS::KS_DFT_DISPERSION_CORRECTION)
      .value("KS_DFT_ENERGY", ENERGY_CONTRIBUTIONS::KS_DFT_ENERGY)
      .value("FDE_NAD_EXCHANGE", ENERGY_CONTRIBUTIONS::FDE_NAD_EXCHANGE)
      .value("FDE_NAD_CORRELATION", ENERGY_CONTRIBUTIONS::FDE_NAD_CORRELATION)
      .value("FDE_NAD_XC", ENERGY_CONTRIBUTIONS::FDE_NAD_XC)
      .value("FDE_NAD_KINETIC", ENERGY_CONTRIBUTIONS::FDE_NAD_KINETIC)
      .value("FDE_NUCLEI_ENV_ELECTRONS_COULOMB", ENERGY_CONTRIBUTIONS::FDE_NUCLEI_ENV_ELECTRONS_COULOMB)
      .value("FDE_NUCLEI_ENV_NUCLEI_COULOMB", ENERGY_CONTRIBUTIONS::FDE_NUCLEI_ENV_NUCLEI_COULOMB)
      .value("FDE_ELECTRONS_ENV_ELECTRONS_COULOMB", ENERGY_CONTRIBUTIONS::FDE_ELECTRONS_ENV_ELECTRONS_COULOMB)
      .value("FDE_ELECTRONS_ENV_NUCLEI_COULOMB", ENERGY_CONTRIBUTIONS::FDE_ELECTRONS_ENV_NUCLEI_COULOMB)
      .value("FDE_ELECTROSTATIC_INTERACTIONS", ENERGY_CONTRIBUTIONS::FDE_ELECTROSTATIC_INTERACTIONS)
      .value("FDE_INTERACTION_ENERGY", ENERGY_CONTRIBUTIONS::FDE_INTERACTION_ENERGY)
      .value("FDE_EMBEDDED_KS_DFT_ENERGY", ENERGY_CONTRIBUTIONS::FDE_EMBEDDED_KS_DFT_ENERGY)
      .value("FDE_SUPERSYSTEM_ENERGY_DFT_DFT", ENERGY_CONTRIBUTIONS::FDE_SUPERSYSTEM_ENERGY_DFT_DFT)
      .value("FDE_SUPERSYSTEM_ENERGY_WF_DFT", ENERGY_CONTRIBUTIONS::FDE_SUPERSYSTEM_ENERGY_WF_DFT)
      .value("FDE_FROZEN_SUBSYSTEM_ENERGIES", ENERGY_CONTRIBUTIONS::FDE_FROZEN_SUBSYSTEM_ENERGIES)
      .value("FDE_NAD_EXACT_EXCHANGE", ENERGY_CONTRIBUTIONS::FDE_NAD_EXACT_EXCHANGE)
      .value("PBE_LINEAR_CORRECTION", ENERGY_CONTRIBUTIONS::PBE_LINEAR_CORRECTION)
      .value("PBE_SUPERSYSTEM_ENERGY_WFT_DFT", ENERGY_CONTRIBUTIONS::PBE_SUPERSYSTEM_ENERGY_WFT_DFT)
      .value("PBE_SUPERSYSTEM_ENERGY_DFT_DFT", ENERGY_CONTRIBUTIONS::PBE_SUPERSYSTEM_ENERGY_DFT_DFT)
      .value("MP2_CORRECTION", ENERGY_CONTRIBUTIONS::MP2_CORRECTION)
      .value("CCSD_CORRECTION", ENERGY_CONTRIBUTIONS::CCSD_CORRECTION)
      .value("TRIPLES_CORRECTION", ENERGY_CONTRIBUTIONS::TRIPLES_CORRECTION)
      .value("MP2_TOTAL_ENERGY", ENERGY_CONTRIBUTIONS::MP2_TOTAL_ENERGY)
      .value("CCSD_TOTAL_ENERGY", ENERGY_CONTRIBUTIONS::CCSD_TOTAL_ENERGY)
      .value("CCSD_T_TOTAL_ENERGY", ENERGY_CONTRIBUTIONS::CCSD_T_TOTAL_ENERGY)
      .export_values();
}