(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      6002,        169]
NotebookOptionsPosition[      5608,        151]
NotebookOutlinePosition[      5947,        166]
CellTagsIndexPosition[      5904,        163]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"NIntegrate", "[", 
  RowBox[{
   RowBox[{"b", "*", "c", "*", 
    RowBox[{"(", 
     RowBox[{"y", "-", "2.0"}], ")"}], "*", 
    RowBox[{"(", 
     RowBox[{"a", "-", "0.5"}], ")"}], "*", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.5"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"a", "^", "2"}], "+", 
          RowBox[{"b", "^", "2"}], "+", 
          RowBox[{"c", "^", "2"}]}], ")"}]}], "-", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "1.0"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "2.0"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "3.0"}], ")"}], "^", "2"}]}], ")"}], "-", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"a", "-", "0.5"}], ")"}], "^", "2"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"b", "-", "4.5"}], ")"}], "^", "2"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"c", "-", "0.5"}], ")"}], "^", "2"}]}], ")"}]}]}], "]"}], 
     "/", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "-", "a"}], ")"}], "^", "2"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"y", "-", "b"}], ")"}], "^", "2"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"z", "-", "c"}], ")"}], "^", "2"}]}], "]"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"-", "Infinity"}], ",", "x", ",", 
     RowBox[{"+", "Infinity"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", 
     RowBox[{"-", "Infinity"}], ",", "y", ",", 
     RowBox[{"+", "Infinity"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", 
     RowBox[{"-", "Infinity"}], ",", "z", ",", 
     RowBox[{"+", "Infinity"}]}], "}"}], ",", 
   RowBox[{"PrecisionGoal", "\[Rule]", "5"}], ",", 
   RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
   RowBox[{"Method", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<GlobalAdaptive\>\"", ",", 
      RowBox[{"\"\<MaxErrorIncreases\>\"", "\[Rule]", "250000"}]}], "}"}]}]}],
   "]"}]], "Input",
 CellChangeTimes->{{3.6055234555389423`*^9, 3.60552345554*^9}, {
   3.605525020699114*^9, 3.605525154408621*^9}, {3.6055281344779043`*^9, 
   3.605528147719204*^9}, {3.6055322242081947`*^9, 3.605532244046011*^9}, 
   3.605534076854374*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "slwcon"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Numerical integration converging too slowly; suspect one \
of the following: singularity, value of the integration is 0, highly \
oscillatory integrand, or WorkingPrecision too small. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/slwcon\\\", ButtonNote -> \
\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605523466987204*^9, 3.605523568140689*^9, 
  3.605525189540045*^9, 3.6055281525257397`*^9, 3.6055322482299757`*^9, 
  3.605534079352992*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "eincr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The global error of the strategy GlobalAdaptive has \
increased more than \[NoBreak]\\!\\(250000\\)\[NoBreak] times. The global \
error is expected to decrease monotonically after a number of integrand \
evaluations. Suspect one of the following: the working precision is \
insufficient for the specified precision goal; the integrand is highly \
oscillatory or it is not a (piecewise) smooth function; or the true value of \
the integral is 0. Increasing the value of the GlobalAdaptive option \
MaxErrorIncreases might lead to a convergent numerical integration. \
NIntegrate obtained \[NoBreak]\\!\\(0.001479389325185069`\\)\[NoBreak] and \
\[NoBreak]\\!\\(0.000011886523657678244`\\)\[NoBreak] for the integral and \
error estimates. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\
\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/eincr\\\", ButtonNote -> \
\\\"NIntegrate::eincr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605523466987204*^9, 3.605523568140689*^9, 
  3.605525189540045*^9, 3.6055281525257397`*^9, 3.6055322482299757`*^9, 
  3.6055351878619843`*^9}],

Cell[BoxData["0.001479389325185069`"], "Output",
 CellChangeTimes->{3.60552474657229*^9, 3.605526282427985*^9, 
  3.605529270284442*^9, 3.6055330205311413`*^9, 3.605535192687607*^9}]
}, Open  ]]
},
WindowSize->{740, 867},
WindowMargins->{{117, Automatic}, {-268, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 2873, 84, 187, "Input"],
Cell[3455, 108, 698, 13, 59, "Message"],
Cell[4156, 123, 1251, 21, 167, "Message"],
Cell[5410, 146, 182, 2, 64, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

