(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      5554,        195]
NotebookOptionsPosition[      5158,        177]
NotebookOutlinePosition[      5495,        192]
CellTagsIndexPosition[      5452,        189]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"x", ",", "y", ",", "z"}], "]"}], " ", ":=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"x", "-", "x0"}], ")"}], "^", "l"}], "*", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"y", "-", "y0"}], ")"}], "^", "m"}], "*", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"z", "-", "z0"}], ")"}], "^", "n"}], "*", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{"-", "alpha"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], 
    "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.609832809997608*^9, 3.6098329218533697`*^9}, {
   3.609833044049028*^9, 3.6098330972706013`*^9}, 3.609833150582034*^9, {
   3.6098331983398037`*^9, 3.609833216977865*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "alpha"}], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"x", "-", "x0"}], ")"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"y", "-", "y0"}], ")"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"z", "-", "z0"}], ")"}], "2"]}], ")"}]}]], " ", "l", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"x", "-", "x0"}], ")"}], 
     RowBox[{
      RowBox[{"-", "1"}], "+", "l"}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"y", "-", "y0"}], ")"}], "m"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"z", "-", "z0"}], ")"}], "n"]}], "-", 
   RowBox[{"2", " ", "alpha", " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "alpha"}], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"x", "-", "x0"}], ")"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"y", "-", "y0"}], ")"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"z", "-", "z0"}], ")"}], "2"]}], ")"}]}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"x", "-", "x0"}], ")"}], 
     RowBox[{"1", "+", "l"}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"y", "-", "y0"}], ")"}], "m"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"z", "-", "z0"}], ")"}], "n"]}]}], "\[IndentingNewLine]"}]], \
"Input",
 CellChangeTimes->{{3.609834906204516*^9, 3.609834906839795*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{"x", ",", "y", ",", "z"}], "]"}], " ", ":=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"y", "-", "y0"}], ")"}], "^", "m"}], "*", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"z", "-", "z0"}], ")"}], "^", "n"}], "*", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{"-", "alpha"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], 
    "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6098349168896112`*^9, 3.6098349291848087`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "2"}], " ", "alpha", " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "alpha"}], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"x", "-", "x0"}], ")"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"y", "-", "y0"}], ")"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"z", "-", "z0"}], ")"}], "2"]}], ")"}]}]], " ", 
  RowBox[{"(", 
   RowBox[{"x", "-", "x0"}], ")"}], " ", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"y", "-", "y0"}], ")"}], "m"], " ", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"z", "-", "z0"}], ")"}], "n"]}]], "Output",
 CellChangeTimes->{3.609834936045125*^9}]
}, Open  ]]
},
WindowSize->{740, 867},
WindowMargins->{{363, Automatic}, {52, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1170, 36, 99, "Input"],
Cell[1730, 58, 1695, 55, 89, InheritFromParent],
Cell[CellGroupData[{
Cell[3450, 117, 934, 30, 77, "Input"],
Cell[4387, 149, 755, 25, 70, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

