(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    152486,       4165]
NotebookOptionsPosition[    152244,       4152]
NotebookOutlinePosition[    152581,       4167]
CellTagsIndexPosition[    152538,       4164]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Create", " ", "an", " ", "s"}], "-", 
    RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "s"}], "-", 
    RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"x0s", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"y0s", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"z0s", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"alphas1", ":=", "1.0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"s1", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphas1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0s"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0s"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0s"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphas1", "/", "Pi"}]}], ")"}], "^", "0.75"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "s"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"alphas2", ":=", "2.0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"s2", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphas2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0s"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0s"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0s"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphas2", "/", "Pi"}]}], ")"}], "^", "0.75"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"An", " ", "s"}], "-", 
     RowBox[{
     "type", " ", "function", " ", "as", " ", "a", " ", "contraction", " ", 
      "from", " ", "the", " ", "above", " ", "primitives"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"s", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"s1", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "1.0"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"s2", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.1"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Form", " ", "derivatives"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"s", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"s", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sZ", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"s", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"sX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"sX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"sX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"sY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"sY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"sZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Create", " ", "a", " ", "set", " ", "of", " ", "p"}], "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "px"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"lpx", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{"mpx", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"npx", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"x0p", ":=", "1.0"}], "\[IndentingNewLine]", 
   RowBox[{"y0p", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"z0p", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"alphap1", ":=", "1.0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p1x", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0p"}], ")"}], "^", "lpx"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphap1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0p"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphap1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphap1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"lpx", "+", "mpx", "+", "npx"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "py"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"lpy", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"mpy", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{"npy", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p1y", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0p"}], ")"}], "^", "mpy"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphap1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0p"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphap1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphap1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"lpy", "+", "mpy", "+", "npy"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "pz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"lpz", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"mpz", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"npz", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p1z", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0p"}], ")"}], "^", "npz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphap1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0p"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphap1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphap1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"lpz", "+", "mpz", "+", "npz"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "px"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"alphap2", ":=", "2.0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p2x", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0p"}], ")"}], "^", "lpx"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphap2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0p"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphap2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphap2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"lpx", "+", "mpx", "+", "npx"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "py"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p2y", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0p"}], ")"}], "^", "mpy"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphap2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0p"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphap2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphap2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"lpy", "+", "mpy", "+", "npy"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "pz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p2z", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0p"}], ")"}], "^", "npz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphap2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0p"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphap2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphap2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"lpz", "+", "mpz", "+", "npz"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"A", " ", "set", " ", "of", " ", "p"}], "-", 
     RowBox[{
     "type", " ", "functions", " ", "as", " ", "a", " ", "contraction", " ", 
      "from", " ", "the", " ", "above", " ", "primitives"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"px", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"p1x", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "1.0"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"p2x", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.1"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"py", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"p1y", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "1.0"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"p2y", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.1"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pz", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"p1z", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "1.0"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"p2z", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.1"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Form", " ", "derivatives"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"px", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"px", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxZ", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"px", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pxX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pxX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pxX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pxY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pxY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pxZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"py", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"py", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyZ", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"py", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pyY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pyY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pyZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzZ", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pzZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Create", " ", "a", " ", "set", " ", "of", " ", "d"}], "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "dyy"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ldxx", ":=", "2"}], "\[IndentingNewLine]", 
   RowBox[{"mdxx", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"ndxx", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"x0d", ":=", 
    RowBox[{"-", "1.0"}]}], "\[IndentingNewLine]", 
   RowBox[{"y0d", ":=", "2.5"}], "\[IndentingNewLine]", 
   RowBox[{"z0d", ":=", "1.0"}], "\[IndentingNewLine]", 
   RowBox[{"alphad1", ":=", "0.5"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d1xx", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldxx"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldxx", "+", "mdxx", "+", "ndxx"}], ")"}]}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "*", "ldxx"}], "-", "1"}], ")"}], "!!"}], "]"}]}], 
      ")"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "dxy"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ldxy", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{"mdxy", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{"ndxy", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d1xy", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldxy"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdxy"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndxy"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldxy", "+", "mdxy", "+", "ndxy"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "dxz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ldxz", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{"mdxz", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"ndxz", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d1xz", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldxz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdxz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndxz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldxz", "+", "mdxz", "+", "ndxz"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "dyy"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ldyy", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"mdyy", ":=", "2"}], "\[IndentingNewLine]", 
   RowBox[{"ndyy", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d1yy", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldyy"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdyy"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndyy"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldyy", "+", "mdyy", "+", "ndyy"}], ")"}]}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "*", "ldyy"}], "-", "1"}], ")"}], "!!"}], "]"}]}], 
      ")"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "dyz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ldyz", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"mdyz", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{"ndyz", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d1yz", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldyz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdyz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndyz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldyz", "+", "mdyz", "+", "ndyz"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "dzz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ldzz", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{"mdzz", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{"ndzz", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d1zz", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldzz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdzz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndzz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldzz", "+", "mdzz", "+", "ndzz"}], ")"}]}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "*", "ldzz"}], "-", "1"}], ")"}], "!!"}], "]"}]}], 
      ")"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "dxx"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"alphad2", ":=", "1.2"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d2xx", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldxx"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldxx", "+", "mdxx", "+", "ndxx"}], ")"}]}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "*", "ldxx"}], "-", "1"}], ")"}], "!!"}], "]"}]}], 
      ")"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "dxy"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d2xy", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldxy"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdxy"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndxy"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldxy", "+", "mdxy", "+", "ndxy"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "dxz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d2xz", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldxz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdxz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndxz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldxz", "+", "mdxz", "+", "ndxz"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "dyy"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d2yy", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldyy"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdyy"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndyy"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldyy", "+", "mdyy", "+", "ndyy"}], ")"}]}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "*", "ldyy"}], "-", "1"}], ")"}], "!!"}], "]"}]}], 
      ")"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "dyz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d2yz", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldyz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdyz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndyz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldyz", "+", "mdyz", "+", "ndyz"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "dzz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d2zz", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldzz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdzz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndzz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldzz", "+", "mdzz", "+", "ndzz"}], ")"}]}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "*", "ldzz"}], "-", "1"}], ")"}], "!!"}], "]"}]}], 
      ")"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"A", " ", "set", " ", "of", " ", "d"}], "-", 
     RowBox[{
     "type", " ", "functions", " ", "as", " ", "a", " ", "contraction", " ", 
      "from", " ", "the", " ", "above", " ", "primitives"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxx", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"d1xx", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.8"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"d2xx", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.4"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxy", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"d1xy", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.8"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"d2xy", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.4"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxz", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"d1xz", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.8"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"d2xz", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.4"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyy", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"d1yy", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.8"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"d2yy", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.4"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyz", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"d1yz", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.8"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"d2yz", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.4"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzz", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"d1zz", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.8"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"d2zz", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.4"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Form", " ", "derivatives"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxx", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxx", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxx", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxxX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxxX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxxX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxxY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxxY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxxZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxy", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxy", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxy", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxyY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxyY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxyZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxzZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyy", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyy", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyy", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyyY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyyY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyyZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyzZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzzZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Points", " ", "to", " ", "evaluate", " ", "at"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"P0x", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"P0y", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"P0z", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"P1x", ":=", "1.0"}], "\[IndentingNewLine]", 
   RowBox[{"P1y", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"P1z", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"P2x", ":=", 
    RowBox[{"-", "2.0"}]}], "\[IndentingNewLine]", 
   RowBox[{"P2y", ":=", "1.0"}], "\[IndentingNewLine]", 
   RowBox[{"P2z", ":=", "1.0"}], "\[IndentingNewLine]", 
   RowBox[{"P3x", ":=", "3.0"}], "\[IndentingNewLine]", 
   RowBox[{"P3y", ":=", "0.5"}], "\[IndentingNewLine]", 
   RowBox[{"P3z", ":=", 
    RowBox[{"-", "1.0"}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Produce", " ", "results"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"s", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"s", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"s", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"s", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function\>\"", "]"}], "\[IndentingNewLine]", 
   
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"px", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"px", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"px", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"px", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function\>\"", "]"}], "\[IndentingNewLine]", 
   
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"py", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"py", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"py", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"py", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function\>\"", "]"}], "\[IndentingNewLine]", 
   
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pz", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pz", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pz", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pz", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxx", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxx", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxx", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxx", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxy", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxy", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxy", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxy", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxz", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxz", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxz", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxz", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyy", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyy", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyy", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyy", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyz", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyz", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyz", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyz", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzz", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzz", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzz", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzz", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.609832809997608*^9, 3.6098329218533697`*^9}, {
   3.609833044049028*^9, 3.6098330972706013`*^9}, 3.609833150582034*^9, {
   3.6098331983398037`*^9, 3.609833216977865*^9}, {3.650788788318267*^9, 
   3.650788970425623*^9}, {3.650789007247683*^9, 3.6507891261352253`*^9}, {
   3.6507891578295383`*^9, 3.650789220926198*^9}, {3.6507893075863857`*^9, 
   3.6507893205519*^9}, {3.650789391736215*^9, 3.650789403431885*^9}, {
   3.650789460609186*^9, 3.650789524974094*^9}, {3.6507897822806673`*^9, 
   3.650789821488566*^9}, {3.650789887559745*^9, 3.650790001092445*^9}, {
   3.650790103383709*^9, 3.65079021429193*^9}, {3.650790290818018*^9, 
   3.650790532667631*^9}, {3.650790645912673*^9, 3.650791196024201*^9}, {
   3.650791331781025*^9, 3.650791787577705*^9}, {3.650791953590371*^9, 
   3.6507919687736197`*^9}, {3.650792159884288*^9, 3.6507921647489443`*^9}, {
   3.6507922003725986`*^9, 3.650792219925282*^9}, {3.6507923199907303`*^9, 
   3.6507923247124453`*^9}, {3.6507923567336073`*^9, 3.650792536065893*^9}, {
   3.6507926963860483`*^9, 3.650792815700686*^9}, {3.6507928684841747`*^9, 
   3.650792874893436*^9}, {3.650793015370481*^9, 3.650793114973874*^9}, {
   3.650793372507476*^9, 3.650793373381192*^9}, {3.6507934743806763`*^9, 
   3.65079348672889*^9}, {3.6507935274741497`*^9, 3.6507935485532084`*^9}, {
   3.65079363423298*^9, 3.650793643426345*^9}, {3.6507936847618*^9, 
   3.650793690490466*^9}, {3.650793815463385*^9, 3.650793862546466*^9}, {
   3.65079542096977*^9, 3.650795432233933*^9}, {3.650795486122898*^9, 
   3.6507957111912117`*^9}, {3.650795770277815*^9, 3.650795990249819*^9}, {
   3.650796055881426*^9, 3.65079626071883*^9}, {3.650796300548218*^9, 
   3.650796310859859*^9}, {3.650796727724311*^9, 3.650796744558836*^9}, {
   3.650796787229456*^9, 3.650796799860108*^9}, {3.650796842787423*^9, 
   3.6507968927434807`*^9}, 3.650796950011859*^9, {3.6507969815301647`*^9, 
   3.65079700251329*^9}, {3.650797048111803*^9, 3.650797084573249*^9}, {
   3.65079711470306*^9, 3.6507971638293657`*^9}, {3.650797198207254*^9, 
   3.650797225452355*^9}, {3.650797313102322*^9, 3.650797329018408*^9}, {
   3.650797384513274*^9, 3.650797420106689*^9}, {3.650797547464921*^9, 
   3.650797561900147*^9}, {3.6507976470223303`*^9, 3.650797867368217*^9}, {
   3.6507979000547457`*^9, 3.650798074524685*^9}, {3.650798133904381*^9, 
   3.650798225008914*^9}, {3.650798283391367*^9, 3.650798813147072*^9}}]
},
WindowSize->{908, 867},
WindowMargins->{{Automatic, 867}, {Automatic, 33}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 151683, 4130, 16269, "Input"]
}
]
*)

(* End of internal cache information *)
