(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[    312197,       7331]
NotebookOptionsPosition[    290865,       6809]
NotebookOutlinePosition[    291202,       6824]
CellTagsIndexPosition[    291159,       6821]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Create", " ", "an", " ", "s"}], "-", 
    RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "s"}], "-", 
    RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"x0s", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"y0s", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"z0s", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"alphas1", ":=", "1.0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"s1", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphas1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0s"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0s"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0s"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphas1", "/", "Pi"}]}], ")"}], "^", "0.75"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "s"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"alphas2", ":=", "2.0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"s2", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphas2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0s"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0s"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0s"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphas2", "/", "Pi"}]}], ")"}], "^", "0.75"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"An", " ", "s"}], "-", 
     RowBox[{
     "type", " ", "function", " ", "as", " ", "a", " ", "contraction", " ", 
      "from", " ", "the", " ", "above", " ", "primitives"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"s", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"s1", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "1.0"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"s2", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.1"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Form", " ", "derivatives"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"s", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"s", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sZ", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"s", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"sX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"sX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"sX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"sY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"sY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"sZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Create", " ", "a", " ", "set", " ", "of", " ", "p"}], "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "px"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"lpx", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{"mpx", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"npx", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"x0p", ":=", "1.0"}], "\[IndentingNewLine]", 
   RowBox[{"y0p", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"z0p", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"alphap1", ":=", "1.0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p1x", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0p"}], ")"}], "^", "lpx"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphap1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0p"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphap1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphap1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"lpx", "+", "mpx", "+", "npx"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "py"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"lpy", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"mpy", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{"npy", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p1y", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0p"}], ")"}], "^", "mpy"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphap1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0p"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphap1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphap1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"lpy", "+", "mpy", "+", "npy"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "pz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"lpz", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"mpz", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"npz", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p1z", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0p"}], ")"}], "^", "npz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphap1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0p"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphap1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphap1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"lpz", "+", "mpz", "+", "npz"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "px"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"alphap2", ":=", "2.0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p2x", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0p"}], ")"}], "^", "lpx"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphap2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0p"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphap2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphap2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"lpx", "+", "mpx", "+", "npx"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "py"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p2y", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0p"}], ")"}], "^", "mpy"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphap2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0p"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphap2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphap2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"lpy", "+", "mpy", "+", "npy"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "pz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p2z", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0p"}], ")"}], "^", "npz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphap2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0p"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0p"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphap2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphap2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"lpz", "+", "mpz", "+", "npz"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"A", " ", "set", " ", "of", " ", "p"}], "-", 
     RowBox[{
     "type", " ", "functions", " ", "as", " ", "a", " ", "contraction", " ", 
      "from", " ", "the", " ", "above", " ", "primitives"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"px", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"p1x", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "1.0"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"p2x", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.1"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"py", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"p1y", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "1.0"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"p2y", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.1"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pz", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"p1z", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "1.0"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"p2z", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.1"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Form", " ", "derivatives"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"px", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"px", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxZ", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"px", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pxX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pxX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pxX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pxY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pxY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pxZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pxZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"py", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"py", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyZ", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"py", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pyY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pyY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pyZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pyZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzZ", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pzZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"pzZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Create", " ", "a", " ", "set", " ", "of", " ", "d"}], "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "dxx"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ldxx", ":=", "2"}], "\[IndentingNewLine]", 
   RowBox[{"mdxx", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"ndxx", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"x0d", ":=", 
    RowBox[{"-", "1.0"}]}], "\[IndentingNewLine]", 
   RowBox[{"y0d", ":=", "2.5"}], "\[IndentingNewLine]", 
   RowBox[{"z0d", ":=", "1.0"}], "\[IndentingNewLine]", 
   RowBox[{"alphad1", ":=", "0.5"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d1xx", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldxx"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldxx", "+", "mdxx", "+", "ndxx"}], ")"}]}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "*", "ldxx"}], "-", "1"}], ")"}], "!!"}], "]"}]}], 
      ")"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "dxy"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ldxy", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{"mdxy", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{"ndxy", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d1xy", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldxy"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdxy"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldxy", "+", "mdxy", "+", "ndxy"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "dxz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ldxz", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{"mdxz", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"ndxz", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d1xz", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldxz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndxz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldxz", "+", "mdxz", "+", "ndxz"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "dyy"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ldyy", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"mdyy", ":=", "2"}], "\[IndentingNewLine]", 
   RowBox[{"ndyy", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d1yy", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdyy"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldyy", "+", "mdyy", "+", "ndyy"}], ")"}]}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "*", "mdyy"}], "-", "1"}], ")"}], "!!"}], "]"}]}], 
      ")"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "dyz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ldyz", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"mdyz", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{"ndyz", ":=", "1"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d1yz", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdyz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndyz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldyz", "+", "mdyz", "+", "ndyz"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"First", " ", "primitive", " ", "of", " ", "the", " ", "dzz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ldzz", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"mdzz", ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{"ndzz", ":=", "2"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d1zz", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndzz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad1"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldzz", "+", "mdzz", "+", "ndzz"}], ")"}]}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "*", "ndzz"}], "-", "1"}], ")"}], "!!"}], "]"}]}], 
      ")"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "dxx"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"alphad2", ":=", "1.2"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d2xx", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldxx"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldxx", "+", "mdxx", "+", "ndxx"}], ")"}]}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "*", "ldxx"}], "-", "1"}], ")"}], "!!"}], "]"}]}], 
      ")"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "dxy"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d2xy", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldxy"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdxy"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndxy"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldxy", "+", "mdxy", "+", "ndxy"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "dxz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d2xz", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldxz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdxz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndxz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldxz", "+", "mdxz", "+", "ndxz"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "dyy"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d2yy", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldyy"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdyy"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndyy"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldyy", "+", "mdyy", "+", "ndyy"}], ")"}]}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "*", "mdyy"}], "-", "1"}], ")"}], "!!"}], "]"}]}], 
      ")"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "dyz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d2yz", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldyz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdyz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndyz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldyz", "+", "mdyz", "+", "ndyz"}], ")"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Second", " ", "primitive", " ", "of", " ", "the", " ", "dzz"}], 
     "-", 
     RowBox[{"type", " ", "function"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d2zz", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0d"}], ")"}], "^", "ldzz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0d"}], ")"}], "^", "mdzz"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0d"}], ")"}], "^", "ndzz"}], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "alphad2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "x0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"y", "-", "y0d"}], ")"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"z", "-", "z0d"}], ")"}], "^", "2"}]}], ")"}]}], "]"}], 
     "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2.0", "*", 
        RowBox[{"alphad2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "*", "alphad2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{"ldzz", "+", "mdzz", "+", "ndzz"}], ")"}]}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "*", "ndzz"}], "-", "1"}], ")"}], "!!"}], "]"}]}], 
      ")"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"A", " ", "set", " ", "of", " ", "d"}], "-", 
     RowBox[{
     "type", " ", "functions", " ", "as", " ", "a", " ", "contraction", " ", 
      "from", " ", "the", " ", "above", " ", "primitives"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxx", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"d1xx", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.8"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"d2xx", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.4"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxy", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"d1xy", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.8"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"d2xy", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.4"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxz", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"d1xz", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.8"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"d2xz", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.4"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyy", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"d1yy", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.8"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"d2yy", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.4"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyz", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"d1yz", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.8"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"d2yz", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.4"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzz", "[", 
      RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"d1zz", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.8"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"d2zz", "[", 
        RowBox[{"x", ",", " ", "y", ",", " ", "z"}], "]"}], " ", "*", " ", 
       "0.4"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Form", " ", "derivatives"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxx", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxx", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxx", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxxX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxxX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxxX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxxY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxxY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxxZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxxZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxy", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxy", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxy", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxyY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxyY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxyZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxyZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dxzZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dxzZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyy", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyy", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyy", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyyX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyyY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyyY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyyZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyyZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dyzZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dyzZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzz", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzXX", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzXY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzXZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzzX", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzYY", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzYZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzzY", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dzzZZ", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"dzzZ", "[", 
        RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Points", " ", "to", " ", "evaluate", " ", "at"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"P0x", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"P0y", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"P0z", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"P1x", ":=", "1.0"}], "\[IndentingNewLine]", 
   RowBox[{"P1y", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"P1z", ":=", "0.0"}], "\[IndentingNewLine]", 
   RowBox[{"P2x", ":=", 
    RowBox[{"-", "2.0"}]}], "\[IndentingNewLine]", 
   RowBox[{"P2y", ":=", "1.0"}], "\[IndentingNewLine]", 
   RowBox[{"P2z", ":=", "1.0"}], "\[IndentingNewLine]", 
   RowBox[{"P3x", ":=", "3.0"}], "\[IndentingNewLine]", 
   RowBox[{"P3y", ":=", "0.5"}], "\[IndentingNewLine]", 
   RowBox[{"P3z", ":=", 
    RowBox[{"-", "1.0"}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Produce", " ", "results"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"s", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"s", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"s", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"s", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function\>\"", "]"}], "\[IndentingNewLine]", 
   
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"px", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"px", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"px", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"px", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function\>\"", "]"}], "\[IndentingNewLine]", 
   
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"py", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"py", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"py", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"py", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function\>\"", "]"}], "\[IndentingNewLine]", 
   
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pz", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pz", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pz", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pz", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxx", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxx", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxx", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxx", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxy", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxy", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxy", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxy", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxz", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxz", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxz", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxz", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyy", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyy", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyy", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyy", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyz", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyz", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyz", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyz", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzz", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzz", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzz", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzz", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"First", " ", "derivative", " ", 
     RowBox[{"d", "/", "dx"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d/dx\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"First", " ", "derivative", " ", 
     RowBox[{"d", "/", "dy"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d/dy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"First", " ", "derivative", " ", 
     RowBox[{"d", "/", "dz"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d/dz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Second", " ", "derivative", " ", 
     RowBox[{
      RowBox[{"d", "^", "2"}], "/", 
      RowBox[{"dx", "^", "2"}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d^2/dx^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXX", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXX", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXX", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXX", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Second", " ", "derivative", " ", 
     RowBox[{
      RowBox[{"d", "^", "2"}], "/", "dxdy"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d^2/dxdy\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Second", " ", "derivative", " ", 
     RowBox[{
      RowBox[{"d", "^", "2"}], "/", "dxdz"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d^2/dxdz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzXZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Second", " ", "derivative", " ", 
     RowBox[{
      RowBox[{"d", "^", "2"}], "/", 
      RowBox[{"dy", "^", "2"}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d^2/dy^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYY", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYY", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYY", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYY", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Second", " ", "derivative", " ", 
     RowBox[{
      RowBox[{"d", "^", "2"}], "/", "dydz"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d^2/dydz\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzYZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Second", " ", "derivative", " ", 
     RowBox[{
      RowBox[{"d", "^", "2"}], "/", 
      RowBox[{"dz", "^", "2"}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<S-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"sZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Px-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pxZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Py-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pyZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Pz-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"pzZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxx-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxxZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxy-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxyZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dxz-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dxzZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyy-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyyZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dyz-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dyzZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Dzz-Function - d^2/dz^2\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZZ", "[", 
      RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZZ", "[", 
      RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZZ", "[", 
      RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], ",", "12"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", " ", 
    RowBox[{
     RowBox[{"dzzZZ", "[", 
      RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], ",", "12"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.609832809997608*^9, 3.6098329218533697`*^9}, {
   3.609833044049028*^9, 3.6098330972706013`*^9}, 3.609833150582034*^9, {
   3.6098331983398037`*^9, 3.609833216977865*^9}, {3.650788788318267*^9, 
   3.650788970425623*^9}, {3.650789007247683*^9, 3.6507891261352253`*^9}, {
   3.6507891578295383`*^9, 3.650789220926198*^9}, {3.6507893075863857`*^9, 
   3.6507893205519*^9}, {3.650789391736215*^9, 3.650789403431885*^9}, {
   3.650789460609186*^9, 3.650789524974094*^9}, {3.6507897822806673`*^9, 
   3.650789821488566*^9}, {3.650789887559745*^9, 3.650790001092445*^9}, {
   3.650790103383709*^9, 3.65079021429193*^9}, {3.650790290818018*^9, 
   3.650790532667631*^9}, {3.650790645912673*^9, 3.650791196024201*^9}, {
   3.650791331781025*^9, 3.650791787577705*^9}, {3.650791953590371*^9, 
   3.6507919687736197`*^9}, {3.650792159884288*^9, 3.6507921647489443`*^9}, {
   3.6507922003725986`*^9, 3.650792219925282*^9}, {3.6507923199907303`*^9, 
   3.6507923247124453`*^9}, {3.6507923567336073`*^9, 3.650792536065893*^9}, {
   3.6507926963860483`*^9, 3.650792815700686*^9}, {3.6507928684841747`*^9, 
   3.650792874893436*^9}, {3.650793015370481*^9, 3.650793114973874*^9}, {
   3.650793372507476*^9, 3.650793373381192*^9}, {3.6507934743806763`*^9, 
   3.65079348672889*^9}, {3.6507935274741497`*^9, 3.6507935485532084`*^9}, {
   3.65079363423298*^9, 3.650793643426345*^9}, {3.6507936847618*^9, 
   3.650793690490466*^9}, {3.650793815463385*^9, 3.650793862546466*^9}, {
   3.65079542096977*^9, 3.650795432233933*^9}, {3.650795486122898*^9, 
   3.6507957111912117`*^9}, {3.650795770277815*^9, 3.650795990249819*^9}, {
   3.650796055881426*^9, 3.65079626071883*^9}, {3.650796300548218*^9, 
   3.650796310859859*^9}, {3.650796727724311*^9, 3.650796744558836*^9}, {
   3.650796787229456*^9, 3.650796799860108*^9}, {3.650796842787423*^9, 
   3.6507968927434807`*^9}, 3.650796950011859*^9, {3.6507969815301647`*^9, 
   3.65079700251329*^9}, {3.650797048111803*^9, 3.650797084573249*^9}, {
   3.65079711470306*^9, 3.6507971638293657`*^9}, {3.650797198207254*^9, 
   3.650797225452355*^9}, {3.650797313102322*^9, 3.650797329018408*^9}, {
   3.650797384513274*^9, 3.650797420106689*^9}, {3.650797547464921*^9, 
   3.650797561900147*^9}, {3.6507976470223303`*^9, 3.650797867368217*^9}, {
   3.6507979000547457`*^9, 3.650798074524685*^9}, {3.650798133904381*^9, 
   3.650798225008914*^9}, {3.650798283391367*^9, 3.650798813147072*^9}, {
   3.650800302366564*^9, 3.6508005207799377`*^9}, {3.650800579827787*^9, 
   3.650800974798523*^9}, {3.650801051759541*^9, 3.650801496903976*^9}, {
   3.650802285844845*^9, 3.650802379779791*^9}, 3.65081708354323*^9, {
   3.650817290696742*^9, 3.650817302768944*^9}, {3.651915321687862*^9, 
   3.651915321871223*^9}}],

Cell[BoxData["\<\"S-Function\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823606353456*^9}],

Cell[BoxData["0.83256776538563492806588328676298260689`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606380773*^9}],

Cell[BoxData["0.27841128780138651999109811185917351395`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236063915453`*^9}],

Cell[BoxData["0.00176735669535827842786812613695701657`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606401937*^9}],

Cell[BoxData["0.00002519963412036011710798399931832137`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606410948*^9}],

Cell[BoxData["\<\"Px-Function\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.65182360642065*^9}],

Cell[BoxData[
 RowBox[{"-", "0.57026098710056727369988038844894617796`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606421794*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606430993*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00007142064481176220284725647546864025`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606440213*^9}],

Cell[BoxData["0.014978411186943459479370410747378628`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236064495497`*^9}],

Cell[BoxData["\<\"Py-Function\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236064582577`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360645909*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606469509*^9}],

Cell[BoxData["0.00002380688160392073428241882515621342`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606479021*^9}],

Cell[BoxData["0.003744602796735864869842602686844657`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606489311*^9}],

Cell[BoxData["\<\"Pz-Function\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823606499981*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236065007668`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606511423*^9}],

Cell[BoxData["0.00002380688160392073428241882515621342`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606523864*^9}],

Cell[BoxData[
 RowBox[{"-", "0.007489205593471729739685205373689314`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606533639*^9}],

Cell[BoxData["\<\"Dxx-Function\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823606543105*^9}],

Cell[BoxData["0.00637294953920815570452829135206229694`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236065439177`*^9}],

Cell[BoxData["0.00565239243007767226678605965162205393`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606552294*^9}],

Cell[BoxData["0.09542004644841828309154152520932257175`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606559713*^9}],

Cell[BoxData["0.00003848426543396925091989127509783941`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360656689*^9}],

Cell[BoxData["\<\"Dxy-Function\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823606574441*^9}],

Cell[BoxData[
 RowBox[{"-", "0.02759568098995296772657503936443390558`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236065752277`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01223778859151529972704164350716382614`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606583043*^9}],

Cell[BoxData["0.24790855276386392080922860259306617081`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236065908003`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00003332835151180073588947361251655366`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236065981607`*^9}],

Cell[BoxData["\<\"Dxz-Function\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823606605547*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01103827239598118882535349172258065664`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360660633*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00489511543660611954387196220750411157`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606613904*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606621264*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00003332835151180073588947361251655366`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606628374*^9}],

Cell[BoxData["\<\"Dyy-Function\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236066356087`*^9}],

Cell[BoxData["0.03983093462005097423750399343589378987`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606636282*^9}],

Cell[BoxData["0.00883186317199636389263517344261344988`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236066434193`*^9}],

Cell[BoxData["0.21469510450894113695596843172097578645`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606650422*^9}],

Cell[BoxData["9.62106635849231272997281877445985`12.*^-6"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236066574287`*^9}],

Cell[BoxData["\<\"Dyz-Function\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236066643753`*^9}],

Cell[BoxData["0.02759568098995296772657503936443390558`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606665086*^9}],

Cell[BoxData["0.00611889429575764986352082175358191307`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606672167*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236066798773`*^9}],

Cell[BoxData["0.00001666417575590036794473680625827683`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606687331*^9}],

Cell[BoxData["\<\"Dzz-Function\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823606694439*^9}],

Cell[BoxData["0.00637294953920815570452829135206229694`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606695215*^9}],

Cell[BoxData["0.00141309810751941806669651491290551348`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360670257*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606709783*^9}],

Cell[BoxData["9.62106635849231272997281877445985`12.*^-6"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236067167807`*^9}],

Cell[BoxData["\<\"S-Function - d/dx\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823606723969*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606724703*^9}],

Cell[BoxData[
 RowBox[{"-", "0.58926577089749854199141054778010584414`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606733487*^9}],

Cell[BoxData["0.0070723726190084160864168794091710879`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606741514*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00015119870379931091568422030224638775`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606748747*^9}],

Cell[BoxData["\<\"Px-Function - d/dx\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823606755927*^9}],

Cell[BoxData[
 RowBox[{"-", "0.66202420068560696719828229106497019529`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236067566843`*^9}],

Cell[BoxData["1.76443270720898670589349421788938343525`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606763794*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00040471868950937324579605891550215802`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606771708*^9}],

Cell[BoxData[
 RowBox[{"-", "0.05249912279991540697832164141800603829`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606779293*^9}],

Cell[BoxData["\<\"Py-Function - d/dx\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823606786951*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236067877207`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606795083*^9}],

Cell[BoxData["0.00014284185703776467357868640295492924`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606802224*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01499708209834678396266127720082295127`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360680923*^9}],

Cell[BoxData["\<\"Pz-Function - d/dx\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823606816224*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606816971*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606824155*^9}],

Cell[BoxData["0.00014284185703776467357868640295492924`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606831107*^9}],

Cell[BoxData["0.02999416419669356792532255440164590254`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606838311*^9}],

Cell[BoxData["\<\"Dxx-Function - d/dx\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823606845396*^9}],

Cell[BoxData["0.00630932138968960058017509950900603144`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606846133*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00566630089325591106141910557880692068`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606853125*^9}],

Cell[BoxData[
 RowBox[{"-", "0.06975061885597205746378790536255110055`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606860134*^9}],

Cell[BoxData[
 RowBox[{"-", "0.0001346949542341586579432405335055023`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606866948*^9}],

Cell[BoxData["\<\"Dxy-Function - d/dx\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823606874219*^9}],

Cell[BoxData["0.00027551796939432118827006945593893761`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606874997*^9}],

Cell[BoxData["0.01838679559337283789255401700302172685`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606882389*^9}],

Cell[BoxData["0.06669112918699099390451578983629588038`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606889647*^9}],

Cell[BoxData["0.00012498134000631393094454812953131295`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606896635*^9}],

Cell[BoxData["\<\"Dxz-Function - d/dx\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236069035788`*^9}],

Cell[BoxData["0.00011020718775772708752924700092989951`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606904311*^9}],

Cell[BoxData["0.00735471823734913567743864959425081906`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606911151*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236069180803`*^9}],

Cell[BoxData["0.00012498134000631393094454812953131295`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606924966*^9}],

Cell[BoxData["\<\"Dyy-Function - d/dx\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823606931925*^9}],

Cell[BoxData[
 RowBox[{"-", "0.04022861055454194506575404943760077003`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236069326982`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01768545831770872503452274315804970684`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606939937*^9}],

Cell[BoxData["0.27245131659194515849620188419066835195`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236069468927`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00003848427173778582339189538452650652`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606953834*^9}],

Cell[BoxData["\<\"Dyz-Function - d/dx\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823606960711*^9}],

Cell[BoxData[
 RowBox[{"-", "0.02787119895934728891484510882037284318`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236069614553`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01225284494456524431171828837250359356`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606968473*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360697573*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00006665671394213205068219468829582297`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823606982833*^9}],

Cell[BoxData["\<\"Dzz-Function - d/dx\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236069901648`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00643657768872671082888148319511856243`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236070189657`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00282967333083339583205129130760724365`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236070303707`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236070404673`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00003848427173778582339189538452650652`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360704926*^9}],

Cell[BoxData["\<\"S-Function - d/dy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236070577*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360705847*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607066394*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00353618630950420804320843970458554395`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236070745087`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00002519978396655181928070338370773129`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607082344*^9}],

Cell[BoxData["\<\"Px-Function - d/dy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.65182360709114*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236070921707`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236070999928`*^9}],

Cell[BoxData["0.00014284185703776467357868640295492924`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607107576*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01499708209834678396266127720082295127`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607114984*^9}],

Cell[BoxData["\<\"Py-Function - d/dy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607122591*^9}],

Cell[BoxData["0.57026098710056727369988038844894617796`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607123456*^9}],

Cell[BoxData["1.76443270720898670589349421788938343525`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607130995*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00002380707074200081680087973112769362`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236071391783`*^9}],

Cell[BoxData["0.00373993506888503374901988607348357618`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236071468277`*^9}],

Cell[BoxData["\<\"Pz-Function - d/dy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607153989*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360715478*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607161859*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00004761395234592155108329855628390703`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236071690702`*^9}],

Cell[BoxData["0.00749854104917339198133063860041147564`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236071766157`*^9}],

Cell[BoxData["\<\"Dxx-Function - d/dy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236071838427`*^9}],

Cell[BoxData["0.01609144422181677663852283899359463248`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607184626*^9}],

Cell[BoxData["0.01414836665416698002761819452643976547`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236071919813`*^9}],

Cell[BoxData["0.18163421106129679083451833321305457503`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607199108*^9}],

Cell[BoxData["0.00007696854347557164678379076905301304`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607206232*^9}],

Cell[BoxData["\<\"Dxy-Function - d/dy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607213253*^9}],

Cell[BoxData[
 RowBox[{"-", "0.0586397250023870456048236121660011122`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607214028*^9}],

Cell[BoxData[
 RowBox[{"-", "0.0257369969248069860312533307933335891`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360722104*^9}],

Cell[BoxData["0.30662715441703974894593898170569445938`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360722806*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00004999253818623168273745788203754614`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607235208*^9}],

Cell[BoxData["\<\"Dxz-Function - d/dy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236072423058`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.02787119895934728891484510882037284318`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607243108*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01225284494456524431171828837250359356`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607250139*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236072621737`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00006665671394213205068219468829582297`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236072718782`*^9}],

Cell[BoxData["\<\"Dyy-Function - d/dy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607280087*^9}],

Cell[BoxData["0.06870677869031407980493497689167270437`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607280875*^9}],

Cell[BoxData["0.01504133235953881465862824740042924532`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607289281*^9}],

Cell[BoxData["0.12241683554266291622525386628694832325`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236072970448`*^9}],

Cell[BoxData["9.62106951040059896597487348879341`12.*^-6"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607304728*^9}],

Cell[BoxData["\<\"Dyz-Function - d/dy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607312277*^9}],

Cell[BoxData["0.0586397250023870456048236121660011122`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607313051*^9}],

Cell[BoxData["0.01286849846240349301562666539666679455`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607320475*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607327804*^9}],

Cell[BoxData["0.00002499626909311584136872894101877307`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607335156*^9}],

Cell[BoxData["\<\"Dzz-Function - d/dy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607342523*^9}],

Cell[BoxData["0.01609144422181677663852283899359463248`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236073433*^9}],

Cell[BoxData["0.00353709166354174500690454863160994137`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607350582*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607357881*^9}],

Cell[BoxData["0.00001924213586889291169594769226325326`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607365107*^9}],

Cell[BoxData["\<\"S-Function - d/dz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607372665*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607373477*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360738057*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00353618630950420804320843970458554395`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607387957*^9}],

Cell[BoxData["0.00005039956793310363856140676741546258`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607395275*^9}],

Cell[BoxData["\<\"Px-Function - d/dz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607402364*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607403174*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360741026*^9}],

Cell[BoxData["0.00014284185703776467357868640295492924`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607417457*^9}],

Cell[BoxData["0.02999416419669356792532255440164590254`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236074248333`*^9}],

Cell[BoxData["\<\"Py-Function - d/dz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607432269*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607433082*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607440509*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00004761395234592155108329855628390703`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607447638*^9}],

Cell[BoxData["0.00749854104917339198133063860041147564`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607454733*^9}],

Cell[BoxData["\<\"Pz-Function - d/dz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607461775*^9}],

Cell[BoxData["0.57026098710056727369988038844894617796`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236074625473`*^9}],

Cell[BoxData["1.76443270720898670589349421788938343525`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607469507*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00002380707074200081680087973112769362`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236074764757`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00750787650487505422297607182713363727`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607483405*^9}],

Cell[BoxData["\<\"Dxx-Function - d/dz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236074918756`*^9}],

Cell[BoxData["0.00643657768872671082888148319511856243`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607492845*^9}],

Cell[BoxData["0.0056593466616667916641025826152144873`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236075014753`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236075096197`*^9}],

Cell[BoxData["0.00007696854347557164678379076905301304`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607522561*^9}],

Cell[BoxData["\<\"Dxy-Function - d/dz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236075319357`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.02787119895934728891484510882037284318`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607532789*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01225284494456524431171828837250359356`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607541518*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236075500317`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00006665671394213205068219468829582297`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607559173*^9}],

Cell[BoxData["\<\"Dxz-Function - d/dz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607567552*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00011020718775772708752924700092989951`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607568428*^9}],

Cell[BoxData[
 RowBox[{"-", "6.02254121997818081535314149732585`12.*^-6"}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607576544*^9}],

Cell[BoxData[
 RowBox[{"-", "0.16527236850924259536910199130943510681`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607584907*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00004999253818623168273745788203754614`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236075929728`*^9}],

Cell[BoxData["\<\"Dyy-Function - d/dz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236076006536`*^9}],

Cell[BoxData["0.04022861055454194506575404943760077003`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607601491*^9}],

Cell[BoxData["0.00884272915885436251726137157902485342`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607609065*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607616465*^9}],

Cell[BoxData["0.00001924213586889291169594769226325326`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607624302*^9}],

Cell[BoxData["\<\"Dyz-Function - d/dz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607631669*^9}],

Cell[BoxData["0.00027551796939432118827006945593893761`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236076324778`*^9}],

Cell[BoxData["7.52817652497229233832243266988371`12.*^-6"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607639986*^9}],

Cell[BoxData[
 RowBox[{"-", "0.24790855276386392080922860259306617081`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236076474447`*^9}],

Cell[BoxData["0.00002499626909311584136872894101877307`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607655188*^9}],

Cell[BoxData["\<\"Dzz-Function - d/dz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607662817*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00630932138968960058017509950900603144`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607663644*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00141135954962213821736738417200740514`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607671117*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607678697*^9}],

Cell[BoxData["9.62106951040059896597487348879341`12.*^-6"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607686317*^9}],

Cell[BoxData["\<\"S-Function - d^2/dx^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607693652*^9}],

Cell[BoxData[
 RowBox[{"-", "1.90486012083255951132798600156093016267`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607694498*^9}],

Cell[BoxData["0.71903855207640032798366291899583302438`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607701828*^9}],

Cell[BoxData["0.024776870867131872699928862857632339`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236077092857`*^9}],

Cell[BoxData["0.00085680344378856454750498228278843271`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360771667*^9}],

Cell[BoxData["\<\"Px-Function - d^2/dx^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236077239943`*^9}],

Cell[BoxData["0.86523233344601591099376491911243647337`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607724821*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236077320833`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.0021426482824791191240942911377942437`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607739605*^9}],

Cell[BoxData["0.15056829014837416758076926726062083617`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607746684*^9}],

Cell[BoxData["\<\"Py-Function - d^2/dx^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607753833*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607754587*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607761989*^9}],

Cell[BoxData["0.00080944399885154961690747477121021802`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607770007*^9}],

Cell[BoxData["0.05263915463544032585785359401597816031`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607782201*^9}],

Cell[BoxData["\<\"Pz-Function - d^2/dx^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607791648*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607792584*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607801052*^9}],

Cell[BoxData["0.00080944399885154961690747477121021802`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607809093*^9}],

Cell[BoxData[
 RowBox[{"-", "0.10527830927088065171570718803195632063`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607816722*^9}],

Cell[BoxData["\<\"Dxx-Function - d^2/dx^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607824306*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01284770411764599856718760406693036202`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607825119*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00276638982337241122466675591340390383`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360783263*^9}],

Cell[BoxData[
 RowBox[{"-", "0.23191117704475053273860396529926219955`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360784066*^9}],

Cell[BoxData["0.00042813776436144657068158525525802816`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236078482037`*^9}],

Cell[BoxData["\<\"Dxy-Function - d^2/dx^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607855625*^9}],

Cell[BoxData["0.05508115479214822224340863954239466693`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607856449*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01239738593384470677349895595398265868`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236078637857`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.46914065385293157728341384427039884031`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236078711777`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00043326885025964556770461388879311926`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236078785667`*^9}],

Cell[BoxData["\<\"Dxz-Function - d^2/dx^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236078860197`*^9}],

Cell[BoxData["0.02203246191685928612180589425406651571`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607886835*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00495895437353788270939958238159306347`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607894299*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607901614*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00043326885025964556770461388879311926`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607908977*^9}],

Cell[BoxData["\<\"Dyy-Function - d^2/dx^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607916245*^9}],

Cell[BoxData["0.00095442224277833553891525752987945452`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607917074*^9}],

Cell[BoxData["0.02663250095039988024625543516776815522`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607924451*^9}],

Cell[BoxData["0.13861490899920969610548127093352377415`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607931738*^9}],

Cell[BoxData["0.00014431607953333596360522006474269574`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607939588*^9}],

Cell[BoxData["\<\"Dyz-Function - d^2/dx^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607946987*^9}],

Cell[BoxData["0.00066124312654636252517548200557939708`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236079478283`*^9}],

Cell[BoxData["0.01845153791148759769846776634949492291`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607955289*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607962549*^9}],

Cell[BoxData["0.00024996278210088882952219502264767925`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607969792*^9}],

Cell[BoxData["\<\"Dzz-Function - d^2/dx^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823607977013*^9}],

Cell[BoxData["0.00015270755884453333928174600941929384`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607977824*^9}],

Cell[BoxData["0.00426120015206398090878980866591518861`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236079851627`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236079924183`*^9}],

Cell[BoxData["0.00014431607953333596360522006474269574`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823607999654*^9}],

Cell[BoxData["\<\"S-Function - d^2/dxdy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608007126*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236080079403`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608015129*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01415652858831803993788778228690716787`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608022398*^9}],

Cell[BoxData["0.00015120050195361136886190722705691769`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608029601*^9}],

Cell[BoxData["\<\"Px-Function - d^2/dxdy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608037347*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608038221*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608045701*^9}],

Cell[BoxData["0.00080944399885154961690747477121021802`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608053186*^9}],

Cell[BoxData["0.05263915463544032585785359401597816031`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236080604753`*^9}],

Cell[BoxData["\<\"Py-Function - d^2/dxdy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236080676727`*^9}],

Cell[BoxData["1.23228518778617424089816267951391637325`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608068466*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608075769*^9}],

Cell[BoxData[
 RowBox[{"-", "0.0001428441266947256909052715867503025`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360808298*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01495974027554013846552649624754849356`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608090886*^9}],

Cell[BoxData["\<\"Pz-Function - d^2/dxdy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608099666*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608100613*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608109693*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00028568598373249036448395798970523174`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608117807*^9}],

Cell[BoxData[
 RowBox[{"-", "0.03006884784230685891959211630819481798`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608125799*^9}],

Cell[BoxData["\<\"Dxx-Function - d^2/dxdy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608133692*^9}],

Cell[BoxData["0.01570967532470544242295673598164285067`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608134693*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01423181743323641279541647008954896592`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236081428328`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.08922427172849034526791456300998106599`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608150581*^9}],

Cell[BoxData[
 RowBox[{"-", "0.0002693900231977789782450427580329233`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236081582727`*^9}],

Cell[BoxData["\<\"Dxy-Function - d^2/dxdy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236081657267`*^9}],

Cell[BoxData["0.00154290062860817922540945801301859319`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236081665583`*^9}],

Cell[BoxData["0.03877412654136985076247512438385456335`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608174058*^9}],

Cell[BoxData["0.19562731228184015996873768017394468188`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608181456*^9}],

Cell[BoxData["0.00018747211209773186404992095788202278`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236081891613`*^9}],

Cell[BoxData["\<\"Dxz-Function - d^2/dxdy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608196516*^9}],

Cell[BoxData["0.00066124312654636252517548200557939708`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236081973753`*^9}],

Cell[BoxData["0.01845153791148759769846776634949492291`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608204773*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608212145*^9}],

Cell[BoxData["0.00024996278210088882952219502264767925`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236082195263`*^9}],

Cell[BoxData["\<\"Dyy-Function - d^2/dxdy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608226849*^9}],

Cell[BoxData[
 RowBox[{"-", "0.07077469354966713088739282966344035231`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608227689*^9}],

Cell[BoxData[
 RowBox[{"-", "0.03019567098240082125837346893604262732`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608235523*^9}],

Cell[BoxData["0.25333091626413872798906368188909254968`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236082432528`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00003848430199610538209953683463915297`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608250751*^9}],

Cell[BoxData["\<\"Dyz-Function - d^2/dxdy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608258556*^9}],

Cell[BoxData[
 RowBox[{"-", "0.06018262563099522483023307017901970539`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360825944*^9}],

Cell[BoxData[
 RowBox[{"-", "0.02582131250188667362377437086706777336`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608266925*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608274515*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00009998512332214489406120860870430533`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236082818823`*^9}],

Cell[BoxData["\<\"Dzz-Function - d^2/dxdy\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608289689*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01647321311892811085408894200554641429`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608292582*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00709504602185084820575866615399718285`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236083011312`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608309045*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00007696857373389120549143221916565949`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608316751*^9}],

Cell[BoxData["\<\"S-Function - d^2/dxdz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608324596*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360832545*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608333192*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01415652858831803993788778228690716787`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236083413277`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00030240100390722273772381445411383538`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608349009*^9}],

Cell[BoxData["\<\"Px-Function - d^2/dxdz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608356607*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608357463*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236083648977`*^9}],

Cell[BoxData["0.00080944399885154961690747477121021802`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236083723373`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.10527830927088065171570718803195632063`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608380649*^9}],

Cell[BoxData["\<\"Py-Function - d^2/dxdz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608389152*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608390139*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608398535*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00028568598373249036448395798970523174`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608406836*^9}],

Cell[BoxData[
 RowBox[{"-", "0.03006884784230685891959211630819481798`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236084148693`*^9}],

Cell[BoxData["\<\"Pz-Function - d^2/dxdz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608422874*^9}],

Cell[BoxData["1.23228518778617424089816267951391637325`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608423744*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236084318447`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.0001428441266947256909052715867503025`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608440048*^9}],

Cell[BoxData["0.03014353148792014991386167821474373341`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608447898*^9}],

Cell[BoxData["\<\"Dxx-Function - d^2/dxdz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236084558573`*^9}],

Cell[BoxData["0.00628387012988217748959973718569926859`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608456718*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00569272697329456511816658803581958637`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608464631*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236084725657`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.0002693900231977789782450427580329233`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608480534*^9}],

Cell[BoxData["\<\"Dxy-Function - d^2/dxdz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608488771*^9}],

Cell[BoxData["0.00066124312654636252517548200557939708`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608489768*^9}],

Cell[BoxData["0.01845153791148759769846776634949492291`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608498435*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360850703*^9}],

Cell[BoxData["0.00024996278210088882952219502264767925`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608515399*^9}],

Cell[BoxData["\<\"Dxz-Function - d^2/dxdz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608523396*^9}],

Cell[BoxData["0.00015429006286081861643033619202469708`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236085242643`*^9}],

Cell[BoxData["0.0000258969272459034019484569455471501`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608532412*^9}],

Cell[BoxData[
 RowBox[{"-", "0.04446075279132732926967719322419725358`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608540852*^9}],

Cell[BoxData["0.00018747211209773186404992095788202278`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236085486937`*^9}],

Cell[BoxData["\<\"Dyy-Function - d^2/dxdz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236085564823`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.04118303279732028060466930696748022456`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236085618477`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01773761505462712051439666538499295712`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236085716267`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236085801287`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00007696857373389120549143221916565949`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608588469*^9}],

Cell[BoxData["\<\"Dyz-Function - d^2/dxdz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236085965023`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00066124312654636252517548200557939708`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608597384*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00003613524731986561544516689536976628`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608605363*^9}],

Cell[BoxData[
 RowBox[{"-", "0.31459968195085491471374439242936205119`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608613241*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00009998512332214489406120860870430533`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608621152*^9}],

Cell[BoxData["\<\"Dzz-Function - d^2/dxdz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236086288443`*^9}],

Cell[BoxData["0.00628387012988217748959973718569926859`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608630044*^9}],

Cell[BoxData["0.00282132825292645246853528995245596889`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236086387863`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236086469183`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00003848430199610538209953683463915297`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608654907*^9}],

Cell[BoxData["\<\"S-Function - d^2/dy^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608662612*^9}],

Cell[BoxData[
 RowBox[{"-", "1.90486012083255951132798600156093016267`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608663508*^9}],

Cell[BoxData[
 RowBox[{"-", "0.58926577089749854199141054778010584414`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236086712418`*^9}],

Cell[BoxData["0.00354207798465481192573545143886803999`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608679346*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00002519948427416841154713282591171009`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608687409*^9}],

Cell[BoxData["\<\"Px-Function - d^2/dy^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608695195*^9}],

Cell[BoxData["1.23228518778617424089816267951391637325`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608696063*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360870395*^9}],

Cell[BoxData[
 RowBox[{"-", "0.0001428441266947256909052715867503025`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608711993*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01495974027554013846552649624754849356`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608719788*^9}],

Cell[BoxData["\<\"Py-Function - d^2/dy^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.65182360872752*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236087283773`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608736559*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00004761319579360121423319135436358351`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608744494*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01873701716723182031376637723951716907`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608752261*^9}],

Cell[BoxData["\<\"Pz-Function - d^2/dy^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608760028*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236087609167`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608768672*^9}],

Cell[BoxData["0.00004761470889824190826219649230743869`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236087763977`*^9}],

Cell[BoxData["0.00747987013777006923276324812377424678`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608783976*^9}],

Cell[BoxData["\<\"Dxx-Function - d^2/dy^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608791767*^9}],

Cell[BoxData["0.0347464551085935671737026098071510205`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608792665*^9}],

Cell[BoxData["0.02981588344758744762996727217796433251`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236088002777`*^9}],

Cell[BoxData["0.28997675155029034588238801006809808314`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608808009*^9}],

Cell[BoxData["0.00011545287572999659436723263183921517`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236088155537`*^9}],

Cell[BoxData["\<\"Dxy-Function - d^2/dy^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608823071*^9}],

Cell[BoxData[
 RowBox[{"-", "0.09471416615879346689865769803873263299`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608823955*^9}],

Cell[BoxData[
 RowBox[{"-", "0.04004759136558620757906368226031190716`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236088316174`*^9}],

Cell[BoxData["0.12418233614661000618895059233182109892`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236088398323`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00003332840938001282982648676433967694`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608847786*^9}],

Cell[BoxData["\<\"Dxz-Function - d^2/dy^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608855604*^9}],

Cell[BoxData[
 RowBox[{"-", "0.06018262563099522483023307017901970539`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608856513*^9}],

Cell[BoxData[
 RowBox[{"-", "0.02582131250188667362377437086706777336`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236088644247`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608872416*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00009998512332214489406120860870430533`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608880316*^9}],

Cell[BoxData["\<\"Dyy-Function - d^2/dy^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608888227*^9}],

Cell[BoxData["0.06899680128895833985946950406287214719`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608889147*^9}],

Cell[BoxData["0.01404259746647677428721401327038620366`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236088971043`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.24651748248279087283307831057754810899`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608904936*^9}],

Cell[BoxData[
 RowBox[{"-", "4.81051962604052690543028972247619`12.*^-6"}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236089126*^9}],

Cell[BoxData["\<\"Dyz-Function - d^2/dy^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.65182360892029*^9}],

Cell[BoxData["0.09471416615879346689865769803873263299`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608921125*^9}],

Cell[BoxData["0.02002379568279310378953184113015595358`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608928678*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608936491*^9}],

Cell[BoxData["0.00001666420469000641491324338216983847`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236089441547`*^9}],

Cell[BoxData["\<\"Dzz-Function - d^2/dy^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608951745*^9}],

Cell[BoxData["0.0347464551085935671737026098071510205`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608952633*^9}],

Cell[BoxData["0.00745397086189686190749181804449108313`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236089602413`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608967778*^9}],

Cell[BoxData["0.00002886321893249914859180815795980379`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608975376*^9}],

Cell[BoxData["\<\"S-Function - d^2/dydz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823608982745*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236089836197`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236089917107`*^9}],

Cell[BoxData["0.00707826429415901996894389114345358394`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823608999256*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00005040016731787045402854788300750499`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609006963*^9}],

Cell[BoxData["\<\"Px-Function - d^2/dydz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823609014532*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609015442*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609023364*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00028568598373249036448395798970523174`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609031056*^9}],

Cell[BoxData[
 RowBox[{"-", "0.03006884784230685891959211630819481798`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609039277*^9}],

Cell[BoxData["\<\"Py-Function - d^2/dydz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.65182360904698*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609047894*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236090558443`*^9}],

Cell[BoxData["0.00004761470889824190826219649230743869`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609063738*^9}],

Cell[BoxData["0.00747987013777006923276324812377424678`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609073427*^9}],

Cell[BoxData["\<\"Pz-Function - d^2/dydz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.65182360908221*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609083131*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609091628*^9}],

Cell[BoxData["0.00004761470889824190826219649230743869`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236090995417`*^9}],

Cell[BoxData["0.00753588287198003747846541955368593335`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609107444*^9}],

Cell[BoxData["\<\"Dxx-Function - d^2/dydz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823609115182*^9}],

Cell[BoxData["0.01647321311892811085408894200554641429`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609116088*^9}],

Cell[BoxData["0.01419009204370169641151733230799436569`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609123946*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609131675*^9}],

Cell[BoxData["0.00015393714746778241098286443833131898`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609140007*^9}],

Cell[BoxData["\<\"Dxy-Function - d^2/dydz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823609147882*^9}],

Cell[BoxData[
 RowBox[{"-", "0.06018262563099522483023307017901970539`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236091488333`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.02582131250188667362377437086706777336`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609156735*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609164448*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00009998512332214489406120860870430533`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236091725597`*^9}],

Cell[BoxData["\<\"Dxz-Function - d^2/dydz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823609181101*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00066124312654636252517548200557939708`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360918218*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00003613524731986561544516689536976628`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609190867*^9}],

Cell[BoxData[
 RowBox[{"-", "0.31459968195085491471374439242936205119`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609199029*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00009998512332214489406120860870430533`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236092070713`*^9}],

Cell[BoxData["\<\"Dyy-Function - d^2/dydz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823609214896*^9}],

Cell[BoxData["0.07077469354966713088739282966344035231`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609215776*^9}],

Cell[BoxData["0.01509783549120041062918673446802131366`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360922369*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609231451*^9}],

Cell[BoxData["0.00001924215099805269104976841731957649`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236092395363`*^9}],

Cell[BoxData["\<\"Dyz-Function - d^2/dydz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823609247258*^9}],

Cell[BoxData["0.00154290062860817922540945801301859319`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360924817*^9}],

Cell[BoxData["0.00004215778853984379626052003686709213`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609255909*^9}],

Cell[BoxData[
 RowBox[{"-", "0.30662715441703974894593898170569445938`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236092639723`*^9}],

Cell[BoxData["0.00003749442711451452295810804482556478`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236092717943`*^9}],

Cell[BoxData["\<\"Dzz-Function - d^2/dydz\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236092795*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01570967532470544242295673598164285067`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609280406*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00352666031615806591092976418622129131`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609288315*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236092961473`*^9}],

Cell[BoxData["0.00001924215099805269104976841731957649`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609303857*^9}],

Cell[BoxData["\<\"S-Function - d^2/dz^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.65182360931148*^9}],

Cell[BoxData[
 RowBox[{"-", "1.90486012083255951132798600156093016267`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609312393*^9}],

Cell[BoxData[
 RowBox[{"-", "0.58926577089749854199141054778010584414`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609320074*^9}],

Cell[BoxData["0.00354207798465481192573545143886803999`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609327752*^9}],

Cell[BoxData["0.0000504007667026372694956889985995474`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.65182360934072*^9}],

Cell[BoxData["\<\"Px-Function - d^2/dz^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823609350602*^9}],

Cell[BoxData["1.23228518778617424089816267951391637325`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609351619*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236093604803`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.0001428441266947256909052715867503025`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236093691607`*^9}],

Cell[BoxData["0.03014353148792014991386167821474373341`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609377378*^9}],

Cell[BoxData["\<\"Py-Function - d^2/dz^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236093856163`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609386528*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236093948517`*^9}],

Cell[BoxData["0.00004761470889824190826219649230743869`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609403126*^9}],

Cell[BoxData["0.00753588287198003747846541955368593335`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609411134*^9}],

Cell[BoxData["\<\"Pz-Function - d^2/dz^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236094190407`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609419941*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236094280767`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00004761319579360121423319135436358351`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609436372*^9}],

Cell[BoxData["0.01492239845273349296839171529427403584`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609444351*^9}],

Cell[BoxData["\<\"Dxx-Function - d^2/dz^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823609453102*^9}],

Cell[BoxData["0.00015270755884453333928174600941929384`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236094541063`*^9}],

Cell[BoxData["0.00001669015581388672703200271030254953`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609461987*^9}],

Cell[BoxData[
 RowBox[{"-", "0.12108947404086450871929514505609404296`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609469944*^9}],

Cell[BoxData["0.00011545287572999659436723263183921517`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236094777603`*^9}],

Cell[BoxData["\<\"Dxy-Function - d^2/dz^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823609485704*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00066124312654636252517548200557939708`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236094865847`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00003613524731986561544516689536976628`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609495653*^9}],

Cell[BoxData[
 RowBox[{"-", "0.31459968195085491471374439242936205119`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609504387*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00009998512332214489406120860870430533`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609512822*^9}],

Cell[BoxData["\<\"Dxz-Function - d^2/dz^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823609520986*^9}],

Cell[BoxData["0.02203246191685928612180589425406651571`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609521921*^9}],

Cell[BoxData["0.00978782185672424920319656393985496834`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236095298758`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609538122*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00003332840938001282982648676433967694`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609546028*^9}],

Cell[BoxData["\<\"Dyy-Function - d^2/dz^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236095539017`*^9}],

Cell[BoxData["0.00095442224277833553891525752987945452`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609554825*^9}],

Cell[BoxData["0.00002607836845919773993696111347162514`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236095626097`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.27245131659194515849620188419066835195`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609570429*^9}],

Cell[BoxData["0.00002886321893249914859180815795980379`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609578361*^9}],

Cell[BoxData["\<\"Dyz-Function - d^2/dz^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.651823609586384*^9}],

Cell[BoxData[
 RowBox[{"-", "0.05508115479214822224340863954239466693`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609587337*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01223477732090531150399570492481871042`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236095998297`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609609886*^9}],

Cell[BoxData["0.00001666420469000641491324338216983847`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.6518236096190166`*^9}],

Cell[BoxData["\<\"Dzz-Function - d^2/dz^2\"\>"], "Print",
 CellChangeTimes->{3.6507988969531384`*^9, 3.65080157935707*^9, 
  3.6508023867501373`*^9, 3.6508170909646463`*^9, 3.650817310702189*^9, 
  3.6508789948255873`*^9, 3.651823338087974*^9, 3.6518236096278477`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01284770411764599856718760406693036202`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609628784*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00282897790767448406579198660892870976`12."}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609637578*^9}],

Cell[BoxData["0.19084009289683656618308305041864514351`12."], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609645899*^9}],

Cell[BoxData[
 RowBox[{"-", "4.81051962604052690543028972247619`12.*^-6"}]], "Output",
 CellChangeTimes->{3.65079889696376*^9, 3.650801579388711*^9, 
  3.6508023867824373`*^9, 3.6508170910036383`*^9, 3.650817310731388*^9, 
  3.6508789948498774`*^9, 3.651823338117732*^9, 3.651823609654162*^9}]
}, Open  ]]
},
WindowSize->{908, 867},
WindowMargins->{{Automatic, 867}, {Automatic, 33}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[422, 15, 152746, 4150, 16467, "Input"],
Cell[153171, 4167, 253, 3, 23, "Print"],
Cell[153427, 4172, 278, 3, 32, "Output"],
Cell[153708, 4177, 280, 3, 32, "Output"],
Cell[153991, 4182, 278, 3, 32, "Output"],
Cell[154272, 4187, 278, 3, 32, "Output"],
Cell[154553, 4192, 253, 3, 23, "Print"],
Cell[154809, 4197, 295, 4, 32, "Output"],
Cell[155107, 4203, 235, 3, 32, "Output"],
Cell[155345, 4208, 295, 4, 32, "Output"],
Cell[155643, 4214, 278, 3, 32, "Output"],
Cell[155924, 4219, 256, 3, 23, "Print"],
Cell[156183, 4224, 234, 3, 32, "Output"],
Cell[156420, 4229, 235, 3, 32, "Output"],
Cell[156658, 4234, 278, 3, 32, "Output"],
Cell[156939, 4239, 276, 3, 32, "Output"],
Cell[157218, 4244, 254, 3, 23, "Print"],
Cell[157475, 4249, 237, 3, 32, "Output"],
Cell[157715, 4254, 235, 3, 32, "Output"],
Cell[157953, 4259, 278, 3, 32, "Output"],
Cell[158234, 4264, 293, 4, 32, "Output"],
Cell[158530, 4270, 255, 3, 23, "Print"],
Cell[158788, 4275, 280, 3, 32, "Output"],
Cell[159071, 4280, 278, 3, 32, "Output"],
Cell[159352, 4285, 278, 3, 32, "Output"],
Cell[159633, 4290, 277, 3, 32, "Output"],
Cell[159913, 4295, 255, 3, 23, "Print"],
Cell[160171, 4300, 297, 4, 32, "Output"],
Cell[160471, 4306, 295, 4, 32, "Output"],
Cell[160769, 4312, 280, 3, 32, "Output"],
Cell[161052, 4317, 297, 4, 32, "Output"],
Cell[161352, 4323, 255, 3, 23, "Print"],
Cell[161610, 4328, 294, 4, 32, "Output"],
Cell[161907, 4334, 295, 4, 32, "Output"],
Cell[162205, 4340, 235, 3, 32, "Output"],
Cell[162443, 4345, 295, 4, 32, "Output"],
Cell[162741, 4351, 257, 3, 23, "Print"],
Cell[163001, 4356, 278, 3, 32, "Output"],
Cell[163282, 4361, 280, 3, 32, "Output"],
Cell[163565, 4366, 278, 3, 32, "Output"],
Cell[163846, 4371, 278, 3, 34, "Output"],
Cell[164127, 4376, 257, 3, 23, "Print"],
Cell[164387, 4381, 278, 3, 32, "Output"],
Cell[164668, 4386, 278, 3, 32, "Output"],
Cell[164949, 4391, 237, 3, 32, "Output"],
Cell[165189, 4396, 278, 3, 32, "Output"],
Cell[165470, 4401, 255, 3, 23, "Print"],
Cell[165728, 4406, 278, 3, 32, "Output"],
Cell[166009, 4411, 277, 3, 32, "Output"],
Cell[166289, 4416, 235, 3, 32, "Output"],
Cell[166527, 4421, 278, 3, 34, "Output"],
Cell[166808, 4426, 260, 3, 23, "Print"],
Cell[167071, 4431, 235, 3, 32, "Output"],
Cell[167309, 4436, 295, 4, 32, "Output"],
Cell[167607, 4442, 277, 3, 32, "Output"],
Cell[167887, 4447, 295, 4, 32, "Output"],
Cell[168185, 4453, 261, 3, 23, "Print"],
Cell[168449, 4458, 297, 4, 32, "Output"],
Cell[168749, 4464, 278, 3, 32, "Output"],
Cell[169030, 4469, 295, 4, 32, "Output"],
Cell[169328, 4475, 295, 4, 32, "Output"],
Cell[169626, 4481, 261, 3, 23, "Print"],
Cell[169890, 4486, 237, 3, 32, "Output"],
Cell[170130, 4491, 235, 3, 32, "Output"],
Cell[170368, 4496, 278, 3, 32, "Output"],
Cell[170649, 4501, 294, 4, 32, "Output"],
Cell[170946, 4507, 261, 3, 23, "Print"],
Cell[171210, 4512, 235, 3, 32, "Output"],
Cell[171448, 4517, 235, 3, 32, "Output"],
Cell[171686, 4522, 278, 3, 32, "Output"],
Cell[171967, 4527, 278, 3, 32, "Output"],
Cell[172248, 4532, 262, 3, 23, "Print"],
Cell[172513, 4537, 278, 3, 32, "Output"],
Cell[172794, 4542, 295, 4, 32, "Output"],
Cell[173092, 4548, 295, 4, 32, "Output"],
Cell[173390, 4554, 294, 4, 32, "Output"],
Cell[173687, 4560, 262, 3, 23, "Print"],
Cell[173952, 4565, 278, 3, 32, "Output"],
Cell[174233, 4570, 278, 3, 32, "Output"],
Cell[174514, 4575, 278, 3, 32, "Output"],
Cell[174795, 4580, 278, 3, 32, "Output"],
Cell[175076, 4585, 264, 3, 23, "Print"],
Cell[175343, 4590, 278, 3, 32, "Output"],
Cell[175624, 4595, 278, 3, 32, "Output"],
Cell[175905, 4600, 237, 3, 32, "Output"],
Cell[176145, 4605, 278, 3, 32, "Output"],
Cell[176426, 4610, 262, 3, 23, "Print"],
Cell[176691, 4615, 297, 4, 32, "Output"],
Cell[176991, 4621, 295, 4, 32, "Output"],
Cell[177289, 4627, 280, 3, 32, "Output"],
Cell[177572, 4632, 295, 4, 32, "Output"],
Cell[177870, 4638, 262, 3, 23, "Print"],
Cell[178135, 4643, 297, 4, 32, "Output"],
Cell[178435, 4649, 295, 4, 32, "Output"],
Cell[178733, 4655, 234, 3, 32, "Output"],
Cell[178970, 4660, 295, 4, 32, "Output"],
Cell[179268, 4666, 264, 3, 23, "Print"],
Cell[179535, 4671, 297, 4, 32, "Output"],
Cell[179835, 4677, 297, 4, 32, "Output"],
Cell[180135, 4683, 237, 3, 32, "Output"],
Cell[180375, 4688, 294, 4, 32, "Output"],
Cell[180672, 4694, 258, 3, 23, "Print"],
Cell[180933, 4699, 234, 3, 32, "Output"],
Cell[181170, 4704, 235, 3, 32, "Output"],
Cell[181408, 4709, 297, 4, 32, "Output"],
Cell[181708, 4715, 295, 4, 32, "Output"],
Cell[182006, 4721, 260, 3, 23, "Print"],
Cell[182269, 4726, 237, 3, 32, "Output"],
Cell[182509, 4731, 237, 3, 32, "Output"],
Cell[182749, 4736, 278, 3, 32, "Output"],
Cell[183030, 4741, 295, 4, 32, "Output"],
Cell[183328, 4747, 261, 3, 23, "Print"],
Cell[183592, 4752, 278, 3, 32, "Output"],
Cell[183873, 4757, 278, 3, 32, "Output"],
Cell[184154, 4762, 297, 4, 32, "Output"],
Cell[184454, 4768, 280, 3, 32, "Output"],
Cell[184737, 4773, 261, 3, 23, "Print"],
Cell[185001, 4778, 234, 3, 32, "Output"],
Cell[185238, 4783, 235, 3, 32, "Output"],
Cell[185476, 4788, 297, 4, 32, "Output"],
Cell[185776, 4794, 280, 3, 32, "Output"],
Cell[186059, 4799, 264, 3, 23, "Print"],
Cell[186326, 4804, 278, 3, 32, "Output"],
Cell[186607, 4809, 280, 3, 32, "Output"],
Cell[186890, 4814, 278, 3, 32, "Output"],
Cell[187171, 4819, 278, 3, 32, "Output"],
Cell[187452, 4824, 262, 3, 23, "Print"],
Cell[187717, 4829, 294, 4, 32, "Output"],
Cell[188014, 4835, 293, 4, 32, "Output"],
Cell[188310, 4841, 277, 3, 32, "Output"],
Cell[188590, 4846, 295, 4, 32, "Output"],
Cell[188888, 4852, 264, 3, 23, "Print"],
Cell[189155, 4857, 295, 4, 32, "Output"],
Cell[189453, 4863, 295, 4, 32, "Output"],
Cell[189751, 4869, 237, 3, 32, "Output"],
Cell[189991, 4874, 297, 4, 32, "Output"],
Cell[190291, 4880, 262, 3, 23, "Print"],
Cell[190556, 4885, 278, 3, 32, "Output"],
Cell[190837, 4890, 278, 3, 32, "Output"],
Cell[191118, 4895, 280, 3, 32, "Output"],
Cell[191401, 4900, 276, 3, 34, "Output"],
Cell[191680, 4905, 262, 3, 23, "Print"],
Cell[191945, 4910, 277, 3, 32, "Output"],
Cell[192225, 4915, 278, 3, 32, "Output"],
Cell[192506, 4920, 235, 3, 32, "Output"],
Cell[192744, 4925, 278, 3, 32, "Output"],
Cell[193025, 4930, 262, 3, 23, "Print"],
Cell[193290, 4935, 276, 3, 32, "Output"],
Cell[193569, 4940, 278, 3, 32, "Output"],
Cell[193850, 4945, 235, 3, 32, "Output"],
Cell[194088, 4950, 278, 3, 32, "Output"],
Cell[194369, 4955, 260, 3, 23, "Print"],
Cell[194632, 4960, 235, 3, 32, "Output"],
Cell[194870, 4965, 234, 3, 32, "Output"],
Cell[195107, 4970, 295, 4, 32, "Output"],
Cell[195405, 4976, 278, 3, 32, "Output"],
Cell[195686, 4981, 261, 3, 23, "Print"],
Cell[195950, 4986, 235, 3, 32, "Output"],
Cell[196188, 4991, 234, 3, 32, "Output"],
Cell[196425, 4996, 278, 3, 32, "Output"],
Cell[196706, 5001, 280, 3, 32, "Output"],
Cell[196989, 5006, 261, 3, 23, "Print"],
Cell[197253, 5011, 235, 3, 32, "Output"],
Cell[197491, 5016, 235, 3, 32, "Output"],
Cell[197729, 5021, 295, 4, 32, "Output"],
Cell[198027, 5027, 278, 3, 32, "Output"],
Cell[198308, 5032, 261, 3, 23, "Print"],
Cell[198572, 5037, 280, 3, 32, "Output"],
Cell[198855, 5042, 278, 3, 32, "Output"],
Cell[199136, 5047, 297, 4, 32, "Output"],
Cell[199436, 5053, 295, 4, 32, "Output"],
Cell[199734, 5059, 264, 3, 23, "Print"],
Cell[200001, 5064, 278, 3, 32, "Output"],
Cell[200282, 5069, 279, 3, 32, "Output"],
Cell[200564, 5074, 237, 3, 32, "Output"],
Cell[200804, 5079, 278, 3, 32, "Output"],
Cell[201085, 5084, 264, 3, 23, "Print"],
Cell[201352, 5089, 295, 4, 32, "Output"],
Cell[201650, 5095, 295, 4, 32, "Output"],
Cell[201948, 5101, 237, 3, 32, "Output"],
Cell[202188, 5106, 295, 4, 32, "Output"],
Cell[202486, 5112, 262, 3, 23, "Print"],
Cell[202751, 5117, 295, 4, 32, "Output"],
Cell[203049, 5123, 293, 4, 34, "Output"],
Cell[203345, 5129, 295, 4, 32, "Output"],
Cell[203643, 5135, 297, 4, 32, "Output"],
Cell[203943, 5141, 264, 3, 23, "Print"],
Cell[204210, 5146, 278, 3, 32, "Output"],
Cell[204491, 5151, 278, 3, 32, "Output"],
Cell[204772, 5156, 235, 3, 32, "Output"],
Cell[205010, 5161, 278, 3, 32, "Output"],
Cell[205291, 5166, 262, 3, 23, "Print"],
Cell[205556, 5171, 280, 3, 32, "Output"],
Cell[205839, 5176, 276, 3, 34, "Output"],
Cell[206118, 5181, 297, 4, 32, "Output"],
Cell[206418, 5187, 278, 3, 32, "Output"],
Cell[206699, 5192, 262, 3, 23, "Print"],
Cell[206964, 5197, 295, 4, 32, "Output"],
Cell[207262, 5203, 295, 4, 32, "Output"],
Cell[207560, 5209, 235, 3, 32, "Output"],
Cell[207798, 5214, 276, 3, 34, "Output"],
Cell[208077, 5219, 264, 3, 23, "Print"],
Cell[208344, 5224, 295, 4, 32, "Output"],
Cell[208642, 5230, 278, 3, 32, "Output"],
Cell[208923, 5235, 278, 3, 32, "Output"],
Cell[209204, 5240, 277, 3, 32, "Output"],
Cell[209484, 5245, 267, 3, 23, "Print"],
Cell[209754, 5250, 278, 3, 32, "Output"],
Cell[210035, 5255, 237, 3, 32, "Output"],
Cell[210275, 5260, 294, 4, 32, "Output"],
Cell[210572, 5266, 278, 3, 32, "Output"],
Cell[210853, 5271, 265, 3, 23, "Print"],
Cell[211121, 5276, 235, 3, 32, "Output"],
Cell[211359, 5281, 235, 3, 32, "Output"],
Cell[211597, 5286, 278, 3, 32, "Output"],
Cell[211878, 5291, 278, 3, 32, "Output"],
Cell[212159, 5296, 265, 3, 23, "Print"],
Cell[212427, 5301, 235, 3, 32, "Output"],
Cell[212665, 5306, 235, 3, 32, "Output"],
Cell[212903, 5311, 278, 3, 32, "Output"],
Cell[213184, 5316, 295, 4, 32, "Output"],
Cell[213482, 5322, 266, 3, 23, "Print"],
Cell[213751, 5327, 295, 4, 32, "Output"],
Cell[214049, 5333, 294, 4, 32, "Output"],
Cell[214346, 5339, 294, 4, 32, "Output"],
Cell[214643, 5345, 280, 3, 32, "Output"],
Cell[214926, 5350, 266, 3, 23, "Print"],
Cell[215195, 5355, 278, 3, 32, "Output"],
Cell[215476, 5360, 297, 4, 32, "Output"],
Cell[215776, 5366, 297, 4, 32, "Output"],
Cell[216076, 5372, 297, 4, 32, "Output"],
Cell[216376, 5378, 268, 3, 23, "Print"],
Cell[216647, 5383, 278, 3, 32, "Output"],
Cell[216928, 5388, 295, 4, 32, "Output"],
Cell[217226, 5394, 235, 3, 32, "Output"],
Cell[217464, 5399, 295, 4, 32, "Output"],
Cell[217762, 5405, 266, 3, 23, "Print"],
Cell[218031, 5410, 278, 3, 32, "Output"],
Cell[218312, 5415, 278, 3, 32, "Output"],
Cell[218593, 5420, 278, 3, 32, "Output"],
Cell[218874, 5425, 278, 3, 32, "Output"],
Cell[219155, 5430, 266, 3, 23, "Print"],
Cell[219424, 5435, 280, 3, 32, "Output"],
Cell[219707, 5440, 278, 3, 32, "Output"],
Cell[219988, 5445, 235, 3, 32, "Output"],
Cell[220226, 5450, 278, 3, 32, "Output"],
Cell[220507, 5455, 266, 3, 23, "Print"],
Cell[220776, 5460, 278, 3, 32, "Output"],
Cell[221057, 5465, 280, 3, 32, "Output"],
Cell[221340, 5470, 237, 3, 32, "Output"],
Cell[221580, 5475, 278, 3, 32, "Output"],
Cell[221861, 5480, 264, 3, 23, "Print"],
Cell[222128, 5485, 237, 3, 32, "Output"],
Cell[222368, 5490, 235, 3, 32, "Output"],
Cell[222606, 5495, 295, 4, 32, "Output"],
Cell[222904, 5501, 278, 3, 32, "Output"],
Cell[223185, 5506, 265, 3, 23, "Print"],
Cell[223453, 5511, 235, 3, 32, "Output"],
Cell[223691, 5516, 235, 3, 32, "Output"],
Cell[223929, 5521, 278, 3, 32, "Output"],
Cell[224210, 5526, 280, 3, 32, "Output"],
Cell[224493, 5531, 267, 3, 23, "Print"],
Cell[224763, 5536, 278, 3, 32, "Output"],
Cell[225044, 5541, 235, 3, 32, "Output"],
Cell[225282, 5546, 293, 4, 32, "Output"],
Cell[225578, 5552, 295, 4, 32, "Output"],
Cell[225876, 5558, 265, 3, 23, "Print"],
Cell[226144, 5563, 235, 3, 32, "Output"],
Cell[226382, 5568, 235, 3, 32, "Output"],
Cell[226620, 5573, 295, 4, 32, "Output"],
Cell[226918, 5579, 295, 4, 32, "Output"],
Cell[227216, 5585, 266, 3, 23, "Print"],
Cell[227485, 5590, 278, 3, 32, "Output"],
Cell[227766, 5595, 297, 4, 32, "Output"],
Cell[228066, 5601, 295, 4, 32, "Output"],
Cell[228364, 5607, 296, 4, 32, "Output"],
Cell[228663, 5613, 268, 3, 23, "Print"],
Cell[228934, 5618, 280, 3, 32, "Output"],
Cell[229217, 5623, 278, 3, 32, "Output"],
Cell[229498, 5628, 278, 3, 32, "Output"],
Cell[229779, 5633, 280, 3, 32, "Output"],
Cell[230062, 5638, 266, 3, 23, "Print"],
Cell[230331, 5643, 280, 3, 32, "Output"],
Cell[230614, 5648, 278, 3, 32, "Output"],
Cell[230895, 5653, 235, 3, 32, "Output"],
Cell[231133, 5658, 280, 3, 32, "Output"],
Cell[231416, 5663, 266, 3, 23, "Print"],
Cell[231685, 5668, 295, 4, 32, "Output"],
Cell[231983, 5674, 295, 4, 32, "Output"],
Cell[232281, 5680, 280, 3, 32, "Output"],
Cell[232564, 5685, 295, 4, 32, "Output"],
Cell[232862, 5691, 266, 3, 23, "Print"],
Cell[233131, 5696, 294, 4, 32, "Output"],
Cell[233428, 5702, 295, 4, 32, "Output"],
Cell[233726, 5708, 235, 3, 32, "Output"],
Cell[233964, 5713, 297, 4, 32, "Output"],
Cell[234264, 5719, 266, 3, 23, "Print"],
Cell[234533, 5724, 295, 4, 32, "Output"],
Cell[234831, 5730, 297, 4, 32, "Output"],
Cell[235131, 5736, 235, 3, 32, "Output"],
Cell[235369, 5741, 295, 4, 32, "Output"],
Cell[235667, 5747, 264, 3, 23, "Print"],
Cell[235934, 5752, 234, 3, 32, "Output"],
Cell[236171, 5757, 235, 3, 32, "Output"],
Cell[236409, 5762, 297, 4, 32, "Output"],
Cell[236709, 5768, 295, 4, 32, "Output"],
Cell[237007, 5774, 265, 3, 23, "Print"],
Cell[237275, 5779, 235, 3, 32, "Output"],
Cell[237513, 5784, 237, 3, 32, "Output"],
Cell[237753, 5789, 280, 3, 32, "Output"],
Cell[238036, 5794, 295, 4, 32, "Output"],
Cell[238334, 5800, 265, 3, 23, "Print"],
Cell[238602, 5805, 235, 3, 32, "Output"],
Cell[238840, 5810, 235, 3, 32, "Output"],
Cell[239078, 5815, 295, 4, 32, "Output"],
Cell[239376, 5821, 297, 4, 32, "Output"],
Cell[239676, 5827, 265, 3, 23, "Print"],
Cell[239944, 5832, 278, 3, 32, "Output"],
Cell[240225, 5837, 237, 3, 32, "Output"],
Cell[240465, 5842, 294, 4, 32, "Output"],
Cell[240762, 5848, 278, 3, 32, "Output"],
Cell[241043, 5853, 268, 3, 23, "Print"],
Cell[241314, 5858, 278, 3, 32, "Output"],
Cell[241595, 5863, 295, 4, 32, "Output"],
Cell[241893, 5869, 237, 3, 32, "Output"],
Cell[242133, 5874, 294, 4, 32, "Output"],
Cell[242430, 5880, 266, 3, 23, "Print"],
Cell[242699, 5885, 278, 3, 32, "Output"],
Cell[242980, 5890, 278, 3, 32, "Output"],
Cell[243261, 5895, 234, 3, 32, "Output"],
Cell[243498, 5900, 278, 3, 32, "Output"],
Cell[243779, 5905, 266, 3, 23, "Print"],
Cell[244048, 5910, 280, 3, 32, "Output"],
Cell[244331, 5915, 277, 3, 32, "Output"],
Cell[244611, 5920, 295, 4, 32, "Output"],
Cell[244909, 5926, 280, 3, 32, "Output"],
Cell[245192, 5931, 268, 3, 23, "Print"],
Cell[245463, 5936, 297, 4, 32, "Output"],
Cell[245763, 5942, 297, 4, 32, "Output"],
Cell[246063, 5948, 237, 3, 32, "Output"],
Cell[246303, 5953, 295, 4, 32, "Output"],
Cell[246601, 5959, 268, 3, 23, "Print"],
Cell[246872, 5964, 295, 4, 32, "Output"],
Cell[247170, 5970, 295, 4, 32, "Output"],
Cell[247468, 5976, 295, 4, 32, "Output"],
Cell[247766, 5982, 295, 4, 32, "Output"],
Cell[248064, 5988, 268, 3, 23, "Print"],
Cell[248335, 5993, 278, 3, 32, "Output"],
Cell[248616, 5998, 280, 3, 32, "Output"],
Cell[248899, 6003, 237, 3, 32, "Output"],
Cell[249139, 6008, 295, 4, 32, "Output"],
Cell[249437, 6014, 264, 3, 23, "Print"],
Cell[249704, 6019, 295, 4, 32, "Output"],
Cell[250002, 6025, 297, 4, 32, "Output"],
Cell[250302, 6031, 278, 3, 32, "Output"],
Cell[250583, 6036, 295, 4, 32, "Output"],
Cell[250881, 6042, 265, 3, 23, "Print"],
Cell[251149, 6047, 278, 3, 32, "Output"],
Cell[251430, 6052, 234, 3, 32, "Output"],
Cell[251667, 6057, 294, 4, 32, "Output"],
Cell[251964, 6063, 295, 4, 32, "Output"],
Cell[252262, 6069, 264, 3, 23, "Print"],
Cell[252529, 6074, 237, 3, 32, "Output"],
Cell[252769, 6079, 235, 3, 32, "Output"],
Cell[253007, 6084, 295, 4, 32, "Output"],
Cell[253305, 6090, 295, 4, 32, "Output"],
Cell[253603, 6096, 265, 3, 23, "Print"],
Cell[253871, 6101, 237, 3, 32, "Output"],
Cell[254111, 6106, 235, 3, 32, "Output"],
Cell[254349, 6111, 280, 3, 32, "Output"],
Cell[254632, 6116, 278, 3, 32, "Output"],
Cell[254913, 6121, 266, 3, 23, "Print"],
Cell[255182, 6126, 277, 3, 32, "Output"],
Cell[255462, 6131, 280, 3, 32, "Output"],
Cell[255745, 6136, 278, 3, 32, "Output"],
Cell[256026, 6141, 280, 3, 32, "Output"],
Cell[256309, 6146, 266, 3, 23, "Print"],
Cell[256578, 6151, 295, 4, 32, "Output"],
Cell[256876, 6157, 297, 4, 32, "Output"],
Cell[257176, 6163, 280, 3, 32, "Output"],
Cell[257459, 6168, 295, 4, 32, "Output"],
Cell[257757, 6174, 266, 3, 23, "Print"],
Cell[258026, 6179, 295, 4, 32, "Output"],
Cell[258324, 6185, 297, 4, 32, "Output"],
Cell[258624, 6191, 235, 3, 32, "Output"],
Cell[258862, 6196, 295, 4, 32, "Output"],
Cell[259160, 6202, 266, 3, 23, "Print"],
Cell[259429, 6207, 278, 3, 32, "Output"],
Cell[259710, 6212, 280, 3, 32, "Output"],
Cell[259993, 6217, 295, 4, 32, "Output"],
Cell[260291, 6223, 291, 4, 34, "Output"],
Cell[260585, 6229, 265, 3, 23, "Print"],
Cell[260853, 6234, 278, 3, 32, "Output"],
Cell[261134, 6239, 278, 3, 32, "Output"],
Cell[261415, 6244, 235, 3, 32, "Output"],
Cell[261653, 6249, 280, 3, 32, "Output"],
Cell[261936, 6254, 266, 3, 23, "Print"],
Cell[262205, 6259, 277, 3, 32, "Output"],
Cell[262485, 6264, 280, 3, 32, "Output"],
Cell[262768, 6269, 235, 3, 32, "Output"],
Cell[263006, 6274, 278, 3, 32, "Output"],
Cell[263287, 6279, 264, 3, 23, "Print"],
Cell[263554, 6284, 237, 3, 32, "Output"],
Cell[263794, 6289, 237, 3, 32, "Output"],
Cell[264034, 6294, 278, 3, 32, "Output"],
Cell[264315, 6299, 295, 4, 32, "Output"],
Cell[264613, 6305, 265, 3, 23, "Print"],
Cell[264881, 6310, 235, 3, 32, "Output"],
Cell[265119, 6315, 235, 3, 32, "Output"],
Cell[265357, 6320, 295, 4, 32, "Output"],
Cell[265655, 6326, 295, 4, 32, "Output"],
Cell[265953, 6332, 264, 3, 23, "Print"],
Cell[266220, 6337, 235, 3, 32, "Output"],
Cell[266458, 6342, 237, 3, 32, "Output"],
Cell[266698, 6347, 278, 3, 32, "Output"],
Cell[266979, 6352, 278, 3, 32, "Output"],
Cell[267260, 6357, 264, 3, 23, "Print"],
Cell[267527, 6362, 235, 3, 32, "Output"],
Cell[267765, 6367, 235, 3, 32, "Output"],
Cell[268003, 6372, 280, 3, 32, "Output"],
Cell[268286, 6377, 278, 3, 32, "Output"],
Cell[268567, 6382, 266, 3, 23, "Print"],
Cell[268836, 6387, 278, 3, 32, "Output"],
Cell[269117, 6392, 278, 3, 32, "Output"],
Cell[269398, 6397, 235, 3, 32, "Output"],
Cell[269636, 6402, 278, 3, 32, "Output"],
Cell[269917, 6407, 266, 3, 23, "Print"],
Cell[270186, 6412, 297, 4, 32, "Output"],
Cell[270486, 6418, 295, 4, 32, "Output"],
Cell[270784, 6424, 235, 3, 32, "Output"],
Cell[271022, 6429, 297, 4, 32, "Output"],
Cell[271322, 6435, 266, 3, 23, "Print"],
Cell[271591, 6440, 294, 4, 32, "Output"],
Cell[271888, 6446, 295, 4, 32, "Output"],
Cell[272186, 6452, 295, 4, 32, "Output"],
Cell[272484, 6458, 297, 4, 32, "Output"],
Cell[272784, 6464, 266, 3, 23, "Print"],
Cell[273053, 6469, 278, 3, 32, "Output"],
Cell[273334, 6474, 277, 3, 32, "Output"],
Cell[273614, 6479, 235, 3, 32, "Output"],
Cell[273852, 6484, 280, 3, 32, "Output"],
Cell[274135, 6489, 266, 3, 23, "Print"],
Cell[274404, 6494, 277, 3, 32, "Output"],
Cell[274684, 6499, 278, 3, 32, "Output"],
Cell[274965, 6504, 297, 4, 32, "Output"],
Cell[275265, 6510, 280, 3, 32, "Output"],
Cell[275548, 6515, 264, 3, 23, "Print"],
Cell[275815, 6520, 295, 4, 32, "Output"],
Cell[276113, 6526, 295, 4, 32, "Output"],
Cell[276411, 6532, 237, 3, 32, "Output"],
Cell[276651, 6537, 278, 3, 32, "Output"],
Cell[276932, 6542, 263, 3, 23, "Print"],
Cell[277198, 6547, 295, 4, 32, "Output"],
Cell[277496, 6553, 295, 4, 32, "Output"],
Cell[277794, 6559, 278, 3, 32, "Output"],
Cell[278075, 6564, 276, 3, 32, "Output"],
Cell[278354, 6569, 265, 3, 23, "Print"],
Cell[278622, 6574, 278, 3, 32, "Output"],
Cell[278903, 6579, 237, 3, 32, "Output"],
Cell[279143, 6584, 296, 4, 32, "Output"],
Cell[279442, 6590, 278, 3, 32, "Output"],
Cell[279723, 6595, 267, 3, 23, "Print"],
Cell[279993, 6600, 235, 3, 32, "Output"],
Cell[280231, 6605, 237, 3, 32, "Output"],
Cell[280471, 6610, 278, 3, 32, "Output"],
Cell[280752, 6615, 278, 3, 32, "Output"],
Cell[281033, 6620, 267, 3, 23, "Print"],
Cell[281303, 6625, 235, 3, 32, "Output"],
Cell[281541, 6630, 237, 3, 32, "Output"],
Cell[281781, 6635, 295, 4, 32, "Output"],
Cell[282079, 6641, 278, 3, 32, "Output"],
Cell[282360, 6646, 266, 3, 23, "Print"],
Cell[282629, 6651, 280, 3, 32, "Output"],
Cell[282912, 6656, 278, 3, 32, "Output"],
Cell[283193, 6661, 295, 4, 32, "Output"],
Cell[283491, 6667, 280, 3, 32, "Output"],
Cell[283774, 6672, 266, 3, 23, "Print"],
Cell[284043, 6677, 297, 4, 32, "Output"],
Cell[284343, 6683, 295, 4, 32, "Output"],
Cell[284641, 6689, 295, 4, 32, "Output"],
Cell[284939, 6695, 295, 4, 32, "Output"],
Cell[285237, 6701, 266, 3, 23, "Print"],
Cell[285506, 6706, 278, 3, 32, "Output"],
Cell[285787, 6711, 280, 3, 32, "Output"],
Cell[286070, 6716, 235, 3, 32, "Output"],
Cell[286308, 6721, 295, 4, 32, "Output"],
Cell[286606, 6727, 268, 3, 23, "Print"],
Cell[286877, 6732, 278, 3, 32, "Output"],
Cell[287158, 6737, 280, 3, 32, "Output"],
Cell[287441, 6742, 295, 4, 32, "Output"],
Cell[287739, 6748, 278, 3, 32, "Output"],
Cell[288020, 6753, 266, 3, 23, "Print"],
Cell[288289, 6758, 295, 4, 32, "Output"],
Cell[288587, 6764, 297, 4, 32, "Output"],
Cell[288887, 6770, 235, 3, 32, "Output"],
Cell[289125, 6775, 280, 3, 32, "Output"],
Cell[289408, 6780, 268, 3, 23, "Print"],
Cell[289679, 6785, 295, 4, 32, "Output"],
Cell[289977, 6791, 295, 4, 32, "Output"],
Cell[290275, 6797, 278, 3, 32, "Output"],
Cell[290556, 6802, 293, 4, 34, "Output"]
}, Open  ]]
}
]
*)

