(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     36235,        873]
NotebookOptionsPosition[     35266,        841]
NotebookOutlinePosition[     35603,        856]
CellTagsIndexPosition[     35560,        853]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"x0", "=", 
  RowBox[{"-", "1.0"}]}], "\[IndentingNewLine]", 
 RowBox[{"y0", "=", "2.5"}], "\[IndentingNewLine]", 
 RowBox[{"z0", "=", "1.0"}], "\[IndentingNewLine]", 
 RowBox[{"alpha1", "=", "0.5"}], "\[IndentingNewLine]", 
 RowBox[{"c1", "=", "0.8"}], "\[IndentingNewLine]", 
 RowBox[{"alpha2", "=", "1.2"}], "\[IndentingNewLine]", 
 RowBox[{"c2", "=", "0.4"}], "\[IndentingNewLine]", 
 RowBox[{"l", "=", "0"}], "\[IndentingNewLine]", 
 RowBox[{"m", "=", "2"}], "\[IndentingNewLine]", 
 RowBox[{"n", "=", "0"}], "\[IndentingNewLine]", 
 RowBox[{"x", "=", "3.0"}], "\[IndentingNewLine]", 
 RowBox[{"y", "=", "0.5"}], "\[IndentingNewLine]", 
 RowBox[{"z", "=", 
  RowBox[{"-", "1.0"}]}], "\[IndentingNewLine]", 
 RowBox[{"f", "=", 
  RowBox[{"SetPrecision", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "x0"}], ")"}], "^", "l"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "y0"}], ")"}], "^", "m"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"z", "-", "z0"}], ")"}], "^", "n"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", "*", 
             RowBox[{"alpha1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"4", "*", "alpha1"}], ")"}], "^", 
           RowBox[{"(", 
            RowBox[{"0.5", "*", 
             RowBox[{"(", 
              RowBox[{"l", "+", "m", "+", "n"}], ")"}]}], ")"}]}]}], ")"}], 
        "*", "c1", "*", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "alpha1"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], "]"}]}],
        "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", "*", 
             RowBox[{"alpha2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"4", "*", "alpha2"}], ")"}], "^", 
           RowBox[{"(", 
            RowBox[{"0.5", "*", 
             RowBox[{"(", 
              RowBox[{"l", "+", "m", "+", "n"}], ")"}]}], ")"}]}]}], ")"}], 
        "*", "c2", "*", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "alpha2"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], 
         "]"}]}]}], ")"}]}], ",", "12"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"g", "=", 
  RowBox[{"SetPrecision", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"l", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", "-", "x0"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"l", "-", "1"}], ")"}]}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"y", "-", "y0"}], ")"}], "^", "m"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"z", "-", "z0"}], ")"}], "^", "n"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "*", 
              RowBox[{"alpha1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"4", "*", "alpha1"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"0.5", "*", 
              RowBox[{"(", 
               RowBox[{"l", "+", "m", "+", "n"}], ")"}]}], ")"}]}]}], ")"}], 
         "*", "c1", "*", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "alpha1"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], 
          "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "*", 
              RowBox[{"alpha2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"4", "*", "alpha2"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"0.5", "*", 
              RowBox[{"(", 
               RowBox[{"l", "+", "m", "+", "n"}], ")"}]}], ")"}]}]}], ")"}], 
         "*", "c2", "*", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "alpha2"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], 
          "]"}]}]}], ")"}]}], "-", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", "-", "x0"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"l", "+", "1"}], ")"}]}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"y", "-", "y0"}], ")"}], "^", "m"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"z", "-", "z0"}], ")"}], "^", "n"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"alpha1", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "*", 
              RowBox[{"alpha1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"4", "*", "alpha1"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"0.5", "*", 
              RowBox[{"(", 
               RowBox[{"l", "+", "m", "+", "n"}], ")"}]}], ")"}]}]}], ")"}], 
         "*", "c1", "*", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "alpha1"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], 
          "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"alpha2", "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "*", 
              RowBox[{"alpha2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"4", "*", "alpha2"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"0.5", "*", 
              RowBox[{"(", 
               RowBox[{"l", "+", "m", "+", "n"}], ")"}]}], ")"}]}]}], ")"}], 
         "*", "c2", "*", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "alpha2"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], 
          "]"}]}]}], ")"}]}]}], ",", "12"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"h", "=", 
  RowBox[{"SetPrecision", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"m", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", "-", "x0"}], ")"}], "^", "l"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"y", "-", "y0"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"m", "-", "1"}], ")"}]}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"z", "-", "z0"}], ")"}], "^", "n"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "*", 
              RowBox[{"alpha1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"4", "*", "alpha1"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"0.5", "*", 
              RowBox[{"(", 
               RowBox[{"l", "+", "m", "+", "n"}], ")"}]}], ")"}]}]}], ")"}], 
         "*", "c1", "*", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "alpha1"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], 
          "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "*", 
              RowBox[{"alpha2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"4", "*", "alpha2"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"0.5", "*", 
              RowBox[{"(", 
               RowBox[{"l", "+", "m", "+", "n"}], ")"}]}], ")"}]}]}], ")"}], 
         "*", "c2", "*", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "alpha2"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], 
          "]"}]}]}], ")"}]}], "-", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", "-", "x0"}], ")"}], "^", "l"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"y", "-", "y0"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"m", "+", "1"}], ")"}]}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"z", "-", "z0"}], ")"}], "^", "n"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"alpha1", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "*", 
              RowBox[{"alpha1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"4", "*", "alpha1"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"0.5", "*", 
              RowBox[{"(", 
               RowBox[{"l", "+", "m", "+", "n"}], ")"}]}], ")"}]}]}], ")"}], 
         "*", "c1", "*", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "alpha1"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], 
          "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"alpha2", "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "*", 
              RowBox[{"alpha2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"4", "*", "alpha2"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"0.5", "*", 
              RowBox[{"(", 
               RowBox[{"l", "+", "m", "+", "n"}], ")"}]}], ")"}]}]}], ")"}], 
         "*", "c2", "*", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "alpha2"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], 
          "]"}]}]}], ")"}]}]}], ",", "12"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"i", "=", 
  RowBox[{"SetPrecision", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"n", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", "-", "x0"}], ")"}], "^", "l"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"y", "-", "y0"}], ")"}], "^", "m"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"z", "-", "z0"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"n", "-", "1"}], ")"}]}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "*", 
              RowBox[{"alpha1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"4", "*", "alpha1"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"0.5", "*", 
              RowBox[{"(", 
               RowBox[{"l", "+", "m", "+", "n"}], ")"}]}], ")"}]}]}], ")"}], 
         "*", "c1", "*", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "alpha1"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], 
          "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "*", 
              RowBox[{"alpha2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"4", "*", "alpha2"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"0.5", "*", 
              RowBox[{"(", 
               RowBox[{"l", "+", "m", "+", "n"}], ")"}]}], ")"}]}]}], ")"}], 
         "*", "c2", "*", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "alpha2"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], 
          "]"}]}]}], ")"}]}], "-", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", "-", "x0"}], ")"}], "^", "l"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"y", "-", "y0"}], ")"}], "^", "m"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"z", "-", "z0"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"n", "+", "1"}], ")"}]}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"alpha1", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "*", 
              RowBox[{"alpha1", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"4", "*", "alpha1"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"0.5", "*", 
              RowBox[{"(", 
               RowBox[{"l", "+", "m", "+", "n"}], ")"}]}], ")"}]}]}], ")"}], 
         "*", "c1", "*", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "alpha1"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], 
          "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"alpha2", "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "*", 
              RowBox[{"alpha2", "/", "Pi"}]}], ")"}], "^", "0.75"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"4", "*", "alpha2"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"0.5", "*", 
              RowBox[{"(", 
               RowBox[{"l", "+", "m", "+", "n"}], ")"}]}], ")"}]}]}], ")"}], 
         "*", "c2", "*", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "alpha2"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"z", "-", "z0"}], ")"}], "^", "2"}]}], ")"}]}], 
          "]"}]}]}], ")"}]}]}], ",", "12"}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzEsowwEAx/G1xf5ecyAUW2YXzx1GkSjTSBK2hBKHteVxYFrhQvNoTK0c
5p3yqGGZt7XWMkzM7GAH7CA7kGWWRh7LK/v9D98+ty9b3CGSUikUSkowqMwb
7I7wePm68t9eaM7RDsCdEcsQzP5pVUF7KWcBrlnvtJCXnrwK+zlP67COFyB9
Hj85ggHntxXK6H12KH0hzmHB1vUjdFwafbDYe+2HF0LXJySSZv+gsXCbGhlU
URNGhxmPlQRMdXMjoW5uKRoKHEQstAlv4qB4YjkR2ksSmVCzP8WGbZpz0gl9
SRocHdvIJFUz1LCKmz8Jh91Nc1Di4WphV1nCJvlbtJEK+NV7kGqSGOHuh8EM
fS0yKyQ6zTYYbhpxQKXGoIoKWs/OHYcdGVOLkBGq34DlXpUFvqlXSStmWDYo
l2edwcAXzQl5BX1XkPV6eAtXnhvc0FU78ABF2Y0e8mfhfzPgQcgPPJbF0qKD
tk+L6dDEeI+CRZW0GNh8Ko2Hm93zCdDg72FCluKe9B+y/Bxt
  "]],

Cell[BoxData[
 RowBox[{"-", "1.`"}]], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.6108024176069508`*^9}],

Cell[BoxData["2.5`"], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.610802417608832*^9}],

Cell[BoxData["1.`"], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.6108024176103687`*^9}],

Cell[BoxData["0.5`"], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.6108024176118193`*^9}],

Cell[BoxData["0.8`"], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.610802417613257*^9}],

Cell[BoxData["1.2`"], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.6108024176148376`*^9}],

Cell[BoxData["0.4`"], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.610802417616434*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.610802417617786*^9}],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.6108024176190767`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.610802417620391*^9}],

Cell[BoxData["3.`"], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.610802417621677*^9}],

Cell[BoxData["0.5`"], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.610802417622979*^9}],

Cell[BoxData[
 RowBox[{"-", "1.`"}]], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.610802417624251*^9}],

Cell[BoxData["0.00001666417575590036794473680625827683`12."], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.610802417625566*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00006665671394213205068219468829582297`12."}]], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.6108024176268682`*^9}],

Cell[BoxData["0.00001666418121516565739636053788963466`12."], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.6108024176281347`*^9}],

Cell[BoxData["0.00003332835697106602534109734414791149`12."], "Output",
 CellChangeTimes->{{3.610795339944395*^9, 3.610795366498348*^9}, 
   3.610795424988718*^9, 3.610795560038844*^9, 3.610795611805698*^9, 
   3.610795880565338*^9, 3.6107959785239697`*^9, 3.610796066769315*^9, 
   3.6107961009430656`*^9, 3.6107961333337183`*^9, {3.610796168544271*^9, 
   3.610796197489882*^9}, 3.61079626719543*^9, 3.610796304081018*^9, {
   3.610796365089999*^9, 3.610796390923423*^9}, 3.61079737864951*^9, 
   3.6107974484896193`*^9, 3.61079750879384*^9, 3.610797601159388*^9, {
   3.610797643316474*^9, 3.610797670674837*^9}, 3.610799293609198*^9, 
   3.610799498521419*^9, 3.610799622595335*^9, 3.610799710406254*^9, 
   3.610799811893797*^9, 3.610799879258422*^9, 3.6107999345314703`*^9, 
   3.610802164471305*^9, 3.610802204838305*^9, {3.610802236489946*^9, 
   3.610802245478359*^9}, 3.610802336317811*^9, 3.6108023745678253`*^9, 
   3.610802417629377*^9}]
}, Open  ]]
},
WindowSize->{740, 867},
WindowMargins->{{148, Automatic}, {Automatic, 56}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 18938, 558, 1221, "Input"],
Cell[19520, 582, 928, 14, 32, "Output"],
Cell[20451, 598, 910, 13, 64, "Output"],
Cell[21364, 613, 911, 13, 32, "Output"],
Cell[22278, 628, 912, 13, 32, "Output"],
Cell[23193, 643, 910, 13, 32, "Output"],
Cell[24106, 658, 912, 13, 32, "Output"],
Cell[25021, 673, 910, 13, 32, "Output"],
Cell[25934, 688, 907, 13, 32, "Output"],
Cell[26844, 703, 909, 13, 32, "Output"],
Cell[27756, 718, 907, 13, 32, "Output"],
Cell[28666, 733, 909, 13, 32, "Output"],
Cell[29578, 748, 910, 13, 32, "Output"],
Cell[30491, 763, 926, 14, 32, "Output"],
Cell[31420, 779, 950, 13, 32, "Output"],
Cell[32373, 794, 969, 14, 32, "Output"],
Cell[33345, 810, 952, 13, 32, "Output"],
Cell[34300, 825, 950, 13, 32, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
