(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     86637,       2163]
NotebookOptionsPosition[     84526,       2103]
NotebookOutlinePosition[     84863,       2118]
CellTagsIndexPosition[     84820,       2115]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Uses", " ", "functions", " ", "defined", " ", "in", " ", 
    RowBox[{"BasisFunctionDerivativeAnalytic3", ".", "nb"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Before", " ", "running", " ", "this", " ", "file", " ", "open", " ", 
    "and", " ", "evaluate", " ", "that", " ", "notebook"}], "*)"}]}]], "Input",\

 CellChangeTimes->{{3.650877755488459*^9, 3.6508778383410177`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Pack", " ", "basis", " ", "into", " ", "an", " ", "indexable", " ", 
    "object"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"0", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"s", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"1", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"px", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"2", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"py", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"3", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"4", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxx", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"5", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxy", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"6", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"7", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyy", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"8", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"9", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dzz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "Derivatives", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisX", "[", 
      RowBox[{"0", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"sX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisX", "[", 
      RowBox[{"1", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pxX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisX", "[", 
      RowBox[{"2", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pyX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisX", "[", 
      RowBox[{"3", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pzX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisX", "[", 
      RowBox[{"4", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxxX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisX", "[", 
      RowBox[{"5", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxyX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisX", "[", 
      RowBox[{"6", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxzX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisX", "[", 
      RowBox[{"7", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyyX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisX", "[", 
      RowBox[{"8", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyzX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisX", "[", 
      RowBox[{"9", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dzzX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisY", "[", 
      RowBox[{"0", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"sY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisY", "[", 
      RowBox[{"1", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pxY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisY", "[", 
      RowBox[{"2", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pyY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisY", "[", 
      RowBox[{"3", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pzY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisY", "[", 
      RowBox[{"4", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxxY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisY", "[", 
      RowBox[{"5", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxyY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisY", "[", 
      RowBox[{"6", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxzY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisY", "[", 
      RowBox[{"7", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyyY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisY", "[", 
      RowBox[{"8", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyzY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisY", "[", 
      RowBox[{"9", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dzzY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZ", "[", 
      RowBox[{"0", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"sZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZ", "[", 
      RowBox[{"1", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pxZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZ", "[", 
      RowBox[{"2", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pyZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZ", "[", 
      RowBox[{"3", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pzZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZ", "[", 
      RowBox[{"4", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxxZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZ", "[", 
      RowBox[{"5", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxyZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZ", "[", 
      RowBox[{"6", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxzZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZ", "[", 
      RowBox[{"7", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyyZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZ", "[", 
      RowBox[{"8", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyzZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZ", "[", 
      RowBox[{"9", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dzzZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXX", "[", 
      RowBox[{"0", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"sXX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXX", "[", 
      RowBox[{"1", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pxXX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXX", "[", 
      RowBox[{"2", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pyXX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXX", "[", 
      RowBox[{"3", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pzXX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXX", "[", 
      RowBox[{"4", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxxXX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXX", "[", 
      RowBox[{"5", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxyXX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXX", "[", 
      RowBox[{"6", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxzXX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXX", "[", 
      RowBox[{"7", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyyXX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXX", "[", 
      RowBox[{"8", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyzXX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXX", "[", 
      RowBox[{"9", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dzzXX", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXY", "[", 
      RowBox[{"0", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"sXY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXY", "[", 
      RowBox[{"1", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pxXY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXY", "[", 
      RowBox[{"2", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pyXY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXY", "[", 
      RowBox[{"3", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pzXY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXY", "[", 
      RowBox[{"4", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxxXY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXY", "[", 
      RowBox[{"5", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxyXY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXY", "[", 
      RowBox[{"6", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxzXY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXY", "[", 
      RowBox[{"7", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyyXY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXY", "[", 
      RowBox[{"8", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyzXY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXY", "[", 
      RowBox[{"9", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dzzXY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXZ", "[", 
      RowBox[{"0", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"sXZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXZ", "[", 
      RowBox[{"1", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pxXZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXZ", "[", 
      RowBox[{"2", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pyXZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXZ", "[", 
      RowBox[{"3", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pzXZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXZ", "[", 
      RowBox[{"4", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxxXZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXZ", "[", 
      RowBox[{"5", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxyXZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXZ", "[", 
      RowBox[{"6", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxzXZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXZ", "[", 
      RowBox[{"7", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyyXZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXZ", "[", 
      RowBox[{"8", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyzXZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisXZ", "[", 
      RowBox[{"9", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dzzXZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYY", "[", 
      RowBox[{"0", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"sYY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYY", "[", 
      RowBox[{"1", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pxYY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYY", "[", 
      RowBox[{"2", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pyYY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYY", "[", 
      RowBox[{"3", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pzYY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYY", "[", 
      RowBox[{"4", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxxYY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYY", "[", 
      RowBox[{"5", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxyYY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYY", "[", 
      RowBox[{"6", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxzYY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYY", "[", 
      RowBox[{"7", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyyYY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYY", "[", 
      RowBox[{"8", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyzYY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYY", "[", 
      RowBox[{"9", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dzzYY", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYZ", "[", 
      RowBox[{"0", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"sYZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYZ", "[", 
      RowBox[{"1", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pxYZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYZ", "[", 
      RowBox[{"2", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pyYZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYZ", "[", 
      RowBox[{"3", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pzYZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYZ", "[", 
      RowBox[{"4", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxxYZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYZ", "[", 
      RowBox[{"5", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxyYZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYZ", "[", 
      RowBox[{"6", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxzYZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYZ", "[", 
      RowBox[{"7", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyyYZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYZ", "[", 
      RowBox[{"8", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyzYZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisYZ", "[", 
      RowBox[{"9", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dzzYZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZZ", "[", 
      RowBox[{"0", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"sZZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZZ", "[", 
      RowBox[{"1", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pxZZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZZ", "[", 
      RowBox[{"2", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pyZZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZZ", "[", 
      RowBox[{"3", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pzZZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZZ", "[", 
      RowBox[{"4", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxxZZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZZ", "[", 
      RowBox[{"5", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxyZZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZZ", "[", 
      RowBox[{"6", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxzZZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZZ", "[", 
      RowBox[{"7", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyyZZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZZ", "[", 
      RowBox[{"8", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyzZZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basisZZ", "[", 
      RowBox[{"9", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dzzZZ", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"densityMatrix", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1.1", ",", " ", 
         RowBox[{"-", "0.15"}], ",", " ", "0.12", ",", " ", "0.15", ",", " ", 
         "0.02", ",", " ", "0.23", ",", " ", 
         RowBox[{"-", "0.07"}], ",", " ", "0.23", ",", " ", "0.04", ",", " ", 
         
         RowBox[{"-", "0.01"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "0.15"}], ",", " ", "0.25", ",", " ", "0.05", ",", " ", 
         
         RowBox[{"-", "0.03"}], ",", " ", "0.03", ",", " ", "0.04", ",", " ", 
         "0.1", ",", " ", "0.07", ",", " ", 
         RowBox[{"-", "0.02"}], ",", " ", "0.02"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"0.12", ",", " ", "0.05", ",", " ", "2.31", ",", " ", 
         RowBox[{"-", "0.01"}], ",", " ", 
         RowBox[{"-", "0.03"}], ",", " ", "0.1", ",", " ", "0.01", ",", " ", 
         "0.03", ",", " ", "0.01", ",", " ", "0.02"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"0.15", ",", " ", 
         RowBox[{"-", "0.03"}], ",", " ", 
         RowBox[{"-", "0.01"}], ",", " ", "0.74", ",", " ", "0.12", ",", " ", 
         
         RowBox[{"-", "0.01"}], ",", " ", "0.11", ",", " ", "0.003", ",", " ",
          "0.01", ",", " ", "0.01"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"0.02", ",", " ", "0.03", ",", " ", 
         RowBox[{"-", "0.03"}], ",", " ", "0.12", ",", " ", "3.13", ",", " ", 
         
         RowBox[{"-", "0.01"}], ",", " ", "0.02", ",", " ", 
         RowBox[{"-", "0.03"}], ",", " ", "0.01", ",", " ", "0.03"}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"0.23", ",", " ", "0.04", ",", " ", "0.1", ",", " ", 
         RowBox[{"-", "0.01"}], ",", " ", 
         RowBox[{"-", "0.01"}], ",", " ", "0.66", ",", " ", 
         RowBox[{"-", "0.01"}], ",", " ", 
         RowBox[{"-", "0.004"}], ",", " ", "0.01", ",", " ", "0.1"}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "0.07"}], ",", " ", "0.1", ",", " ", "0.01", ",", " ", 
         "0.11", ",", " ", "0.02", ",", " ", 
         RowBox[{"-", "0.01"}], ",", " ", "0.23", ",", " ", "0.01", ",", " ", 
         "0.03", ",", " ", "0.03"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
        "0.23", ",", " ", "0.07", ",", " ", "0.03", ",", " ", "0.003", ",", 
         " ", 
         RowBox[{"-", "0.03"}], ",", " ", 
         RowBox[{"-", "0.004"}], ",", " ", "0.01", ",", " ", "2.01", ",", " ",
          "0.11", ",", " ", 
         RowBox[{"-", "0.005"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"0.04", ",", " ", 
         RowBox[{"-", "0.02"}], ",", " ", "0.01", ",", " ", "0.01", ",", " ", 
         "0.01", ",", " ", "0.01", ",", " ", "0.03", ",", " ", "0.11", ",", 
         " ", "1.12", ",", " ", 
         RowBox[{"-", "0.03"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "0.01"}], ",", " ", "0.02", ",", " ", "0.02", ",", " ", 
         "0.01", ",", " ", "0.03", ",", " ", "0.1", ",", " ", "0.03", ",", 
         " ", 
         RowBox[{"-", "0.005"}], ",", " ", 
         RowBox[{"-", "0.03"}], ",", " ", "0.11"}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"SymmetricMatrixQ", "[", "densityMatrix", "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"densP0", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"densP1", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"densP2", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"densP3", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gradP0X", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gradP1X", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gradP2X", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gradP3X", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gradP0Y", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gradP1Y", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gradP2Y", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gradP3Y", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gradP0Z", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gradP1Z", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gradP2Z", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gradP3Z", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hessP0XX", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP1XX", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP2XX", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP3XX", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP0XY", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP1XY", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP2XY", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP3XY", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP0XZ", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP1XZ", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP2XZ", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP3XZ", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP0YY", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP1YY", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP2YY", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP3YY", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP0YZ", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP1YZ", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP2YZ", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP3YZ", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP0ZZ", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP1ZZ", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP2ZZ", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"hessP3ZZ", " ", "=", " ", "0.0"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "0"}], ",", " ", 
      RowBox[{"i", "<", "10"}], ",", " ", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"j", "=", "0"}], ",", " ", 
        RowBox[{"j", "<", "10"}], ",", " ", 
        RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"densP0", " ", "=", " ", 
          RowBox[{"densP0", " ", "+", " ", 
           RowBox[{
            RowBox[{"basis", "[", 
             RowBox[{"i", ",", " ", "P0x", ",", " ", "P0y", ",", " ", "P0z"}],
              "]"}], " ", "*", " ", 
            RowBox[{"basis", "[", 
             RowBox[{"j", ",", " ", "P0x", ",", " ", "P0y", ",", " ", "P0z"}],
              "]"}], " ", "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"densP1", " ", "=", " ", 
          RowBox[{"densP1", " ", "+", " ", 
           RowBox[{
            RowBox[{"basis", "[", 
             RowBox[{"i", ",", " ", "P1x", ",", " ", "P1y", ",", " ", "P1z"}],
              "]"}], " ", "*", " ", 
            RowBox[{"basis", "[", 
             RowBox[{"j", ",", " ", "P1x", ",", " ", "P1y", ",", " ", "P1z"}],
              "]"}], " ", "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"densP2", " ", "=", " ", 
          RowBox[{"densP2", " ", "+", " ", 
           RowBox[{
            RowBox[{"basis", "[", 
             RowBox[{"i", ",", " ", "P2x", ",", " ", "P2y", ",", " ", "P2z"}],
              "]"}], " ", "*", " ", 
            RowBox[{"basis", "[", 
             RowBox[{"j", ",", " ", "P2x", ",", " ", "P2y", ",", " ", "P2z"}],
              "]"}], " ", "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"densP3", " ", "=", " ", 
          RowBox[{"densP3", " ", "+", " ", 
           RowBox[{
            RowBox[{"basis", "[", 
             RowBox[{"i", ",", " ", "P3x", ",", " ", "P3y", ",", " ", "P3z"}],
              "]"}], " ", "*", " ", 
            RowBox[{"basis", "[", 
             RowBox[{"j", ",", " ", "P3x", ",", " ", "P3y", ",", " ", "P3z"}],
              "]"}], " ", "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"gradP0X", " ", "=", " ", 
          RowBox[{"gradP0X", " ", "+", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"basisX", "[", 
                RowBox[{
                "i", ",", " ", "P0x", ",", " ", "P0y", ",", " ", "P0z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basis", "[", 
                RowBox[{
                "j", ",", " ", "P0x", ",", " ", "P0y", ",", " ", "P0z"}], 
                "]"}]}], " ", "+", 
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{
                "i", ",", " ", "P0x", ",", " ", "P0y", ",", " ", "P0z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basisX", "[", 
                RowBox[{
                "j", ",", " ", "P0x", ",", " ", "P0y", ",", " ", "P0z"}], 
                "]"}]}]}], ")"}], "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"gradP1X", " ", "=", " ", 
          RowBox[{"gradP1X", " ", "+", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"basisX", "[", 
                RowBox[{
                "i", ",", " ", "P1x", ",", " ", "P1y", ",", " ", "P1z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basis", "[", 
                RowBox[{
                "j", ",", " ", "P1x", ",", " ", "P1y", ",", " ", "P1z"}], 
                "]"}]}], " ", "+", 
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{
                "i", ",", " ", "P1x", ",", " ", "P1y", ",", " ", "P1z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basisX", "[", 
                RowBox[{
                "j", ",", " ", "P1x", ",", " ", "P1y", ",", " ", "P1z"}], 
                "]"}]}]}], ")"}], "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"gradP2X", " ", "=", " ", 
          RowBox[{"gradP2X", " ", "+", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"basisX", "[", 
                RowBox[{
                "i", ",", " ", "P2x", ",", " ", "P2y", ",", " ", "P2z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basis", "[", 
                RowBox[{
                "j", ",", " ", "P2x", ",", " ", "P2y", ",", " ", "P2z"}], 
                "]"}]}], " ", "+", 
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{
                "i", ",", " ", "P2x", ",", " ", "P2y", ",", " ", "P2z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basisX", "[", 
                RowBox[{
                "j", ",", " ", "P2x", ",", " ", "P2y", ",", " ", "P2z"}], 
                "]"}]}]}], ")"}], "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"gradP3X", " ", "=", " ", 
          RowBox[{"gradP3X", " ", "+", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"basisX", "[", 
                RowBox[{
                "i", ",", " ", "P3x", ",", " ", "P3y", ",", " ", "P3z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basis", "[", 
                RowBox[{
                "j", ",", " ", "P3x", ",", " ", "P3y", ",", " ", "P3z"}], 
                "]"}]}], " ", "+", 
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{
                "i", ",", " ", "P3x", ",", " ", "P3y", ",", " ", "P3z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basisX", "[", 
                RowBox[{
                "j", ",", " ", "P3x", ",", " ", "P3y", ",", " ", "P3z"}], 
                "]"}]}]}], ")"}], "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"gradP0Y", " ", "=", " ", 
          RowBox[{"gradP0Y", " ", "+", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"basisY", "[", 
                RowBox[{
                "i", ",", " ", "P0x", ",", " ", "P0y", ",", " ", "P0z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basis", "[", 
                RowBox[{
                "j", ",", " ", "P0x", ",", " ", "P0y", ",", " ", "P0z"}], 
                "]"}]}], " ", "+", 
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{
                "i", ",", " ", "P0x", ",", " ", "P0y", ",", " ", "P0z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basisY", "[", 
                RowBox[{
                "j", ",", " ", "P0x", ",", " ", "P0y", ",", " ", "P0z"}], 
                "]"}]}]}], ")"}], "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"gradP1Y", " ", "=", " ", 
          RowBox[{"gradP1Y", " ", "+", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"basisY", "[", 
                RowBox[{
                "i", ",", " ", "P1x", ",", " ", "P1y", ",", " ", "P1z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basis", "[", 
                RowBox[{
                "j", ",", " ", "P1x", ",", " ", "P1y", ",", " ", "P1z"}], 
                "]"}]}], " ", "+", 
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{
                "i", ",", " ", "P1x", ",", " ", "P1y", ",", " ", "P1z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basisY", "[", 
                RowBox[{
                "j", ",", " ", "P1x", ",", " ", "P1y", ",", " ", "P1z"}], 
                "]"}]}]}], ")"}], "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"gradP2Y", " ", "=", " ", 
          RowBox[{"gradP2Y", " ", "+", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"basisY", "[", 
                RowBox[{
                "i", ",", " ", "P2x", ",", " ", "P2y", ",", " ", "P2z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basis", "[", 
                RowBox[{
                "j", ",", " ", "P2x", ",", " ", "P2y", ",", " ", "P2z"}], 
                "]"}]}], " ", "+", 
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{
                "i", ",", " ", "P2x", ",", " ", "P2y", ",", " ", "P2z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basisY", "[", 
                RowBox[{
                "j", ",", " ", "P2x", ",", " ", "P2y", ",", " ", "P2z"}], 
                "]"}]}]}], ")"}], "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"gradP3Y", " ", "=", " ", 
          RowBox[{"gradP3Y", " ", "+", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"basisY", "[", 
                RowBox[{
                "i", ",", " ", "P3x", ",", " ", "P3y", ",", " ", "P3z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basis", "[", 
                RowBox[{
                "j", ",", " ", "P3x", ",", " ", "P3y", ",", " ", "P3z"}], 
                "]"}]}], " ", "+", 
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{
                "i", ",", " ", "P3x", ",", " ", "P3y", ",", " ", "P3z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basisY", "[", 
                RowBox[{
                "j", ",", " ", "P3x", ",", " ", "P3y", ",", " ", "P3z"}], 
                "]"}]}]}], ")"}], "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"gradP0Z", "=", " ", 
          RowBox[{"gradP0Z", "+", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"basisZ", "[", 
                RowBox[{
                "i", ",", " ", "P0x", ",", " ", "P0y", ",", " ", "P0z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basis", "[", 
                RowBox[{
                "j", ",", " ", "P0x", ",", " ", "P0y", ",", " ", "P0z"}], 
                "]"}]}], " ", "+", 
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{
                "i", ",", " ", "P0x", ",", " ", "P0y", ",", " ", "P0z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basisZ", "[", 
                RowBox[{
                "j", ",", " ", "P0x", ",", " ", "P0y", ",", " ", "P0z"}], 
                "]"}]}]}], ")"}], "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"gradP1Z", "=", " ", 
          RowBox[{"gradP1Z", "+", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"basisZ", "[", 
                RowBox[{
                "i", ",", " ", "P1x", ",", " ", "P1y", ",", " ", "P1z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basis", "[", 
                RowBox[{
                "j", ",", " ", "P1x", ",", " ", "P1y", ",", " ", "P1z"}], 
                "]"}]}], " ", "+", 
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{
                "i", ",", " ", "P1x", ",", " ", "P1y", ",", " ", "P1z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basisZ", "[", 
                RowBox[{
                "j", ",", " ", "P1x", ",", " ", "P1y", ",", " ", "P1z"}], 
                "]"}]}]}], ")"}], "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"gradP2Z", "=", " ", 
          RowBox[{"gradP2Z", " ", "+", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"basisZ", "[", 
                RowBox[{
                "i", ",", " ", "P2x", ",", " ", "P2y", ",", " ", "P2z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basis", "[", 
                RowBox[{
                "j", ",", " ", "P2x", ",", " ", "P2y", ",", " ", "P2z"}], 
                "]"}]}], " ", "+", 
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{
                "i", ",", " ", "P2x", ",", " ", "P2y", ",", " ", "P2z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basisZ", "[", 
                RowBox[{
                "j", ",", " ", "P2x", ",", " ", "P2y", ",", " ", "P2z"}], 
                "]"}]}]}], ")"}], "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"gradP3Z", " ", "=", " ", 
          RowBox[{"gradP3Z", " ", "+", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"basisZ", "[", 
                RowBox[{
                "i", ",", " ", "P3x", ",", " ", "P3y", ",", " ", "P3z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basis", "[", 
                RowBox[{
                "j", ",", " ", "P3x", ",", " ", "P3y", ",", " ", "P3z"}], 
                "]"}]}], " ", "+", 
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{
                "i", ",", " ", "P3x", ",", " ", "P3y", ",", " ", "P3z"}], 
                "]"}], " ", "*", " ", 
               RowBox[{"basisZ", "[", 
                RowBox[{
                "j", ",", " ", "P3x", ",", " ", "P3y", ",", " ", "P3z"}], 
                "]"}]}]}], ")"}], "*", " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"hessXX", "[", 
           RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", 
          " ", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{"i", ",", " ", "x", ",", "y", ",", "z"}], "]"}], "*", 
               
               RowBox[{"basis", "[", 
                RowBox[{"j", ",", "x", ",", "y", ",", "z"}], "]"}]}], ",", 
              "x"}], "]"}], ",", "x"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"hessP0XX", " ", "=", " ", 
          RowBox[{"hessP0XX", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessXX", "[", 
             RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP1XX", " ", "=", " ", 
          RowBox[{"hessP1XX", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessXX", "[", 
             RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP2XX", " ", "=", " ", 
          RowBox[{"hessP2XX", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessXX", "[", 
             RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP3XX", " ", "=", " ", 
          RowBox[{"hessP3XX", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessXX", "[", 
             RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"hessXY", "[", 
           RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", 
          " ", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{"i", ",", " ", "x", ",", "y", ",", "z"}], "]"}], "*", 
               
               RowBox[{"basis", "[", 
                RowBox[{"j", ",", "x", ",", "y", ",", "z"}], "]"}]}], ",", 
              "x"}], "]"}], ",", "y"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"hessP0XY", " ", "=", " ", 
          RowBox[{"hessP0XY", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessXY", "[", 
             RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP1XY", " ", "=", " ", 
          RowBox[{"hessP1XY", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessXY", "[", 
             RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP2XY", " ", "=", " ", 
          RowBox[{"hessP2XY", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessXY", "[", 
             RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP3XY", " ", "=", " ", 
          RowBox[{"hessP3XY", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessXY", "[", 
             RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"hessXZ", "[", 
           RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", 
          " ", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{"i", ",", " ", "x", ",", "y", ",", "z"}], "]"}], "*", 
               
               RowBox[{"basis", "[", 
                RowBox[{"j", ",", "x", ",", "y", ",", "z"}], "]"}]}], ",", 
              "x"}], "]"}], ",", "z"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"hessP0XZ", " ", "=", " ", 
          RowBox[{"hessP0XZ", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessXZ", "[", 
             RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP1XZ", " ", "=", " ", 
          RowBox[{"hessP1XZ", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessXZ", "[", 
             RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP2XZ", " ", "=", " ", 
          RowBox[{"hessP2XZ", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessXZ", "[", 
             RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP3XZ", " ", "=", " ", 
          RowBox[{"hessP3XZ", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessXZ", "[", 
             RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"hessYY", "[", 
           RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", 
          " ", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{"i", ",", " ", "x", ",", "y", ",", "z"}], "]"}], "*", 
               
               RowBox[{"basis", "[", 
                RowBox[{"j", ",", "x", ",", "y", ",", "z"}], "]"}]}], ",", 
              "y"}], "]"}], ",", "y"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"hessP0YY", " ", "=", " ", 
          RowBox[{"hessP0YY", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessYY", "[", 
             RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP1YY", " ", "=", " ", 
          RowBox[{"hessP1YY", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessYY", "[", 
             RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP2YY", " ", "=", " ", 
          RowBox[{"hessP2YY", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessYY", "[", 
             RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP3YY", " ", "=", " ", 
          RowBox[{"hessP3YY", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessYY", "[", 
             RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"hessYZ", "[", 
           RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", 
          " ", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{"i", ",", " ", "x", ",", "y", ",", "z"}], "]"}], "*", 
               
               RowBox[{"basis", "[", 
                RowBox[{"j", ",", "x", ",", "y", ",", "z"}], "]"}]}], ",", 
              "y"}], "]"}], ",", "z"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"hessP0YZ", " ", "=", " ", 
          RowBox[{"hessP0YZ", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessYZ", "[", 
             RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP1YZ", " ", "=", " ", 
          RowBox[{"hessP1YZ", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessYZ", "[", 
             RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP2YZ", " ", "=", " ", 
          RowBox[{"hessP2YZ", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessYZ", "[", 
             RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP3YZ", " ", "=", " ", 
          RowBox[{"hessP3YZ", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessYZ", "[", 
             RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"hessZZ", "[", 
           RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", 
          " ", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"basis", "[", 
                RowBox[{"i", ",", " ", "x", ",", "y", ",", "z"}], "]"}], "*", 
               
               RowBox[{"basis", "[", 
                RowBox[{"j", ",", "x", ",", "y", ",", "z"}], "]"}]}], ",", 
              "z"}], "]"}], ",", "z"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"hessP0ZZ", " ", "=", " ", 
          RowBox[{"hessP0ZZ", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessZZ", "[", 
             RowBox[{"P0x", ",", " ", "P0y", ",", " ", "P0z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP1ZZ", " ", "=", " ", 
          RowBox[{"hessP1ZZ", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessZZ", "[", 
             RowBox[{"P1x", ",", " ", "P1y", ",", " ", "P1z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP2ZZ", " ", "=", " ", 
          RowBox[{"hessP2ZZ", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessZZ", "[", 
             RowBox[{"P2x", ",", " ", "P2y", ",", " ", "P2z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"hessP3ZZ", " ", "=", " ", 
          RowBox[{"hessP3ZZ", " ", "+", " ", 
           RowBox[{
            RowBox[{"hessZZ", "[", 
             RowBox[{"P3x", ",", " ", "P3y", ",", " ", "P3z"}], "]"}], "*", 
            " ", 
            RowBox[{"densityMatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}]}]}], ";"}]}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"densP0", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"densP1", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"densP2", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"densP3", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Gradient\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"gradP0X", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"gradP1X", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"gradP2X", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"gradP3X", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"gradP0Y", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"gradP1Y", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"gradP2Y", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"gradP3Y", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"gradP0Z", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"gradP1Z", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"gradP2Z", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"gradP3Z", ",", " ", "12"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "\"\<Hessian\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP0XX", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP1XX", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP2XX", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP3XX", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP0XY", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP1XY", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP2XY", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP3XY", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP0XZ", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP1XZ", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP2XZ", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP3XZ", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP0YY", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP1YY", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP2YY", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP3YY", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP0YZ", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP1YZ", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP2YZ", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP3YZ", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP0ZZ", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP1ZZ", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP2ZZ", ",", " ", "14"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"hessP3ZZ", ",", " ", "14"}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.650878135052766*^9, 3.6508781579368896`*^9}, {
   3.650878299227942*^9, 3.6508783002838287`*^9}, {3.650878506597638*^9, 
   3.650878523388811*^9}, {3.650878586155455*^9, 3.650878588754044*^9}, {
   3.650878702991827*^9, 3.650878722302684*^9}, 3.650878759029243*^9, {
   3.6508789427360287`*^9, 3.650878967190186*^9}, {3.650879041659536*^9, 
   3.650879154758027*^9}, {3.650879201564827*^9, 3.650879310146521*^9}, {
   3.6508795303848*^9, 3.650880161481843*^9}, {3.650880197972574*^9, 
   3.650880336743931*^9}, {3.65088038492537*^9, 3.65088041201779*^9}, 
   3.650880522674329*^9, {3.650880555134048*^9, 3.650881226572031*^9}, {
   3.650881828268086*^9, 3.65088186080142*^9}, 3.650882460889722*^9, {
   3.650885082981565*^9, 3.650885092629182*^9}, 3.650885386690208*^9, 
   3.650885969263145*^9, {3.6508861333365183`*^9, 3.650886641939178*^9}, {
   3.650886687012555*^9, 3.650886721420186*^9}, {3.6509484633550463`*^9, 
   3.650948544314591*^9}, {3.650948579303533*^9, 3.650948638953784*^9}, {
   3.650949313975531*^9, 3.650949341717792*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493461684427`*^9}],

Cell[BoxData["0.9985854069448039105338921217480674386`12."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346442039*^9}],

Cell[BoxData["0.08561472560346716775825370859820395708`12."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346443376*^9}],

Cell[BoxData["0.15996631995261423320187077479204162955`12."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346444745*^9}],

Cell[BoxData["0.00014259997407554031488910450953255804`12."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346445818*^9}],

Cell[BoxData["\<\"Gradient\"\>"], "Print",
 CellChangeTimes->{
  3.650880341693144*^9, {3.650880393648265*^9, 3.650880416044841*^9}, 
   3.65088052633867*^9, {3.650881210527128*^9, 3.6508812302594213`*^9}, 
   3.650881867947782*^9, 3.650882477925528*^9, 3.650885097216917*^9, 
   3.650885392568351*^9, 3.6508859819633503`*^9, 3.650886649419653*^9, 
   3.650886729245813*^9, 3.650948651947221*^9, 3.650949346446974*^9}],

Cell[BoxData["0.33096724342930600171186483748897444457`12."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493464475517`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.5110315151689328594386552140349522233`12."}]], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346448556*^9}],

Cell[BoxData["0.21602477357445939998292772088461788371`12."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493464494762`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00107982066132154570087253731003329449`12."}]], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346450377*^9}],

Cell[BoxData["0.10986471469074921003539202501997351646`12."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493464512672`*^9}],

Cell[BoxData["0.11524354948399281872717381247639423236`12."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346452198*^9}],

Cell[BoxData["0.30878082749442370413817116059362888336`12."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346453106*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00014404919040276453474740125937358926`12."}]], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346454008*^9}],

Cell[BoxData["0.1733039064465909662171583249801187776`12."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346454938*^9}],

Cell[BoxData["0.14900968858086169332999304515396943316`12."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.65094934645581*^9}],

Cell[BoxData[
 RowBox[{"-", "0.01470163427468577747869726835006076726`12."}]], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.65094934645669*^9}],

Cell[BoxData["0.00048091288667552234458238413772335207`12."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493464575577`*^9}],

Cell[BoxData["\<\"Hessian\"\>"], "Print",
 CellChangeTimes->{
  3.650880341693144*^9, {3.650880393648265*^9, 3.650880416044841*^9}, 
   3.65088052633867*^9, {3.650881210527128*^9, 3.6508812302594213`*^9}, 
   3.650881867947782*^9, 3.650882477925528*^9, 3.650885097216917*^9, 
   3.650885392568351*^9, 3.6508859819633503`*^9, 3.650886649419653*^9, 
   3.650886729245813*^9, 3.650948651947221*^9, 3.650949346458415*^9}],

Cell[BoxData[
 RowBox[{"-", "4.04973950776220448233289062045514583588`14."}]], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346458928*^9}],

Cell[BoxData["3.39461782242771015205562434857711195946`14."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346459807*^9}],

Cell[BoxData["0.17663869285659736241278494617290562019`14."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346460696*^9}],

Cell[BoxData["0.00761161932993639506889183010684973851`14."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346461603*^9}],

Cell[BoxData["0.07754719886644494131200389119840110652`14."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493464626427`*^9}],

Cell[BoxData["0.05869528879139564864209077654777502175`14."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493464635344`*^9}],

Cell[BoxData["0.30516290080961117059388243433204479516`14."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346464405*^9}],

Cell[BoxData["0.00103554282684740041678428390525823488`14."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493464652567`*^9}],

Cell[BoxData["0.34553903256919199504793027699633967131`14."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493464661283`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.5001752208413160483146953083632979542`14."}]], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493464670067`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.03592208672313018658073247024731244892`14."}]], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493464678707`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00360845205397674305414223994148414931`14."}]], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493464687347`*^9}],

Cell[BoxData[
 RowBox[{"-", "2.93087316866529778991434795898385345936`14."}]], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346469596*^9}],

Cell[BoxData["14.00922194412430599186336621642112731934`14."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493464704943`*^9}],

Cell[BoxData["0.38202375529245607976847054487734567374`14."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346471533*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00030798024947143701375573687784026333`14."}]], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346472475*^9}],

Cell[BoxData["0.0228944324354866390880403059782111086`14."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346473365*^9}],

Cell[BoxData[
 RowBox[{"-", "0.06173053354112049279089902142914070282`14."}]], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346474225*^9}],

Cell[BoxData[
 RowBox[{"-", "0.02638914207834225367221847591281402856`14."}]], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493464750977`*^9}],

Cell[BoxData[
 RowBox[{"-", "0.00039799531131632162606059921472478891`14."}]], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346475975*^9}],

Cell[BoxData[
 RowBox[{"-", "4.01265535861852296051210942096076905727`14."}]], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493464768476`*^9}],

Cell[BoxData["4.25238887264393650156080184387974441051`14."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346477724*^9}],

Cell[BoxData[
 RowBox[{"-", "0.23944457823680284636047588264773366973`14."}]], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.650949346478648*^9}],

Cell[BoxData["0.00107804807054869369355165620305569973`14."], "Output",
 CellChangeTimes->{3.6508818679435463`*^9, 3.6508824779188337`*^9, 
  3.650885097212326*^9, 3.6508853925053864`*^9, 3.6508859819008293`*^9, 
  3.650886649127336*^9, 3.6508867289628468`*^9, 3.65094865166658*^9, 
  3.6509493464795713`*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.650949328866625*^9},
 NumberMarks->False]
},
WindowSize->{740, 867},
WindowMargins->{{Automatic, 582}, {37, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 461, 11, 55, "Input"],
Cell[CellGroupData[{
Cell[1043, 35, 69583, 1784, 7623, "Input"],
Cell[70629, 1821, 269, 4, 32, "Output"],
Cell[70901, 1827, 306, 4, 32, "Output"],
Cell[71210, 1833, 307, 4, 32, "Output"],
Cell[71520, 1839, 307, 4, 32, "Output"],
Cell[71830, 1845, 307, 4, 32, "Output"],
Cell[72140, 1851, 418, 6, 23, "Print"],
Cell[72561, 1859, 309, 4, 32, "Output"],
Cell[72873, 1865, 323, 5, 32, "Output"],
Cell[73199, 1872, 309, 4, 32, "Output"],
Cell[73511, 1878, 324, 5, 32, "Output"],
Cell[73838, 1885, 309, 4, 32, "Output"],
Cell[74150, 1891, 307, 4, 32, "Output"],
Cell[74460, 1897, 307, 4, 32, "Output"],
Cell[74770, 1903, 324, 5, 32, "Output"],
Cell[75097, 1910, 306, 4, 32, "Output"],
Cell[75406, 1916, 306, 4, 32, "Output"],
Cell[75715, 1922, 323, 5, 32, "Output"],
Cell[76041, 1929, 309, 4, 32, "Output"],
Cell[76353, 1935, 417, 6, 23, "Print"],
Cell[76773, 1943, 324, 5, 32, "Output"],
Cell[77100, 1950, 307, 4, 32, "Output"],
Cell[77410, 1956, 307, 4, 32, "Output"],
Cell[77720, 1962, 307, 4, 32, "Output"],
Cell[78030, 1968, 309, 4, 32, "Output"],
Cell[78342, 1974, 309, 4, 32, "Output"],
Cell[78654, 1980, 307, 4, 32, "Output"],
Cell[78964, 1986, 309, 4, 32, "Output"],
Cell[79276, 1992, 309, 4, 32, "Output"],
Cell[79588, 1998, 325, 5, 32, "Output"],
Cell[79916, 2005, 326, 5, 32, "Output"],
Cell[80245, 2012, 326, 5, 32, "Output"],
Cell[80574, 2019, 324, 5, 32, "Output"],
Cell[80901, 2026, 310, 4, 32, "Output"],
Cell[81214, 2032, 307, 4, 32, "Output"],
Cell[81524, 2038, 324, 5, 32, "Output"],
Cell[81851, 2045, 306, 4, 32, "Output"],
Cell[82160, 2051, 324, 5, 32, "Output"],
Cell[82487, 2058, 326, 5, 32, "Output"],
Cell[82816, 2065, 324, 5, 32, "Output"],
Cell[83143, 2072, 326, 5, 32, "Output"],
Cell[83472, 2079, 307, 4, 32, "Output"],
Cell[83782, 2085, 324, 5, 32, "Output"],
Cell[84109, 2092, 309, 4, 32, "Output"]
}, Open  ]],
Cell[84433, 2099, 89, 2, 32, "Input"]
}
]
*)

(* End of internal cache information *)
