(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      5432,        177]
NotebookOptionsPosition[      4969,        157]
NotebookOutlinePosition[      5306,        172]
CellTagsIndexPosition[      5263,        169]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6557329298058367`*^9, 3.6557330950805893`*^9}, {
   3.6557331390338287`*^9, 3.6557332183351097`*^9}, 3.655788868553834*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"m", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a", ",", " ", 
      RowBox[{"b", "*", "cosgamma"}], ",", " ", 
      RowBox[{"c", "*", "cosbeta"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", " ", 
      RowBox[{"b", "*", "singamma"}], ",", " ", 
      RowBox[{"c", "*", "expr1"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", 
      RowBox[{"c", "*", "expr2"}]}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"m", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"n", "=", 
  RowBox[{"Inverse", "[", "m", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"n", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.655788888003818*^9, 3.655788891110557*^9}, {
  3.655788939055849*^9, 3.655789032448394*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"b", " ", "cosgamma"}], ",", 
     RowBox[{"c", " ", "cosbeta"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"b", " ", "singamma"}], ",", 
     RowBox[{"c", " ", "expr1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"c", " ", "expr2"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.655789035436187*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"a", 
      RowBox[{"b", " ", "cosgamma"}], 
      RowBox[{"c", " ", "cosbeta"}]},
     {"0", 
      RowBox[{"b", " ", "singamma"}], 
      RowBox[{"c", " ", "expr1"}]},
     {"0", "0", 
      RowBox[{"c", " ", "expr2"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.655789035566062*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "a"], ",", 
     RowBox[{"-", 
      FractionBox["cosgamma", 
       RowBox[{"a", " ", "singamma"}]]}], ",", 
     FractionBox[
      RowBox[{
       RowBox[{"b", " ", "c", " ", "cosgamma", " ", "expr1"}], "-", 
       RowBox[{"b", " ", "c", " ", "cosbeta", " ", "singamma"}]}], 
      RowBox[{"a", " ", "b", " ", "c", " ", "expr2", " ", "singamma"}]]}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", 
      RowBox[{"b", " ", "singamma"}]], ",", 
     RowBox[{"-", 
      FractionBox["expr1", 
       RowBox[{"b", " ", "expr2", " ", "singamma"}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     FractionBox["1", 
      RowBox[{"c", " ", "expr2"}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.655789035708552*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "a"], 
      RowBox[{"-", 
       FractionBox["cosgamma", 
        RowBox[{"a", " ", "singamma"}]]}], 
      FractionBox[
       RowBox[{
        RowBox[{"b", " ", "c", " ", "cosgamma", " ", "expr1"}], "-", 
        RowBox[{"b", " ", "c", " ", "cosbeta", " ", "singamma"}]}], 
       RowBox[{"a", " ", "b", " ", "c", " ", "expr2", " ", "singamma"}]]},
     {"0", 
      FractionBox["1", 
       RowBox[{"b", " ", "singamma"}]], 
      RowBox[{"-", 
       FractionBox["expr1", 
        RowBox[{"b", " ", "expr2", " ", "singamma"}]]}]},
     {"0", "0", 
      FractionBox["1", 
       RowBox[{"c", " ", "expr2"}]]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.655789035710094*^9}]
}, Open  ]]
},
WindowSize->{740, 867},
WindowMargins->{{148, Automatic}, {Automatic, 56}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 172, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[754, 26, 797, 21, 121, "Input"],
Cell[1554, 49, 460, 14, 32, "Output"],
Cell[2017, 65, 822, 24, 79, "Output"],
Cell[2842, 91, 870, 26, 94, "Output"],
Cell[3715, 119, 1238, 35, 175, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

