(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     23169,        555]
NotebookOptionsPosition[     22736,        536]
NotebookOutlinePosition[     23073,        551]
CellTagsIndexPosition[     23030,        548]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Uses", " ", "functions", " ", "defined", " ", "in", " ", 
    RowBox[{"BasisFunctionDerivativeAnalytic3", ".", "nb"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Before", " ", "running", " ", "this", " ", "file", " ", "open", " ", 
    "and", " ", "evaluate", " ", "that", " ", "notebook"}], "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Pack", " ", "basis", " ", "into", " ", "an", " ", "indexable", " ", 
    "object"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"0", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"s", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"1", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"px", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"2", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"py", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"3", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"4", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxx", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"5", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxy", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"6", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"7", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyy", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"8", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"9", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dzz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.651829549718054*^9, 3.651829551012699*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Point1x", "=", 
   RowBox[{"-", "1.0"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point1y", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point1z", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point1w", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point2x", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point2y", "=", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point2z", "=", "0.4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point2w", "=", "0.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point3x", "=", "0.0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point3y", "=", 
   RowBox[{"-", "0.4"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point3z", "=", 
   RowBox[{"-", "0.5"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point3w", "=", "0.15"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point4x", "=", "0.8"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point4y", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point4z", "=", 
   RowBox[{"-", "0.1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point4w", "=", "0.15"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point5x", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point5y", "=", 
   RowBox[{"-", "0.1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point5z", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Point5w", "=", "0.4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"potential", "=", 
   RowBox[{"{", 
    RowBox[{"1.3", ",", " ", 
     RowBox[{"-", "0.7"}], ",", " ", "5.4", ",", " ", "0.0003", ",", " ", 
     RowBox[{"-", "0.3"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.652006911389248*^9, 3.652006965357897*^9}, 
   3.6520069954293947`*^9, {3.6520074581329403`*^9, 3.652007629207502*^9}, {
   3.652007710716792*^9, 3.6520077132519283`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"gradPotX", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.0002"}], ",", " ", "0.02", ",", " ", 
     RowBox[{"-", "1.3"}], ",", " ", 
     RowBox[{"-", "0.004"}], ",", " ", "0.001"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gradPotY", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"0.01", ",", " ", 
     RowBox[{"-", "0.1"}], ",", " ", "2.2", ",", " ", "0.03", ",", " ", 
     RowBox[{"-", "0.0025"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gradPotZ", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.03"}], ",", " ", "0.007", ",", " ", 
     RowBox[{"-", "0.4"}], ",", " ", "0.0000007", ",", " ", "0.00004"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fockMatrix", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", 
       "0.0", ",", "0.0", ",", "0.0", ",", "0.0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", 
       "0.0", ",", "0.0", ",", "0.0", ",", "0.0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", 
       "0.0", ",", "0.0", ",", "0.0", ",", "0.0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", 
       "0.0", ",", "0.0", ",", "0.0", ",", "0.0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", 
       "0.0", ",", "0.0", ",", "0.0", ",", "0.0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", 
       "0.0", ",", "0.0", ",", "0.0", ",", "0.0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", 
       "0.0", ",", "0.0", ",", "0.0", ",", "0.0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", 
       "0.0", ",", "0.0", ",", "0.0", ",", "0.0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", 
       "0.0", ",", "0.0", ",", "0.0", ",", "0.0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", "0.0", ",", 
       "0.0", ",", "0.0", ",", "0.0", ",", "0.0"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", "=", "0"}], ",", " ", 
   RowBox[{"i", "<", "10"}], ",", " ", 
   RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"j", "=", "0"}], ",", " ", 
     RowBox[{"j", "<", "10"}], ",", " ", 
     RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"func", "[", 
        RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
       RowBox[{
        RowBox[{"basis", "[", 
         RowBox[{"i", ",", "x", ",", "y", ",", "z"}], "]"}], "*", 
        RowBox[{"basis", "[", 
         RowBox[{"j", ",", "x", ",", "y", ",", "z"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"funcX", "[", 
        RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"func", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"funcY", "[", 
        RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"func", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "y"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"funcZ", "[", 
        RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"func", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "z"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"fockMatrix", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"i", "+", "1"}], ",", " ", 
          RowBox[{"j", "+", "1"}]}], "]"}], "]"}], " ", "=", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"func", "[", 
          RowBox[{"Point1x", ",", "Point1y", ",", "Point1z"}], "]"}], "*", 
         RowBox[{"potential", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "*", "Point1w"}], " ", "+", 
        RowBox[{
         RowBox[{"func", "[", 
          RowBox[{"Point2x", ",", "Point2y", ",", "Point2z"}], "]"}], "*", 
         RowBox[{"potential", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "*", "Point2w"}], " ", "+", 
        RowBox[{
         RowBox[{"func", "[", 
          RowBox[{"Point3x", ",", "Point3y", ",", "Point3z"}], "]"}], "*", 
         RowBox[{"potential", "[", 
          RowBox[{"[", "3", "]"}], "]"}], "*", "Point3w"}], " ", "+", 
        RowBox[{
         RowBox[{"func", "[", 
          RowBox[{"Point4x", ",", "Point4y", ",", "Point4z"}], "]"}], "*", 
         RowBox[{"potential", "[", 
          RowBox[{"[", "4", "]"}], "]"}], "*", "Point4w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"func", "[", 
          RowBox[{"Point5x", ",", "Point5y", ",", "Point5z"}], "]"}], "*", 
         RowBox[{"potential", "[", 
          RowBox[{"[", "5", "]"}], "]"}], "*", "Point5w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"funcX", "[", 
          RowBox[{"Point1x", ",", "Point1y", ",", "Point1z"}], "]"}], "*", 
         RowBox[{"gradPotX", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "*", "Point1w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"funcX", "[", 
          RowBox[{"Point2x", ",", "Point2y", ",", "Point2z"}], "]"}], "*", 
         RowBox[{"gradPotX", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "*", "Point2w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"funcX", "[", 
          RowBox[{"Point3x", ",", "Point3y", ",", "Point3z"}], "]"}], "*", 
         RowBox[{"gradPotX", "[", 
          RowBox[{"[", "3", "]"}], "]"}], "*", "Point3w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"funcX", "[", 
          RowBox[{"Point4x", ",", "Point4y", ",", "Point4z"}], "]"}], "*", 
         RowBox[{"gradPotX", "[", 
          RowBox[{"[", "4", "]"}], "]"}], "*", "Point4w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"funcX", "[", 
          RowBox[{"Point5x", ",", "Point5y", ",", "Point5z"}], "]"}], "*", 
         RowBox[{"gradPotX", "[", 
          RowBox[{"[", "5", "]"}], "]"}], "*", "Point5w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"funcY", "[", 
          RowBox[{"Point1x", ",", "Point1y", ",", "Point1z"}], "]"}], "*", 
         RowBox[{"gradPotY", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "*", "Point1w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"funcY", "[", 
          RowBox[{"Point2x", ",", "Point2y", ",", "Point2z"}], "]"}], "*", 
         RowBox[{"gradPotY", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "*", "Point2w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"funcY", "[", 
          RowBox[{"Point3x", ",", "Point3y", ",", "Point3z"}], "]"}], "*", 
         RowBox[{"gradPotY", "[", 
          RowBox[{"[", "3", "]"}], "]"}], "*", "Point3w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"funcY", "[", 
          RowBox[{"Point4x", ",", "Point4y", ",", "Point4z"}], "]"}], "*", 
         RowBox[{"gradPotY", "[", 
          RowBox[{"[", "4", "]"}], "]"}], "*", "Point4w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"funcY", "[", 
          RowBox[{"Point5x", ",", "Point5y", ",", "Point5z"}], "]"}], "*", 
         RowBox[{"gradPotY", "[", 
          RowBox[{"[", "5", "]"}], "]"}], "*", "Point5w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"funcZ", "[", 
          RowBox[{"Point1x", ",", "Point1y", ",", "Point1z"}], "]"}], "*", 
         RowBox[{"gradPotZ", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "*", "Point1w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"funcZ", "[", 
          RowBox[{"Point2x", ",", "Point2y", ",", "Point2z"}], "]"}], "*", 
         RowBox[{"gradPotZ", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "*", "Point2w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"funcZ", "[", 
          RowBox[{"Point3x", ",", "Point3y", ",", "Point3z"}], "]"}], "*", 
         RowBox[{"gradPotZ", "[", 
          RowBox[{"[", "3", "]"}], "]"}], "*", "Point3w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"funcZ", "[", 
          RowBox[{"Point4x", ",", "Point4y", ",", "Point4z"}], "]"}], "*", 
         RowBox[{"gradPotZ", "[", 
          RowBox[{"[", "4", "]"}], "]"}], "*", "Point4w"}], " ", "+", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"funcZ", "[", 
          RowBox[{"Point5x", ",", "Point5y", ",", "Point5z"}], "]"}], "*", 
         RowBox[{"gradPotZ", "[", 
          RowBox[{"[", "5", "]"}], "]"}], "*", "Point5w"}]}]}], ";"}]}], 
    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetPrecision", "[", 
   RowBox[{"fockMatrix", ",", " ", "14"}], "]"}], " ", "//", " ", 
  "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.652006971593276*^9, 3.652007393848688*^9}, {
   3.65200763471467*^9, 3.6520079351876173`*^9}, {3.652008026044685*^9, 
   3.6520080394458513`*^9}, 3.652008605361024*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.25282558122986076298843727272469550371`14.", 
      RowBox[{"-", "0.12409479321941782603566650777793256566`14."}], 
      RowBox[{"-", "0.00475216566825970715415294876038387883`14."}], 
      RowBox[{"-", "0.1067969497407091350460461853799642995`14."}], 
      RowBox[{"-", "0.00185747743803660542508127129224249074`14."}], 
      "0.00468589726818003770442144784169613558`14.", 
      "0.00026916582718880077522427551883765773`14.", 
      RowBox[{"-", "0.00185969135500969450641717273242647934`14."}], 
      "0.00409253726745946629084205170556742814`14.", 
      "0.00236266320148408124485195358488454076`14."},
     {
      RowBox[{"-", "0.12409479321941782603566650777793256566`14."}], 
      "0.0521829126965383943703713498507568147`14.", 
      RowBox[{"-", "0.00997065788479491871276749748176371213`14."}], 
      "0.05941317902588711535871723867785476614`14.", 
      "0.00138839978284719376723510553262030953`14.", 
      RowBox[{"-", "0.00376835745151198747704412994607992005`14."}], 
      RowBox[{"-", "0.00044259505859042900383082397297584976`14."}], 
      "0.00240555304732967874942195507514952624`14.", 
      RowBox[{"-", "0.00125854291387794041748304785244272352`14."}], 
      RowBox[{"-", "0.00107860026576976370665805760040711903`14."}]},
     {
      RowBox[{"-", "0.00475216566825970715415294876038387883`14."}], 
      RowBox[{"-", "0.00997065788479491871276749748176371213`14."}], 
      RowBox[{"-", "0.03037643379055631615015542479341092985`14."}], 
      RowBox[{"-", "0.0116734482815232607638700201846404525`14."}], 
      RowBox[{"-", "0.00095287454186998815468256918137512912`14."}], 
      "0.00344012500685584362430935456700353825`14.", 
      "0.00123095726471956980370425771553755112`14.", 
      RowBox[{"-", "0.00422628995462918152087317125165100151`14."}], 
      RowBox[{"-", "0.00280442103849736813769855103828376741`14."}], 
      RowBox[{"-", "0.00067825683614292412403068421866692006`14."}]},
     {
      RowBox[{"-", "0.1067969497407091350460461853799642995`14."}], 
      "0.05941317902588711535871723867785476614`14.", 
      RowBox[{"-", "0.0116734482815232607638700201846404525`14."}], 
      "0.02000436014167697451604510661127278581`14.", 
      RowBox[{"-", "0.00097016001967149671260381982307308135`14."}], 
      "0.00383713666428747626063744391444743087`14.", 
      "0.00164920532103037236620890482186041481`14.", 
      RowBox[{"-", "0.00550632118598260496961094290213623026`14."}], 
      RowBox[{"-", "0.00432676993948282948010408688332972815`14."}], 
      RowBox[{"-", "0.00120022827064632220915585403275827048`14."}]},
     {
      RowBox[{"-", "0.00185747743803660542508127129224249074`14."}], 
      "0.00138839978284719376723510553262030953`14.", 
      RowBox[{"-", "0.00095287454186998815468256918137512912`14."}], 
      RowBox[{"-", "0.00097016001967149671260381982307308135`14."}], 
      RowBox[{"-", "0.00017355241059080275269586868258642198`14."}], 
      "0.00058405722706816442374444520169163297`14.", 
      "0.00018198432502703295503623803774928547`14.", 
      RowBox[{"-", "0.00065155316472777029777885271499826558`14."}], 
      RowBox[{"-", "0.00034909681010932686311826200764585337`14."}], 
      RowBox[{"-", "0.00006066092154902196002764711013632848`14."}]},
     {"0.00468589726818003770442144784169613558`14.", 
      RowBox[{"-", "0.00376835745151198747704412994607992005`14."}], 
      "0.00344012500685584362430935456700353825`14.", 
      "0.00383713666428747626063744391444743087`14.", 
      "0.00058405722706816442374444520169163297`14.", 
      RowBox[{"-", "0.00195465949418330980913438565949036274`14."}], 
      RowBox[{"-", "0.00060465341186957850816430237728127395`14."}], 
      "0.00216373649925885374808998129481096839`14.", 
      "0.00114376556686872181411995796906921896`14.", 
      "0.00019325142587431131746891765921247952`14."},
     {"0.00026916582718880077522427551883765773`14.", 
      RowBox[{"-", "0.00044259505859042900383082397297584976`14."}], 
      "0.00123095726471956980370425771553755112`14.", 
      "0.00164920532103037236620890482186041481`14.", 
      "0.00018198432502703295503623803774928547`14.", 
      RowBox[{"-", "0.00060465341186957850816430237728127395`14."}], 
      RowBox[{"-", "0.00018198276464706576488646050382413932`14."}], 
      "0.00066035335792148154056280251467114795`14.", 
      "0.00033472128824943783720335943598911399`14.", 
      "0.00005202236748371963332782455524672116`14."},
     {
      RowBox[{"-", "0.00185969135500969450641717273242647934`14."}], 
      "0.00240555304732967874942195507514952624`14.", 
      RowBox[{"-", "0.00422628995462918152087317125165100151`14."}], 
      RowBox[{"-", "0.00550632118598260496961094290213623026`14."}], 
      RowBox[{"-", "0.00065155316472777029777885271499826558`14."}], 
      "0.00216373649925885374808998129481096839`14.", 
      "0.00066035335792148154056280251467114795`14.", 
      RowBox[{"-", "0.00270212786720450386795944197615426674`14."}], 
      RowBox[{"-", "0.00114041501530682577725261950263302424`14."}], 
      RowBox[{"-", "0.00010498802950261677184411179819534254`14."}]},
     {"0.00409253726745946629084205170556742814`14.", 
      RowBox[{"-", "0.00125854291387794041748304785244272352`14."}], 
      RowBox[{"-", "0.00280442103849736813769855103828376741`14."}], 
      RowBox[{"-", "0.00432676993948282948010408688332972815`14."}], 
      RowBox[{"-", "0.00034909681010932686311826200764585337`14."}], 
      "0.00114376556686872181411995796906921896`14.", 
      "0.00033472128824943783720335943598911399`14.", 
      RowBox[{"-", "0.00114041501530682577725261950263302424`14."}], 
      RowBox[{"-", "0.00031496408850784996316662933679708658`14."}], 
      "0.00003268036981069695657989640502627537`14."},
     {"0.00236266320148408124485195358488454076`14.", 
      RowBox[{"-", "0.00107860026576976370665805760040711903`14."}], 
      RowBox[{"-", "0.00067825683614292412403068421866692006`14."}], 
      RowBox[{"-", "0.00120022827064632220915585403275827048`14."}], 
      RowBox[{"-", "0.00006066092154902196002764711013632848`14."}], 
      "0.00019325142587431131746891765921247952`14.", 
      "0.00005202236748371963332782455524672116`14.", 
      RowBox[{"-", "0.00010498802950261677184411179819534254`14."}], 
      "0.00003268036981069695657989640502627537`14.", 
      "0.00003163057362736919727241521882454833`14."}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.652007940418889*^9, 3.652007994287487*^9, 
  3.6520080459141397`*^9, 3.652008608481551*^9}]
}, Open  ]]
},
WindowSize->{741, 867},
WindowMargins->{{216, Automatic}, {44, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 391, 9, 55, "Input"],
Cell[951, 31, 2641, 76, 253, "Input"],
Cell[3595, 109, 2042, 54, 473, "Input"],
Cell[CellGroupData[{
Cell[5662, 167, 10021, 242, 957, "Input"],
Cell[15686, 411, 7034, 122, 198, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
