(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     43508,        965]
NotebookOptionsPosition[     42239,        925]
NotebookOutlinePosition[     42577,        940]
CellTagsIndexPosition[     42534,        937]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Uses", " ", "functions", " ", "defined", " ", "in", " ", 
    RowBox[{"BasisFunctionDerivativeAnalytic3", ".", "nb"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Before", " ", "running", " ", "this", " ", "file", " ", "open", " ", 
    "and", " ", "evaluate", " ", "that", " ", "notebook"}], "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Pack", " ", "basis", " ", "into", " ", "an", " ", "indexable", " ", 
    "object"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"0", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"s", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"1", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"px", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"2", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"py", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"3", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"4", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxx", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"5", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxy", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"6", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"7", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyy", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"8", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"9", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dzz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.651829549718054*^9, 3.651829551012699*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"overlaps", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651825179021158*^9, 3.65182520138171*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", "=", "0"}], ",", " ", 
   RowBox[{"i", "<", "10"}], ",", " ", 
   RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"j", "=", "0"}], ",", " ", 
     RowBox[{"j", "<=", "i"}], ",", " ", 
     RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"func", "[", 
        RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", 
       RowBox[{
        RowBox[{"basis", "[", 
         RowBox[{"i", ",", "x", ",", "y", ",", "z"}], "]"}], "*", 
        RowBox[{"basis", "[", 
         RowBox[{"j", ",", "x", ",", "y", ",", "z"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"overlaps", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"i", "+", "1"}], ",", 
          RowBox[{"j", "+", "1"}]}], "]"}], "]"}], "=", " ", 
       RowBox[{"NIntegrate", "[", 
        RowBox[{
         RowBox[{"func", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "Infinity"}], ",", 
           RowBox[{"+", "Infinity"}]}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"y", ",", " ", 
           RowBox[{"-", "Infinity"}], ",", " ", 
           RowBox[{"+", "Infinity"}]}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"z", ",", 
           RowBox[{"-", "Infinity"}], ",", " ", 
           RowBox[{"+", "Infinity"}]}], "}"}], ",", " ", 
         RowBox[{"PrecisionGoal", "\[Rule]", "10"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
         RowBox[{"AccuracyGoal", "\[Rule]", "10"}], ",", " ", 
         RowBox[{"Method", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<GlobalAdaptive\>\"", ",", 
            RowBox[{"\"\<MaxErrorIncreases\>\"", "\[Rule]", "100000"}]}], 
           "}"}]}]}], 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"MinRecursion", "\[Rule]", "5"}], ",", " ", 
          RowBox[{"Method", "\[Rule]", " ", "\"\<GaussKronrodRule\>\""}], ",",
           " ", 
          RowBox[{"PrecisionGoal", "\[Rule]", "5"}]}], "*)"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"overlaps", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"j", "+", "1"}], ",", 
          RowBox[{"i", "+", "1"}]}], "]"}], "]"}], "=", " ", 
       RowBox[{"overlaps", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"i", "+", "1"}], ",", 
          RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}], ";"}]}], 
    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"SetAccuracy", "[", 
  RowBox[{
   RowBox[{"overlaps", "//", "MatrixForm"}], ",", "8"}], "]"}]}], "Input",
 CellChangeTimes->{{3.651823071838098*^9, 3.6518231078491488`*^9}, 
   3.651823328496014*^9, {3.651823363935628*^9, 3.651823396716919*^9}, {
   3.65182344094384*^9, 3.651823473211453*^9}, {3.651823549697801*^9, 
   3.651823596446938*^9}, {3.651823660982522*^9, 3.651823673628379*^9}, {
   3.651823734315748*^9, 3.651823734363357*^9}, {3.651823794625805*^9, 
   3.651823838017253*^9}, {3.6518239797410593`*^9, 3.651823987084796*^9}, {
   3.651824493907816*^9, 3.6518245047608547`*^9}, {3.651824569264682*^9, 
   3.651824594278886*^9}, {3.651824911123579*^9, 3.6518249152855*^9}, {
   3.651824978866117*^9, 3.651825025391583*^9}, {3.651825113334688*^9, 
   3.651825163324733*^9}, {3.651825206259048*^9, 3.651825272458337*^9}, {
   3.6518253071045094`*^9, 3.651825320799366*^9}, {3.651825353326666*^9, 
   3.651825404306787*^9}, {3.651826609382098*^9, 3.651826615260036*^9}, {
   3.651826757701913*^9, 3.651826773831254*^9}, {3.65182901954655*^9, 
   3.651829069442576*^9}, {3.6518293419385443`*^9, 3.651829342301792*^9}, {
   3.651913450258094*^9, 3.651913452858087*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "eincr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The global error of the strategy GlobalAdaptive has \
increased more than \[NoBreak]\\!\\(100000\\)\[NoBreak] times. The global \
error is expected to decrease monotonically after a number of integrand \
evaluations. Suspect one of the following: the working precision is \
insufficient for the specified precision goal; the integrand is highly \
oscillatory or it is not a (piecewise) smooth function; or the true value of \
the integral is 0. Increasing the value of the GlobalAdaptive option \
MaxErrorIncreases might lead to a convergent numerical integration. \
NIntegrate obtained \[NoBreak]\\!\\(1.193090412791446`\\)\[NoBreak] and \
\[NoBreak]\\!\\(1.4237153197883475`*^-10\\)\[NoBreak] for the integral and \
error estimates. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\
\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/eincr\\\", ButtonNote -> \
\\\"NIntegrate::eincr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651829982370617*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "slwcon"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Numerical integration converging too slowly; suspect one \
of the following: singularity, value of the integration is 0, highly \
oscillatory integrand, or WorkingPrecision too small. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/slwcon\\\", ButtonNote -> \
\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651830009146639*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "eincr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The global error of the strategy GlobalAdaptive has \
increased more than \[NoBreak]\\!\\(100000\\)\[NoBreak] times. The global \
error is expected to decrease monotonically after a number of integrand \
evaluations. Suspect one of the following: the working precision is \
insufficient for the specified precision goal; the integrand is highly \
oscillatory or it is not a (piecewise) smooth function; or the true value of \
the integral is 0. Increasing the value of the GlobalAdaptive option \
MaxErrorIncreases might lead to a convergent numerical integration. \
NIntegrate obtained \[NoBreak]\\!\\(-0.7187139464781704`\\)\[NoBreak] and \
\[NoBreak]\\!\\(1.0788680283020303`*^-10\\)\[NoBreak] for the integral and \
error estimates. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\
\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/eincr\\\", ButtonNote -> \
\\\"NIntegrate::eincr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651830447253224*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "slwcon"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Numerical integration converging too slowly; suspect one \
of the following: singularity, value of the integration is 0, highly \
oscillatory integrand, or WorkingPrecision too small. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/slwcon\\\", ButtonNote -> \
\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651830458780129*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "eincr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The global error of the strategy GlobalAdaptive has \
increased more than \[NoBreak]\\!\\(100000\\)\[NoBreak] times. The global \
error is expected to decrease monotonically after a number of integrand \
evaluations. Suspect one of the following: the working precision is \
insufficient for the specified precision goal; the integrand is highly \
oscillatory or it is not a (piecewise) smooth function; or the true value of \
the integral is 0. Increasing the value of the GlobalAdaptive option \
MaxErrorIncreases might lead to a convergent numerical integration. \
NIntegrate obtained \[NoBreak]\\!\\(1.1826192966070899`\\)\[NoBreak] and \
\[NoBreak]\\!\\(2.531963186796143`*^-10\\)\[NoBreak] for the integral and \
error estimates. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\
\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/eincr\\\", ButtonNote -> \
\\\"NIntegrate::eincr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6518308676829243`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(NIntegrate :: eincr\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6518308677027893`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "slwcon"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Numerical integration converging too slowly; suspect one \
of the following: singularity, value of the integration is 0, highly \
oscillatory integrand, or WorkingPrecision too small. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/slwcon\\\", ButtonNote -> \
\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651830873710799*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(NIntegrate :: slwcon\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6518308737276173`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.19309041279144589786653796181781217456`8.", 
      RowBox[{"-", "0.71871394647817044010196241288213059306`8."}], 
      RowBox[{"-", "3.577064183622528780609212822882980731265`8.*^-18"}], 
      "2.401381625652947356954706320530945617975`8.*^-18", 
      "0.04952400282096191402869678199749614578`8.", 
      RowBox[{"-", "0.12211283401688731442558122353148064576`8."}], 
      RowBox[{"-", "0.04884513360672597392930782689290936105`8."}], 
      "0.19757794576220444326963843195699155331`8.", 
      "0.12211283401688736993673245478930766694`8.", 
      "0.04952400282096190015090897418303939048`8."},
     {
      RowBox[{"-", "0.71871394647817044010196241288213059306`8."}], 
      "1.18261929660708986489225935656577348709`8.", 
      RowBox[{"-", "7.169180986441991282331898105439904611558`8.*^-18"}], 
      RowBox[{"-", "7.166110492008194443602775436374940909445`8.*^-18"}], 
      RowBox[{"-", "0.02515492016231607105836154403277760139`8."}], 
      "0.07426302743903816228066006033259327523`8.", 
      "0.0297052109755814863767398037452949211`8.", 
      RowBox[{"-", "0.09400773488129531008095085553577519022`8."}], 
      RowBox[{"-", "0.05806766274264068411481432008258707356`8."}], 
      RowBox[{"-", "0.02360443538140546623771420797766040778`8."}]},
     {
      RowBox[{"-", "3.577064183622528780609212822882980731265`8.*^-18"}], 
      RowBox[{"-", "7.169180986441991282331898105439904611558`8.*^-18"}], 
      "1.18261929566752277409591442847158759832`8.", 
      RowBox[{"-", "1.562135219017823060949634594862800440751`8.*^-17"}], 
      "0.07979361530020731563261904284445336089`8.", 
      RowBox[{"-", "0.11167131841959453131263302338993526064`8."}], 
      RowBox[{"-", "0.05806766274282628564895603062723239418`8."}], 
      "0.06915970350801683985686452160734916106`8.", 
      "0.05583565921011023752695834332371305209`8.", 
      "0.02950554422659751666047078799692826578`8."},
     {"2.401381625652947356954706320530945617975`8.*^-18", 
      RowBox[{"-", "7.166110492008194443602775436374940909445`8.*^-18"}], 
      RowBox[{"-", "1.562135219017823060949634594862800440751`8.*^-17"}], 
      "1.1826192956675225520513095034402795136`8.", 
      "0.031917446120054815406064108174177818`8.", 
      RowBox[{"-", "0.05806766274256946330778461629051889759`8."}], 
      "0.01027077334004204006712157593028678093`8.", 
      "0.04700386744207655370653142767878307495`8.", 
      RowBox[{"-", "0.01283846667500331863165374812751906575`8."}], 
      RowBox[{"-", "0.00753776834852314548546248218485743564`8."}]},
     {"0.04952400282096191402869678199749614578`8.", 
      RowBox[{"-", "0.02515492016231607105836154403277760139`8."}], 
      "0.07979361530020731563261904284445336089`8.", 
      "0.031917446120054815406064108174177818`8.", 
      "1.26235804862452227759206380142131820321`8.", 
      RowBox[{"-", "6.390910290478261414766044182234061565850425`8.*^-15"}], 
      RowBox[{"-", "7.1538165287568034403364869433517014840617776`8.*^-14"}], 
      "0.4207860162168424178474879226996563375`8.", 
      "2.090068988282384117608977969`8.*^-11", 
      "0.42078601621646827268818924494553357363`8."},
     {
      RowBox[{"-", "0.12211283401688731442558122353148064576`8."}], 
      "0.07426302743903816228066006033259327523`8.", 
      RowBox[{"-", "0.11167131841959453131263302338993526064`8."}], 
      RowBox[{"-", "0.05806766274256946330778461629051889759`8."}], 
      RowBox[{"-", "6.390910290478261414766044182234061565850425`8.*^-15"}], 
      "1.2623580486505145969999830413144081831`8.", 
      "3.620112167292353482503722284`8.*^-11", 
      RowBox[{"-", "1.4890369956477821078433265711282729171216488`8.*^-14"}], 
      
      RowBox[{"-", "1.36172695860261288973176024841293951794796158`8.*^-13"}], 
      RowBox[{"-", "2.090073322115870832395984058`8.*^-11"}]},
     {
      RowBox[{"-", "0.04884513360672597392930782689290936105`8."}], 
      "0.0297052109755814863767398037452949211`8.", 
      RowBox[{"-", "0.05806766274282628564895603062723239418`8."}], 
      "0.01027077334004204006712157593028678093`8.", 
      RowBox[{"-", "7.1538165287568034403364869433517014840617776`8.*^-14"}], 
      "3.620112167292353482503722284`8.*^-11", 
      "1.26235804864928469193330329289892688394`8.", 
      RowBox[{"-", "7.8600027451055812048857224239029051204852294`8.*^-14"}], 
      
      RowBox[{"-", "3.620110346436214681774962143`8.*^-11"}], 
      RowBox[{
      "-", "7.1501285049528108539451665137676172889769077`8.*^-14"}]},
     {"0.19757794576220444326963843195699155331`8.", 
      RowBox[{"-", "0.09400773488129531008095085553577519022`8."}], 
      "0.06915970350801683985686452160734916106`8.", 
      "0.04700386744207655370653142767878307495`8.", 
      "0.4207860162168424178474879226996563375`8.", 
      RowBox[{"-", "1.4890369956477821078433265711282729171216488`8.*^-14"}], 
      
      RowBox[{"-", "7.8600027451055812048857224239029051204852294`8.*^-14"}], 
      "1.26235804681928964754433764028362929821`8.", 
      "1.4591297869395378206114344266097759827971458`8.*^-14", 
      "0.42078601621684263989209284773096442223`8."},
     {"0.12211283401688736993673245478930766694`8.", 
      RowBox[{"-", "0.05806766274264068411481432008258707356`8."}], 
      "0.05583565921011023752695834332371305209`8.", 
      RowBox[{"-", "0.01283846667500331863165374812751906575`8."}], 
      "2.090068988282384117608977969`8.*^-11", 
      RowBox[{"-", "1.36172695860261288973176024841293951794796158`8.*^-13"}], 
      RowBox[{"-", "3.620110346436214681774962143`8.*^-11"}], 
      "1.4591297869395378206114344266097759827971458`8.*^-14", 
      "1.26235804865051481904458796634571626782`8.", 
      "6.569047882964001384346712508754961845625076`8.*^-15"},
     {"0.04952400282096190015090897418303939048`8.", 
      RowBox[{"-", "0.02360443538140546623771420797766040778`8."}], 
      "0.02950554422659751666047078799692826578`8.", 
      RowBox[{"-", "0.00753776834852314548546248218485743564`8."}], 
      "0.42078601621646827268818924494553357363`8.", 
      RowBox[{"-", "2.090073322115870832395984058`8.*^-11"}], 
      RowBox[{"-", "7.1501285049528108539451665137676172889769077`8.*^-14"}], 
      "0.42078601621684263989209284773096442223`8.", 
      "6.569047882964001384346712508754961845625076`8.*^-15", 
      "1.26235804862452294372587857651524245739`8."}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.65184390720897*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"kinetic", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651825179021158*^9, 3.65182520138171*^9}, {
  3.651829375295661*^9, 3.6518293785403748`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", "=", "0"}], ",", " ", 
   RowBox[{"i", "<", "10"}], ",", " ", 
   RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"j", "=", "0"}], ",", " ", 
     RowBox[{"j", "<=", "i"}], ",", " ", 
     RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"func", "[", 
        RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", 
       RowBox[{
        RowBox[{"-", "0.5"}], "*", 
        RowBox[{"basis", "[", 
         RowBox[{"i", ",", "x", ",", "y", ",", "z"}], "]"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"basis", "[", 
               RowBox[{"j", ",", "x", ",", "y", ",", "z"}], "]"}], ",", "x"}],
              "]"}], ",", "x"}], "]"}], "+", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"basis", "[", 
               RowBox[{"j", ",", "x", ",", "y", ",", "z"}], "]"}], ",", "y"}],
              "]"}], ",", "y"}], "]"}], "+", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"basis", "[", 
               RowBox[{"j", ",", "x", ",", "y", ",", "z"}], "]"}], ",", "z"}],
              "]"}], ",", "z"}], "]"}]}], ")"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"kinetic", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"i", "+", "1"}], ",", 
          RowBox[{"j", "+", "1"}]}], "]"}], "]"}], "=", " ", 
       RowBox[{"NIntegrate", "[", 
        RowBox[{
         RowBox[{"func", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "Infinity"}], ",", 
           RowBox[{"+", "Infinity"}]}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"y", ",", " ", 
           RowBox[{"-", "Infinity"}], ",", " ", 
           RowBox[{"+", "Infinity"}]}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"z", ",", 
           RowBox[{"-", "Infinity"}], ",", " ", 
           RowBox[{"+", "Infinity"}]}], "}"}], ",", " ", 
         RowBox[{"PrecisionGoal", "\[Rule]", "10"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
         RowBox[{"AccuracyGoal", "\[Rule]", "10"}], ",", " ", 
         RowBox[{"Method", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<GlobalAdaptive\>\"", ",", 
            RowBox[{"\"\<MaxErrorIncreases\>\"", "\[Rule]", "150000"}]}], 
           "}"}]}]}], 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"MinRecursion", "\[Rule]", "5"}], ",", " ", 
          RowBox[{"Method", "\[Rule]", " ", "\"\<GaussKronrodRule\>\""}], ",",
           " ", 
          RowBox[{"PrecisionGoal", "\[Rule]", "5"}]}], "*)"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"kinetic", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"j", "+", "1"}], ",", 
          RowBox[{"i", "+", "1"}]}], "]"}], "]"}], "=", " ", 
       RowBox[{"kinetic", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"i", "+", "1"}], ",", 
          RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}], ";"}]}], 
    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"SetAccuracy", "[", 
  RowBox[{
   RowBox[{"kinetic", "//", "MatrixForm"}], ",", "8"}], "]"}]}], "Input",
 CellChangeTimes->{{3.651823071838098*^9, 3.6518231078491488`*^9}, 
   3.651823328496014*^9, {3.651823363935628*^9, 3.651823396716919*^9}, {
   3.65182344094384*^9, 3.651823473211453*^9}, {3.651823549697801*^9, 
   3.651823596446938*^9}, {3.651823660982522*^9, 3.651823673628379*^9}, {
   3.651823734315748*^9, 3.651823734363357*^9}, {3.651823794625805*^9, 
   3.651823838017253*^9}, {3.6518239797410593`*^9, 3.651823987084796*^9}, {
   3.651824493907816*^9, 3.6518245047608547`*^9}, {3.651824569264682*^9, 
   3.651824594278886*^9}, {3.651824911123579*^9, 3.6518249152855*^9}, {
   3.651824978866117*^9, 3.651825025391583*^9}, {3.651825113334688*^9, 
   3.651825163324733*^9}, {3.651825206259048*^9, 3.651825272458337*^9}, {
   3.6518253071045094`*^9, 3.651825320799366*^9}, {3.651825353326666*^9, 
   3.651825404306787*^9}, {3.651826609382098*^9, 3.651826615260036*^9}, {
   3.651826757701913*^9, 3.651826773831254*^9}, {3.65182901954655*^9, 
   3.651829069442576*^9}, {3.6518293419385443`*^9, 3.651829342301792*^9}, {
   3.6518293932798777`*^9, 3.651829518369184*^9}, {3.6519134426855516`*^9, 
   3.6519134456680317`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "slwcon"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Numerical integration converging too slowly; suspect one \
of the following: singularity, value of the integration is 0, highly \
oscillatory integrand, or WorkingPrecision too small. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/slwcon\\\", ButtonNote -> \
\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651843913627843*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "eincr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The global error of the strategy GlobalAdaptive has \
increased more than \[NoBreak]\\!\\(150000\\)\[NoBreak] times. The global \
error is expected to decrease monotonically after a number of integrand \
evaluations. Suspect one of the following: the working precision is \
insufficient for the specified precision goal; the integrand is highly \
oscillatory or it is not a (piecewise) smooth function; or the true value of \
the integral is 0. Increasing the value of the GlobalAdaptive option \
MaxErrorIncreases might lead to a convergent numerical integration. \
NIntegrate obtained \[NoBreak]\\!\\(1.896180825584619`\\)\[NoBreak] and \
\[NoBreak]\\!\\(2.3041968318841946`*^-10\\)\[NoBreak] for the integral and \
error estimates. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\
\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/eincr\\\", ButtonNote -> \
\\\"NIntegrate::eincr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651844508960124*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "slwcon"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Numerical integration converging too slowly; suspect one \
of the following: singularity, value of the integration is 0, highly \
oscillatory integrand, or WorkingPrecision too small. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/slwcon\\\", ButtonNote -> \
\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651844518994466*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "eincr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The global error of the strategy GlobalAdaptive has \
increased more than \[NoBreak]\\!\\(150000\\)\[NoBreak] times. The global \
error is expected to decrease monotonically after a number of integrand \
evaluations. Suspect one of the following: the working precision is \
insufficient for the specified precision goal; the integrand is highly \
oscillatory or it is not a (piecewise) smooth function; or the true value of \
the integral is 0. Increasing the value of the GlobalAdaptive option \
MaxErrorIncreases might lead to a convergent numerical integration. \
NIntegrate obtained \[NoBreak]\\!\\(-1.490177465380361`\\)\[NoBreak] and \
\[NoBreak]\\!\\(2.340096442025206`*^-10\\)\[NoBreak] for the integral and \
error estimates. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\
\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/eincr\\\", ButtonNote -> \
\\\"NIntegrate::eincr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6518451490354443`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "slwcon"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Numerical integration converging too slowly; suspect one \
of the following: singularity, value of the integration is 0, highly \
oscillatory integrand, or WorkingPrecision too small. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/slwcon\\\", ButtonNote -> \
\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651845166108081*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(NIntegrate :: slwcon\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651845166171341*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "eincr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The global error of the strategy GlobalAdaptive has \
increased more than \[NoBreak]\\!\\(150000\\)\[NoBreak] times. The global \
error is expected to decrease monotonically after a number of integrand \
evaluations. Suspect one of the following: the working precision is \
insufficient for the specified precision goal; the integrand is highly \
oscillatory or it is not a (piecewise) smooth function; or the true value of \
the integral is 0. Increasing the value of the GlobalAdaptive option \
MaxErrorIncreases might lead to a convergent numerical integration. \
NIntegrate obtained \[NoBreak]\\!\\(3.125397655356753`\\)\[NoBreak] and \
\[NoBreak]\\!\\(5.280532547698989`*^-10\\)\[NoBreak] for the integral and \
error estimates. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\
\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/eincr\\\", ButtonNote -> \
\\\"NIntegrate::eincr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651845788654374*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(NIntegrate :: eincr\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651845788667441*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.89618082558461908959657193918246775866`8.", 
      RowBox[{"-", "1.49017746538036099934743106132373213768`8."}], 
      RowBox[{"-", "9.6710332126018237004685257352`8.*^-10"}], 
      "9.6710330746635670312897833933`8.*^-10", 
      RowBox[{"-", "0.04409789974231057008147161013766890392`8."}], 
      RowBox[{"-", "0.03967730117554957997016984450056042988`8."}], 
      RowBox[{"-", "0.01587092047020306068150219402923539747`8."}], 
      "0.00400827133792003038187390373536800325`8.", 
      "0.03967730117554958690906374840778880753`8.", 
      RowBox[{"-", "0.04409789974231059783704722576658241451`8."}]},
     {
      RowBox[{"-", "1.49017746538036099934743106132373213768`8."}], 
      "3.12539765535675284624517189513426274061`8.", 
      RowBox[{"-", "3.48924634709568345924957100123720010743`8.*^-19"}], 
      "3.530484407900350486318123006`8.*^-11", 
      RowBox[{"-", "0.00246417000992356187427656522004326689`8."}], 
      "0.04732208228352385859238893317524343729`8.", 
      "0.01892883291340871632080222752847475931`8.", 
      "0.001649422237098319490855580227162136`8.", 
      RowBox[{"-", "0.01672936118937321664512651864242798183`8."}], 
      "0.02193269472901004935039281917852349579`8."},
     {
      RowBox[{"-", "9.6710332126018237004685257352`8.*^-10"}], 
      RowBox[{"-", "3.48924634709568345924957100123720010743`8.*^-19"}], 
      "3.1253976553568589835663260600995272398`8.", 
      "1.9668952068192108173505516788281966000795`8.*^-17", 
      RowBox[{"-", "0.01292781663132510326652546694958800799`8."}], 
      RowBox[{"-", "0.05291409089811196370112256204265577253`8."}], 
      RowBox[{"-", "0.01672936119028796062013775269861071138`8."}], 
      "0.01394625134725701633142680435639704228`8.", 
      "0.0264570454490279972914468231692808331`8.", 
      RowBox[{"-", "0.02741586841110739414251185053217341192`8."}]},
     {"9.6710330746635670312897833933`8.*^-10", 
      "3.530484407900350486318123006`8.*^-11", 
      "1.9668952068192108173505516788281966000795`8.*^-17", 
      "3.12539765535685631903106695972383022308`8.", 
      RowBox[{"-", "0.00517112665246305131666604282258958847`8."}], 
      RowBox[{"-", "0.0167293611903456748701835010706417961`8."}], 
      RowBox[{"-", "0.01778243239849446391542819867481739493`8."}], 
      RowBox[{"-", "0.00082471111859050633737661106792415922`8."}], 
      "0.02222804049804481124619215393067861442`8.", 
      RowBox[{"-", "0.00456313570698997899438564829210918106`8."}]},
     {
      RowBox[{"-", "0.04409789974231057008147161013766890392`8."}], 
      RowBox[{"-", "0.00246417000992356187427656522004326689`8."}], 
      RowBox[{"-", "0.01292781663132510326652546694958800799`8."}], 
      RowBox[{"-", "0.00517112665246305131666604282258958847`8."}], 
      "1.727623900352162733540239969443064183`8.", 
      RowBox[{"-", "1.0042724272255325757702282274408389639575034`8.*^-14"}], 
      
      RowBox[{"-", "1.6310985789256927323267673535234223436418688`8.*^-14"}], 
      
      RowBox[{"-", "0.22857366997404754416223227053706068546`8."}], 
      RowBox[{"-", "3.13631345718850119801135445385398270445875823`8.*^-13"}], 
      RowBox[{"-", "0.22857366997405820230326867203984875232`8."}]},
     {
      RowBox[{"-", "0.03967730117554957997016984450056042988`8."}], 
      "0.04732208228352385859238893317524343729`8.", 
      RowBox[{"-", "0.05291409089811196370112256204265577253`8."}], 
      RowBox[{"-", "0.0167293611903456748701835010706417961`8."}], 
      RowBox[{"-", "1.0042724272255325757702282274408389639575034`8.*^-14"}], 
      "2.93429635548934442113022669218480587006`8.", 
      RowBox[{"-", "7.6450141112431244105884786677052034065127373`8.*^-14"}], 
      "1.4089047764603379853901466562`8.*^-10", 
      RowBox[{"-", "1.0538492397375736017061309199305263462065341`8.*^-14"}], 
      "2.1330122619269399802716027231`8.*^-10"},
     {
      RowBox[{"-", "0.01587092047020306068150219402923539747`8."}], 
      "0.01892883291340871632080222752847475931`8.", 
      RowBox[{"-", "0.01672936119028796062013775269861071138`8."}], 
      RowBox[{"-", "0.01778243239849446391542819867481739493`8."}], 
      RowBox[{"-", "1.6310985789256927323267673535234223436418688`8.*^-14"}], 
      
      RowBox[{"-", "7.6450141112431244105884786677052034065127373`8.*^-14"}], 
      "2.9342963535312276412980736495228484273`8.", 
      RowBox[{"-", "5.896868991740519918746217184479796458163037`8.*^-15"}], 
      "3.6944860266077095856140401209`8.*^-10", 
      RowBox[{
      "-", "4.6617379823987031839394035159784834831953049`8.*^-14"}]},
     {"0.00400827133792003038187390373536800325`8.", 
      "0.001649422237098319490855580227162136`8.", 
      "0.01394625134725701633142680435639704228`8.", 
      RowBox[{"-", "0.00082471111859050633737661106792415922`8."}], 
      RowBox[{"-", "0.22857366997404754416223227053706068546`8."}], 
      "1.4089047764603379853901466562`8.*^-10", 
      RowBox[{"-", "5.896868991740519918746217184479796458163037`8.*^-15"}], 
      "1.72762390035244406405467998411040753126`8.", 
      "1.104840457974314155278417262651124985950446`8.*^-14", 
      RowBox[{"-", "0.22857366997395103802581672880478436127`8."}]},
     {"0.03967730117554958690906374840778880753`8.", 
      RowBox[{"-", "0.01672936118937321664512651864242798183`8."}], 
      "0.0264570454490279972914468231692808331`8.", 
      "0.02222804049804481124619215393067861442`8.", 
      RowBox[{"-", "3.13631345718850119801135445385398270445875823`8.*^-13"}], 
      RowBox[{"-", "1.0538492397375736017061309199305263462065341`8.*^-14"}], 
      "3.6944860266077095856140401209`8.*^-10", 
      "1.104840457974314155278417262651124985950446`8.*^-14", 
      "2.93429635548934664157627594249788671732`8.", 
      RowBox[{
      "-", "1.6271066602143044942888755466370298563560937`8.*^-14"}]},
     {
      RowBox[{"-", "0.04409789974231059783704722576658241451`8."}], 
      "0.02193269472901004935039281917852349579`8.", 
      RowBox[{"-", "0.02741586841110739414251185053217341192`8."}], 
      RowBox[{"-", "0.00456313570698997899438564829210918106`8."}], 
      RowBox[{"-", "0.22857366997405820230326867203984875232`8."}], 
      "2.1330122619269399802716027231`8.*^-10", 
      RowBox[{"-", "4.6617379823987031839394035159784834831953049`8.*^-14"}], 
      
      RowBox[{"-", "0.22857366997395103802581672880478436127`8."}], 
      RowBox[{"-", "1.6271066602143044942888755466370298563560937`8.*^-14"}], 
      "1.72762390035216140127261041925521567464`8."}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6518701615237703`*^9}]
}, Open  ]]
},
WindowSize->{1748, 867},
WindowMargins->{{Automatic, 103}, {69, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 391, 9, 55, "Input"],
Cell[951, 31, 2641, 76, 253, "Input"],
Cell[3595, 109, 1748, 45, 55, "Input"],
Cell[CellGroupData[{
Cell[5368, 158, 3878, 88, 209, "Input"],
Cell[9249, 248, 1126, 19, 77, "Message"],
Cell[10378, 269, 578, 11, 23, "Message"],
Cell[10959, 282, 1128, 19, 77, "Message"],
Cell[12090, 303, 578, 11, 23, "Message"],
Cell[12671, 316, 1128, 19, 77, "Message"],
Cell[13802, 337, 536, 11, 23, "Message"],
Cell[14341, 350, 578, 11, 23, "Message"],
Cell[14922, 363, 537, 11, 23, "Message"],
Cell[15462, 376, 6928, 124, 228, "Output"]
}, Open  ]],
Cell[22405, 503, 1798, 46, 55, "Input"],
Cell[CellGroupData[{
Cell[24228, 553, 4709, 111, 209, "Input"],
Cell[28940, 666, 578, 11, 23, "Message"],
Cell[29521, 679, 1126, 19, 77, "Message"],
Cell[30650, 700, 578, 11, 23, "Message"],
Cell[31231, 713, 1128, 19, 77, "Message"],
Cell[32362, 734, 578, 11, 23, "Message"],
Cell[32943, 747, 535, 11, 23, "Message"],
Cell[33481, 760, 1125, 19, 77, "Message"],
Cell[34609, 781, 534, 11, 23, "Message"],
Cell[35146, 794, 7077, 128, 228, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
