(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     28668,        662]
NotebookOptionsPosition[     27898,        635]
NotebookOutlinePosition[     28235,        650]
CellTagsIndexPosition[     28192,        647]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Uses", " ", "functions", " ", "defined", " ", "in", " ", 
    RowBox[{"BasisFunctionDerivativeAnalytic3", ".", "nb"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Before", " ", "running", " ", "this", " ", "file", " ", "open", " ", 
    "and", " ", "evaluate", " ", "that", " ", "notebook"}], "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Pack", " ", "basis", " ", "into", " ", "an", " ", "indexable", " ", 
    "object"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"0", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"s", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"1", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"px", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"2", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"py", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"3", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"pz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"4", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxx", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"5", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxy", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"6", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dxz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"7", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyy", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"8", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dyz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"basis", "[", 
      RowBox[{"9", ",", "x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", " ", 
     RowBox[{"dzz", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pc1x", "=", "1.7"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pc1y", "=", 
     RowBox[{"-", "0.4"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pc1z", "=", "3.3"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pc1charge", "=", "11.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pc2x", "=", 
     RowBox[{"-", "1.2"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pc2y", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pc2z", "=", 
     RowBox[{"-", "2.0"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pc2charge", "=", "3.0"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.651829549718054*^9, 3.651829551012699*^9}, {
   3.6519135287271557`*^9, 3.651913629516246*^9}, {3.651913699053157*^9, 
   3.6519137029079514`*^9}, 3.6519139262546597`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nucPotInts", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.651825179021158*^9, 3.65182520138171*^9}, {
  3.651913505007597*^9, 3.651913508911469*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", "=", "0"}], ",", " ", 
   RowBox[{"i", "<", "10"}], ",", " ", 
   RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"j", "=", "0"}], ",", " ", 
     RowBox[{"j", "<=", "i"}], ",", " ", 
     RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"func", "[", 
        RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"basis", "[", 
          RowBox[{"i", ",", "x", ",", "y", ",", "z"}], "]"}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "Pc1charge"}], "/", 
            RowBox[{"Sqrt", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Pc1x", "-", "x"}], ")"}], "^", "2"}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Pc1y", "-", "y"}], ")"}], "^", "2"}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Pc1z", "-", "z"}], ")"}], "^", "2"}]}], "]"}]}], "-", 
           RowBox[{"Pc2charge", "/", 
            RowBox[{"Sqrt", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Pc2x", "-", "x"}], ")"}], "^", "2"}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Pc2y", "-", "y"}], ")"}], "^", "2"}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Pc2z", "-", "z"}], ")"}], "^", "2"}]}], "]"}]}]}], 
          ")"}], "*", 
         RowBox[{"basis", "[", 
          RowBox[{"j", ",", "x", ",", "y", ",", "z"}], "]"}]}], " ", "//", 
        " ", "Simplify"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nucPotInts", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"i", "+", "1"}], ",", 
          RowBox[{"j", "+", "1"}]}], "]"}], "]"}], "=", " ", 
       RowBox[{"NIntegrate", "[", 
        RowBox[{
         RowBox[{"func", "[", 
          RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "Infinity"}], ",", "Pc1x", ",", " ", "Pc2x", ",", 
           RowBox[{"+", "Infinity"}]}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"y", ",", " ", 
           RowBox[{"-", "Infinity"}], ",", "Pc1y", ",", " ", "Pc2y", ",", " ", 
           RowBox[{"+", "Infinity"}]}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"z", ",", 
           RowBox[{"-", "Infinity"}], ",", "Pc1z", ",", " ", "Pc2z", ",", " ", 
           RowBox[{"+", "Infinity"}]}], "}"}], ",", " ", 
         RowBox[{"PrecisionGoal", "\[Rule]", "10"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "20"}], ",", 
         RowBox[{"AccuracyGoal", "\[Rule]", "10"}], ",", " ", 
         RowBox[{"Method", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<GlobalAdaptive\>\"", ",", 
            RowBox[{"\"\<MaxErrorIncreases\>\"", "\[Rule]", "100000"}]}], 
           "}"}]}]}], 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"MinRecursion", "\[Rule]", "5"}], ",", " ", 
          RowBox[{"Method", "\[Rule]", " ", "\"\<GaussKronrodRule\>\""}], ",",
           " ", 
          RowBox[{"PrecisionGoal", "\[Rule]", "5"}]}], "*)"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nucPotInts", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"j", "+", "1"}], ",", 
          RowBox[{"i", "+", "1"}]}], "]"}], "]"}], "=", " ", 
       RowBox[{"nucPotInts", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"i", "+", "1"}], ",", 
          RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}], ";"}]}], 
    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"SetAccuracy", "[", 
  RowBox[{
   RowBox[{"nucPotInts", "//", "MatrixForm"}], ",", "10"}], "]"}]}], "Input",
 CellChangeTimes->{{3.651823071838098*^9, 3.6518231078491488`*^9}, 
   3.651823328496014*^9, {3.651823363935628*^9, 3.651823396716919*^9}, {
   3.65182344094384*^9, 3.651823473211453*^9}, {3.651823549697801*^9, 
   3.651823596446938*^9}, {3.651823660982522*^9, 3.651823673628379*^9}, {
   3.651823734315748*^9, 3.651823734363357*^9}, {3.651823794625805*^9, 
   3.651823838017253*^9}, {3.6518239797410593`*^9, 3.651823987084796*^9}, {
   3.651824493907816*^9, 3.6518245047608547`*^9}, {3.651824569264682*^9, 
   3.651824594278886*^9}, {3.651824911123579*^9, 3.6518249152855*^9}, {
   3.651824978866117*^9, 3.651825025391583*^9}, {3.651825113334688*^9, 
   3.651825163324733*^9}, {3.651825206259048*^9, 3.651825272458337*^9}, {
   3.6518253071045094`*^9, 3.651825320799366*^9}, {3.651825353326666*^9, 
   3.651825404306787*^9}, {3.651826609382098*^9, 3.651826615260036*^9}, {
   3.651826757701913*^9, 3.651826773831254*^9}, {3.65182901954655*^9, 
   3.651829069442576*^9}, {3.6518293419385443`*^9, 3.651829342301792*^9}, {
   3.651913450258094*^9, 3.651913452858087*^9}, {3.6519135152524233`*^9, 
   3.651913521338386*^9}, {3.6519136472513514`*^9, 3.651913672493905*^9}, {
   3.6519137077178183`*^9, 3.6519138027040567`*^9}, {3.651913871562017*^9, 
   3.651913873026168*^9}, {3.651914000038547*^9, 3.651914024928187*^9}, {
   3.6519140656442003`*^9, 3.651914109015603*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "slwcon"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Numerical integration converging too slowly; suspect one \
of the following: singularity, value of the integration is 0, highly \
oscillatory integrand, or WorkingPrecision too small. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/slwcon\\\", ButtonNote -> \
\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651913891085408*^9, 3.651913932274835*^9, 
  3.651914031962089*^9, 3.651914071238927*^9, 3.651914115360264*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "eincr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The global error of the strategy GlobalAdaptive has \
increased more than \[NoBreak]\\!\\(100000\\)\[NoBreak] times. The global \
error is expected to decrease monotonically after a number of integrand \
evaluations. Suspect one of the following: the working precision is \
insufficient for the specified precision goal; the integrand is highly \
oscillatory or it is not a (piecewise) smooth function; or the true value of \
the integral is 0. Increasing the value of the GlobalAdaptive option \
MaxErrorIncreases might lead to a convergent numerical integration. \
NIntegrate obtained \[NoBreak]\\!\\(-5.048262927759442`\\)\[NoBreak] and \
\[NoBreak]\\!\\(6.204459167959618`*^-8\\)\[NoBreak] for the integral and \
error estimates. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\
\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/eincr\\\", ButtonNote -> \
\\\"NIntegrate::eincr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651913891085408*^9, 3.651913932274835*^9, 
  3.651914031962089*^9, 3.651914071238927*^9, 3.6519144901894827`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "slwcon"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Numerical integration converging too slowly; suspect one \
of the following: singularity, value of the integration is 0, highly \
oscillatory integrand, or WorkingPrecision too small. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/slwcon\\\", ButtonNote -> \
\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651913891085408*^9, 3.651913932274835*^9, 
  3.651914031962089*^9, 3.651914071238927*^9, 3.6519144985406303`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "eincr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The global error of the strategy GlobalAdaptive has \
increased more than \[NoBreak]\\!\\(100000\\)\[NoBreak] times. The global \
error is expected to decrease monotonically after a number of integrand \
evaluations. Suspect one of the following: the working precision is \
insufficient for the specified precision goal; the integrand is highly \
oscillatory or it is not a (piecewise) smooth function; or the true value of \
the integral is 0. Increasing the value of the GlobalAdaptive option \
MaxErrorIncreases might lead to a convergent numerical integration. \
NIntegrate obtained \[NoBreak]\\!\\(3.051721729573438`\\)\[NoBreak] and \
\[NoBreak]\\!\\(5.666258376395192`*^-8\\)\[NoBreak] for the integral and \
error estimates. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\
\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/eincr\\\", ButtonNote -> \
\\\"NIntegrate::eincr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651913891085408*^9, 3.651913932274835*^9, 
  3.651914031962089*^9, 3.651914071238927*^9, 3.651914872784348*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "slwcon"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Numerical integration converging too slowly; suspect one \
of the following: singularity, value of the integration is 0, highly \
oscillatory integrand, or WorkingPrecision too small. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/slwcon\\\", ButtonNote -> \
\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651913891085408*^9, 3.651913932274835*^9, 
  3.651914031962089*^9, 3.651914071238927*^9, 3.6519148783499613`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(NIntegrate :: slwcon\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651913891085408*^9, 3.651913932274835*^9, 
  3.651914031962089*^9, 3.651914071238927*^9, 3.651914878363379*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"NIntegrate", "::", "eincr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The global error of the strategy GlobalAdaptive has \
increased more than \[NoBreak]\\!\\(100000\\)\[NoBreak] times. The global \
error is expected to decrease monotonically after a number of integrand \
evaluations. Suspect one of the following: the working precision is \
insufficient for the specified precision goal; the integrand is highly \
oscillatory or it is not a (piecewise) smooth function; or the true value of \
the integral is 0. Increasing the value of the GlobalAdaptive option \
MaxErrorIncreases might lead to a convergent numerical integration. \
NIntegrate obtained \[NoBreak]\\!\\(-4.973913163579998`\\)\[NoBreak] and \
\[NoBreak]\\!\\(9.32791783759593`*^-8\\)\[NoBreak] for the integral and error \
estimates. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\
\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/eincr\\\", ButtonNote -> \
\\\"NIntegrate::eincr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651913891085408*^9, 3.651913932274835*^9, 
  3.651914031962089*^9, 3.651914071238927*^9, 3.6519152606582813`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(NIntegrate :: eincr\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.651913891085408*^9, 3.651913932274835*^9, 
  3.651914031962089*^9, 3.651914071238927*^9, 3.651915260659911*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
      "-", "5.04826292775944196478121739346534013748`10.70314196610561"}], 
      "3.05172172957343779131633709766902029514`10.484544930062508", 
      "0.02849700480350953954444825910741201369`8.45479921559917", 
      RowBox[{
      "-", "0.16861814623965371007230373834318015724`9.22690431042916"}], 
      RowBox[{
      "-", "0.20566356360859058827195156027300981805`9.313157356714717"}], 
      "0.51765794239812656929444756315206177533`9.714042881755297", 
      "0.19404577411435008915674416130059398711`9.28790418921052", 
      RowBox[{
      "-", "0.82071398371845993846562805629218928516`9.914191833203954"}], 
      RowBox[{
      "-", "0.48982793559125192839331930372281931341`9.690043549933575"}], 
      RowBox[{
      "-", "0.19684940491314123489630105723335873336`9.294134106231509"}]},
     {"3.05172172957343779131633709766902029514`10.484544930062508", 
      RowBox[{
      "-", "4.97391316357999802022504809428937733173`10.69669819892603"}], 
      "0.00809889829470155503399197982616897207`7.90842594516588", 
      RowBox[{
      "-", "0.09477566016080098132423614742947393097`8.976696818191531"}], 
      "0.10409351912258715810999376571999164298`9.017423691115576", 
      RowBox[{
      "-", "0.31331693806154847781186845168122090399`9.495983873681016"}], 
      RowBox[{
      "-", "0.1182615205160289645336391117780294735`9.072843458524714"}], 
      "0.39679117861611645778907586645800620317`9.598562008439478", 
      "0.23430428721281329473846710698126116768`9.369780235228774", 
      "0.09426038053854354781257995909982128069`8.974329188717231"},
     {"0.02849700480350953954444825910741201369`8.45479921559917", 
      "0.00809889829470155503399197982616897207`7.90842594516588", 
      RowBox[{
      "-", "4.91493051138174052994145313277840614319`10.691517382038594"}], 
      "0.02912585779378910888492981712261098437`8.464278724750757", 
      RowBox[{
      "-", "0.32456197272241982254570302757201716304`9.511297634392651"}], 
      "0.46193795661249337225484623559168539941`9.664583648910531", 
      "0.22142068984594262537335396245907759294`9.3452181994971", 
      RowBox[{
      "-", "0.28638146629154942468531430677103344351`9.456944908371295"}], 
      RowBox[{
      "-", "0.21721439008355938882210978135844925418`9.336888593139964"}], 
      RowBox[{
      "-", "0.11295448223798695841502137682255124673`9.052903469188223"}]},
     {
      RowBox[{
      "-", "0.16861814623965371007230373834318015724`9.22690431042916"}], 
      RowBox[{
      "-", "0.09477566016080098132423614742947393097`8.976696818191531"}], 
      "0.02912585779378910888492981712261098437`8.464278724750757", 
      RowBox[{
      "-", "5.17726042174061440448440407635644078255`10.714100011008581"}], 
      RowBox[{
      "-", "0.1544888625490484224123122203309321776`9.1888971756195"}], 
      RowBox[{
      "0.28365154368710687737831221966189332306`9.603300149254546", "+", 
       RowBox[{"0``27.38385946716568", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
      "-", "0.04189413712978922593732633572471968364`8.622153249927226"}], 
      RowBox[{
       RowBox[{
       "-", "0.22606769731316819771471671174367656931`9.504753508514886"}], 
       "+", 
       RowBox[{"0``27.59138586073539", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
      "0.05436268085287185303222656784782884642`8.885815863311521", "+", 
       RowBox[{"0``27.45349539531013", " ", "\[ImaginaryI]"}]}], 
      "0.02679217736147817066627574433823610889`8.42800800952645"},
     {
      RowBox[{
      "-", "0.20566356360859058827195156027300981805`9.313157356714717"}], 
      "0.10409351912258715810999376571999164298`9.017423691115576", 
      RowBox[{
      "-", "0.32456197272241982254570302757201716304`9.511297634392651"}], 
      RowBox[{
      "-", "0.1544888625490484224123122203309321776`9.1888971756195"}], 
      RowBox[{
      "-", "3.96737634573549868832742504309862852097`10.59850339964828"}], 
      "0.10269182164368641230201006919742212631`9.011535857848036", 
      RowBox[{
      "-", "0.08906207241419292208739477700873976573`8.949692796651666"}], 
      RowBox[{
      "-", "1.33761789312883561109401853173039853573`10.126332069630784"}], 
      "0.01656856882363601582430767678033589618`8.219284996117512", 
      RowBox[{
      "-", "1.33295170387027339664598457602551206946`10.12481441413808"}]},
     {"0.51765794239812656929444756315206177533`9.714042881755297", 
      RowBox[{
      "-", "0.31331693806154847781186845168122090399`9.495983873681016"}], 
      "0.46193795661249337225484623559168539941`9.664583648910531", 
      RowBox[{
      "0.28365154368710687737831221966189332306`9.603300149254546", "+", 
       RowBox[{"0``27.38385946716568", " ", "\[ImaginaryI]"}]}], 
      "0.10269182164368641230201006919742212631`9.011535857848036", 
      RowBox[{
      "-", "4.01285367938626080785979866050183773041`10.60345332435042"}], 
      "0.02869760301123312762339168102698749863`8.45784562347725", 
      "0.10349300160915277102535725362031371333`9.014910982978556", 
      RowBox[{
      "-", "0.06261800775313602906990695373679045588`8.796699246040664"}], 
      "0.03682627804028328066809905294576310553`8.566157827781097"},
     {"0.19404577411435008915674416130059398711`9.28790418921052", 
      RowBox[{
      "-", "0.1182615205160289645336391117780294735`9.072843458524714"}], 
      "0.22142068984594262537335396245907759294`9.3452181994971", 
      RowBox[{
      "-", "0.04189413712978922593732633572471968364`8.622153249927226"}], 
      RowBox[{
      "-", "0.08906207241419292208739477700873976573`8.949692796651666"}], 
      "0.02869760301123312762339168102698749863`8.45784562347725", 
      RowBox[{
      "-", "3.99885511161131246282707252248656004667`10.601935668857795"}], 
      RowBox[{
      "-", "0.03615252363239114530291118398963590153`8.558138618680834"}], 
      "0.06378498461942337660612878380561596714`8.804718455140893", 
      RowBox[{
      "-", "0.0882305793569145846433343649550806731`8.945619130985602"}]},
     {
      RowBox[{
      "-", "0.82071398371845993846562805629218928516`9.914191833203954"}], 
      "0.39679117861611645778907586645800620317`9.598562008439478", 
      RowBox[{
      "-", "0.28638146629154942468531430677103344351`9.456944908371295"}], 
      RowBox[{
       RowBox[{
       "-", "0.22606769731316819771471671174367656931`9.504753508514886"}], 
       "+", 
       RowBox[{"0``27.59138586073539", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
      "-", "1.33761789312883561109401853173039853573`10.126332069630784"}], 
      "0.10349300160915277102535725362031371333`9.014910982978556", 
      RowBox[{
      "-", "0.03615252363239114530291118398963590153`8.558138618680834"}], 
      RowBox[{
      "-", "4.04021492621575717407722549978643655777`10.606404468770693"}], 
      "0.0274980285560636403263679028441401897`8.439301558633392", 
      RowBox[{
      "-", "1.35076696552525432615254885604372248054`10.130580430949513"}]},
     {
      RowBox[{
      "-", "0.48982793559125192839331930372281931341`9.690043549933575"}], 
      "0.23430428721281329473846710698126116768`9.369780235228774", 
      RowBox[{
      "-", "0.21721439008355938882210978135844925418`9.336888593139964"}], 
      RowBox[{
      "0.05436268085287185303222656784782884642`8.885815863311521", "+", 
       RowBox[{"0``27.45349539531013", " ", "\[ImaginaryI]"}]}], 
      "0.01656856882363601582430767678033589618`8.219284996117512", 
      RowBox[{
      "-", "0.06261800775313602906990695373679045588`8.796699246040664"}], 
      "0.06378498461942337660612878380561596714`8.804718455140893", 
      "0.0274980285560636403263679028441401897`8.439301558633392", 
      RowBox[{
      "-", "4.0523008965760327626526304811704903841`10.607701685669204"}], 
      "0.01951415420901194200387074317859514849`8.290349732644215"},
     {
      RowBox[{
      "-", "0.19684940491314123489630105723335873336`9.294134106231509"}], 
      "0.09426038053854354781257995909982128069`8.974329188717231", 
      RowBox[{
      "-", "0.11295448223798695841502137682255124673`9.052903469188223"}], 
      "0.02679217736147817066627574433823610889`8.42800800952645", 
      RowBox[{
      "-", "1.33295170387027339664598457602551206946`10.12481441413808"}], 
      "0.03682627804028328066809905294576310553`8.566157827781097", 
      RowBox[{
      "-", "0.0882305793569145846433343649550806731`8.945619130985602"}], 
      RowBox[{
      "-", "1.35076696552525432615254885604372248054`10.130580430949513"}], 
      "0.01951415420901194200387074317859514849`8.290349732644215", 
      RowBox[{
      "-", "4.02615042025257263702542331884615123272`10.604889996450629"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.651913891494863*^9, 3.651913983250515*^9, {3.651914061154657*^9, 
   3.6519140772786827`*^9}, 3.651938118745763*^9}]
}, Open  ]]
},
WindowSize->{1828, 867},
WindowMargins->{{Automatic, 41}, {Automatic, 67}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 391, 9, 55, "Input"],
Cell[951, 31, 3463, 98, 429, "Input"],
Cell[4417, 131, 1799, 46, 55, "Input"],
Cell[CellGroupData[{
Cell[6241, 181, 5361, 121, 209, "Input"],
Cell[11605, 304, 669, 12, 23, "Message"],
Cell[12277, 318, 1218, 20, 77, "Message"],
Cell[13498, 340, 671, 12, 23, "Message"],
Cell[14172, 354, 1215, 20, 77, "Message"],
Cell[15390, 376, 671, 12, 23, "Message"],
Cell[16064, 390, 626, 12, 23, "Message"],
Cell[16693, 404, 1217, 20, 77, "Message"],
Cell[17913, 426, 625, 12, 23, "Message"],
Cell[18541, 440, 9341, 192, 266, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
